diff -pruN 4:5.17.5-2/CMakeLists.txt 4:5.19.2-0ubuntu1/CMakeLists.txt
--- 4:5.17.5-2/CMakeLists.txt	2020-01-07 15:51:26.000000000 +0000
+++ 4:5.19.2-0ubuntu1/CMakeLists.txt	2020-06-23 12:24:51.000000000 +0000
@@ -1,9 +1,9 @@
 project(sddm-kcm)
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(PROJECT_VERSION "5.17.5")
+set(PROJECT_VERSION "5.19.2")
 
-set(QT_MIN_VERSION "5.12.0")
-set(KF5_MIN_VERSION "5.62.0")
+set(QT_MIN_VERSION "5.14.0")
+set(KF5_MIN_VERSION "5.66.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
@@ -11,6 +11,7 @@ include(ECMInstallIcons)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+include(KDEClangFormat)
 include(FeatureSummary)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets Quick QuickWidgets)
@@ -28,6 +29,7 @@ find_package(KF5 ${KF5_MIN_VERSION} REQU
 
 if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
    add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
 endif()
 
 
@@ -60,8 +62,11 @@ install(TARGETS sddmthemeinstaller ${KF5
 add_subdirectory(src)
 install(FILES sddmtheme.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})
 
-feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+# add clang-format target for all our real source files
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 find_package(KF5I18n CONFIG REQUIRED)
 ki18n_install(po)
diff -pruN 4:5.17.5-2/debian/changelog 4:5.19.2-0ubuntu1/debian/changelog
--- 4:5.17.5-2/debian/changelog	2020-02-14 20:50:56.000000000 +0000
+++ 4:5.19.2-0ubuntu1/debian/changelog	2020-06-26 12:47:22.000000000 +0000
@@ -1,56 +1,200 @@
-sddm-kcm (4:5.17.5-2) unstable; urgency=medium
+sddm-kcm (4:5.19.2-0ubuntu1) groovy; urgency=medium
 
-  * Team upload.
-  * Upload to unstable.
-  * Bump Standards-Version to 4.5.0, no changes required.
+  * New upstream release (5.19.0)
+  * New upstream release (5.19.1)
+  * New upstream release (5.19.2)
 
- -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 21:50:56 +0100
+ -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:47:22 +0100
 
-sddm-kcm (4:5.17.5-1) experimental; urgency=medium
+sddm-kcm (4:5.18.5-0ubuntu1) groovy; urgency=medium
 
-  * Team upload.
+  * New upstream release (5.18.5)
 
-  [ Maximiliano Curia ]
-  * New upstream release (5.16.5).
-  * Salsa CI automatic initialization by Tuco
-  * Update build-deps and deps with the info from cmake
+ -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:43:11 +0100
 
-  [ Pino Toscano ]
-  * New upstream release.
-  * Update the build dependencies according to the upstream build system:
-    - bump KF packages to 5.62.0
-    - remove unused libqt5x11extras5-dev, libx11-dev, libxcb-image0-dev,
-      libxcb-shm0-dev, libxcb-xkb-dev, libxcb1-dev, libxcursor-dev, and
-      qttools5-dev
-    - explicitly add gettext
-  * Bump the debhelper compatibility to 12:
-    - switch the debhelper build dependency to debhelper-compat 12
-    - remove debian/compat
-  * Drop the migration from kde-config-sddm-dbg, no more needed after two
-    Debian stable releases.
-  * Unregister sddmtheme.knsrc as conffile, as it is no more in /etc.
-  * Remove trailing whitespaces in changelog.
-  * Bump Standards-Version to 4.4.1, no changes required.
-  * Unregister also org.kde.kcontrol.kcmsddm.conf as conffile, as it is no
-    more in /etc. (Closes: #946243)
+sddm-kcm (4:5.18.4.1-0ubuntu1) focal; urgency=medium
 
- -- Pino Toscano <pino@debian.org>  Sun, 19 Jan 2020 10:17:02 +0100
+  * New upstream release (5.18.4.1)
 
-sddm-kcm (4:5.14.5-1) unstable; urgency=medium
+ -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:48:15 +0100
 
-  * New upstream release (5.14.5).
-  * Release to unstable
+sddm-kcm (4:5.18.3-0ubuntu1) focal; urgency=medium
 
- -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:26:16 -0300
+  * New upstream release (5.18.3)
 
-sddm-kcm (4:5.14.3-1) unstable; urgency=medium
+ -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:09:45 +0000
 
-  * Update upsteam signing-key
-  * New upstream release (5.14.3).
-  * Update build-deps and deps with the info from cmake
-  * Release to unstable
+sddm-kcm (4:5.18.2-0ubuntu1) focal; urgency=medium
+
+  * New upstream release (5.18.2)
+
+ -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:31:49 +0000
+
+sddm-kcm (4:5.18.1-0ubuntu1) focal; urgency=medium
+
+  * New upstream release (5.18.1)
+
+ -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:38:38 +0000
+
+sddm-kcm (4:5.18.0-0ubuntu1) focal; urgency=medium
+
+  * New upstream release (5.18.0)
+
+ -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:45:52 +0000
+
+sddm-kcm (4:5.17.90-0ubuntu1) focal; urgency=medium
+
+  * New upstream (beta) release (5.17.90)
+
+ -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:09:56 +0000
+
+sddm-kcm (4:5.17.5-0ubuntu1) focal; urgency=medium
+
+  * New upstream release (5.17.5)
+
+ -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:46:32 +0000
+
+sddm-kcm (4:5.17.4-0ubuntu1) focal; urgency=medium
+
+  * New upstream release (5.17.4)
+
+ -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:25:43 +0000
+
+sddm-kcm (4:5.17.3-0ubuntu1) focal; urgency=medium
+
+  * New upstream release (5.17.3)
+
+ -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:06:28 +0000
+
+sddm-kcm (4:5.17.2-0ubuntu1) focal; urgency=medium
+
+  * New upstream (beta) release (5.16.90)
+  * New upstream release (5.17.0)
+  * New upstream release (5.17.1)
+  * New upstream release (5.17.2)
+
+ -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:51:43 +0000
+
+sddm-kcm (4:5.16.5-0ubuntu1) eoan; urgency=medium
+
+  * New upstream release (5.16.5)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:26:02 +0100
+
+sddm-kcm (4:5.16.4-0ubuntu1) eoan; urgency=medium
+
+  * New upstream release (5.16.4)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:46:44 +0100
+
+sddm-kcm (4:5.16.3-0ubuntu1) eoan; urgency=medium
+
+  * New upstream release (5.16.3)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:24:01 +0100
+
+sddm-kcm (4:5.16.2-0ubuntu1) eoan; urgency=medium
+
+  * New upstream release (5.16.2)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:24:58 +0100
+
+sddm-kcm (4:5.16.1-0ubuntu1) eoan; urgency=medium
+
+  * New upstream release (5.16.1)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:26:31 +0100
+
+sddm-kcm (4:5.16.0-0ubuntu1) eoan; urgency=medium
+
+  * New upstream release (5.16.0)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:37:40 +0100
+
+sddm-kcm (4:5.15.90-0ubuntu2) eoan; urgency=medium
 
- -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:51:12 -0300
+  * Remove obsolete dbus policy file.
+
+ -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 21:17:33 +0100
+
+sddm-kcm (4:5.15.90-0ubuntu1) eoan; urgency=medium
+
+  * New upstream (beta) release (5.15.90)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:50:42 +0100
+
+sddm-kcm (4:5.15.5-0ubuntu1) eoan; urgency=medium
+
+  * New upstream release (5.15.5)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:49:36 +0100
+
+sddm-kcm (4:5.15.4-0ubuntu1) disco; urgency=medium
+
+  * New upstream bugfix release (5.15.4)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:11:19 +0100
+
+sddm-kcm (4:5.15.3-0ubuntu1) disco; urgency=medium
+
+  * New upstream release (5.15.3)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:10:40 +0000
+
+sddm-kcm (4:5.15.2-0ubuntu1) disco; urgency=medium
+
+  * New upstream release (5.15.2)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:16:27 +0000
+
+sddm-kcm (4:5.15.1-0ubuntu1) disco; urgency=medium
+
+  * New upstream release (5.15.1)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:35:11 +0000
+
+sddm-kcm (4:5.15.0-0ubuntu1) disco; urgency=medium
+
+  * New upstream release (5.15.0)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:54:43 +0000
+
+sddm-kcm (4:5.14.90-0ubuntu1) disco; urgency=medium
+
+  * New upstream (beta) release (5.14.90)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:26:09 +0000
+
+sddm-kcm (4:5.14.5-0ubuntu1) disco; urgency=medium
+
+  * New upstream release (5.14.5)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:49:25 +0000
+
+sddm-kcm (4:5.14.4-0ubuntu1) disco; urgency=medium
+
+  * New upstream release (5.13.90)
+  * New upstream release (5.14.0)
+  * New upstream release (5.14.1)
+  * New upstream release (5.14.2)
+  * New upstream release (5.14.3)
+  * New upstream release (5.14.4)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:16:29 +0000
+
+sddm-kcm (4:5.13.5-0ubuntu1) cosmic; urgency=medium
+
+  * New upstream release (5.13.5)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:36:06 +0100
+
+sddm-kcm (4:5.13.4-1ubuntu1) cosmic; urgency=medium
+
+  * Merge from Debian unstable. Remaining changes:
+    - debian/control: Kubuntu packaging Vcs fields.
+    _ debian/control: Bumped Frameworks & Qt build deps.
+
+ -- Rik Mills <rikmills@kubuntu.org>  Tue, 28 Aug 2018 06:49:01 +0100
 
 sddm-kcm (4:5.13.4-1) unstable; urgency=medium
 
@@ -59,6 +203,21 @@ sddm-kcm (4:5.13.4-1) unstable; urgency=
 
  -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:26 +0200
 
+sddm-kcm (4:5.13.4-0ubuntu1) cosmic; urgency=medium
+
+  * New upstream release (5.13.4)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:44:07 +0100
+
+sddm-kcm (4:5.13.3-0ubuntu1) cosmic; urgency=medium
+
+  * New upstream release (5.13.0)
+  * New upstream release (5.13.1)
+  * New upstream release (5.13.2)
+  * New upstream release (5.13.3)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:27:14 +0100
+
 sddm-kcm (4:5.13.1-1) unstable; urgency=medium
 
   * New upstream release (5.13.1).
@@ -66,6 +225,12 @@ sddm-kcm (4:5.13.1-1) unstable; urgency=
 
  -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:43:29 +0200
 
+sddm-kcm (4:5.12.6-0ubuntu1) cosmic; urgency=medium
+
+  * New upstream release (5.12.6)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:32:26 +0100
+
 sddm-kcm (4:5.12.5-1) unstable; urgency=medium
 
   * New upstream release (5.12.5).
@@ -75,6 +240,19 @@ sddm-kcm (4:5.12.5-1) unstable; urgency=
 
  -- Maximiliano Curia <maxy@debian.org>  Wed, 09 May 2018 13:24:15 +0200
 
+sddm-kcm (4:5.12.5-0ubuntu2) cosmic; urgency=medium
+
+  * Rebuild against kauth 5.47, for altered kauth helper binary
+    installation paths
+
+ -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 20:20:51 +0100
+
+sddm-kcm (4:5.12.5-0ubuntu1) cosmic; urgency=medium
+
+  * New upstream release (5.12.5)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:25:26 +0100
+
 sddm-kcm (4:5.12.4-1) unstable; urgency=medium
 
   * New upstream release (5.12.2).
@@ -83,6 +261,24 @@ sddm-kcm (4:5.12.4-1) unstable; urgency=
 
  -- Maximiliano Curia <maxy@debian.org>  Wed, 28 Mar 2018 18:12:57 +0200
 
+sddm-kcm (4:5.12.4-0ubuntu1) bionic; urgency=medium
+
+  * New upstream release (5.12.4)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:56:25 +0100
+
+sddm-kcm (4:5.12.3-0ubuntu1) bionic; urgency=medium
+
+  * New upstream release (5.12.3)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:50:34 +0000
+
+sddm-kcm (4:5.12.2-0ubuntu1) bionic; urgency=medium
+
+  * New upstream release (5.12.2)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:44:09 +0000
+
 sddm-kcm (4:5.12.1-1) sid; urgency=medium
 
   * Use the salsa canonical urls
@@ -91,6 +287,12 @@ sddm-kcm (4:5.12.1-1) sid; urgency=mediu
 
  -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:09:12 +0100
 
+sddm-kcm (4:5.12.1-0ubuntu1) bionic; urgency=medium
+
+  * New upstream release (5.12.1)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:14:10 +0000
+
 sddm-kcm (4:5.12.0-2) sid; urgency=medium
 
   * New revision
@@ -111,6 +313,19 @@ sddm-kcm (4:5.12.0-1) experimental; urge
 
  -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:21:15 +0100
 
+sddm-kcm (4:5.12.0-0ubuntu1) bionic; urgency=medium
+
+  * New upstream release (5.11.95)
+  * New upstream release (5.12.0)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:51:38 +0000
+
+sddm-kcm (4:5.11.5-0ubuntu1) bionic; urgency=medium
+
+  * New upstream release (5.11.5)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:40:23 +0000
+
 sddm-kcm (4:5.11.4-1) experimental; urgency=medium
 
   * New upstream release (5.11.4).
@@ -119,6 +334,22 @@ sddm-kcm (4:5.11.4-1) experimental; urge
 
  -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:49:25 -0300
 
+sddm-kcm (4:5.11.4-0ubuntu1) bionic; urgency=low
+
+  * New upstream release (5.11.4)
+
+ -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:17:10 -0600
+
+sddm-kcm (4:5.11.3-0ubuntu1) bionic; urgency=medium
+
+  * New upstream release (5.10.95)
+  * New upstream release (5.11.0)
+  * New upstream release (5.11.1)
+  * New upstream release (5.11.2)
+  * New upstream release (5.11.3)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:59:45 +0000
+
 sddm-kcm (4:5.10.5-2) sid; urgency=medium
 
   * New revision
@@ -141,18 +372,117 @@ sddm-kcm (4:5.10.5-1) experimental; urge
 
  -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:28:58 +0200
 
+sddm-kcm (4:5.10.5-0ubuntu1) artful; urgency=low
+
+  * New upstream release (5.10.5)
+
+ -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 Aug 2017 14:39:09 +0100
+
+sddm-kcm (4:5.10.4-0ubuntu1) artful; urgency=low
+
+  * New upstream release (5.10.4)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Wed, 19 Jul 2017 14:37:01 +0100
+
+sddm-kcm (4:5.10.3-0ubuntu1) artful; urgency=low
+
+  * New upstream release (5.10.3)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Sat, 01 Jul 2017 10:15:36 +0100
+
+sddm-kcm (4:5.10.2-0ubuntu1) artful; urgency=low
+
+  * New upstream release (5.10.2)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Jun 2017 18:11:45 +0100
+
+sddm-kcm (4:5.10.1-0ubuntu1) artful; urgency=low
+
+  * New upstream release (5.10.1)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Jun 2017 19:08:28 +0100
+
+sddm-kcm (4:5.10.0-0ubuntu1) artful; urgency=low
+
+  * New upstream release (5.9.95)
+  * New upstream release (5.10.0)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 09:48:46 +0100
+
+sddm-kcm (4:5.9.5-0ubuntu1) artful; urgency=low
+
+  * New upstream release (5.9.5)
+
+ -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 30 Apr 2017 11:30:42 +0100
+
+sddm-kcm (4:5.9.4-0ubuntu1) zesty; urgency=low
+
+  * New upstream bugfix release (5.9.4)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Mar 2017 19:56:59 +0000
+
+sddm-kcm (4:5.9.3-0ubuntu1) zesty; urgency=low
+
+  * New upstream bugfix release (5.9.3)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Mar 2017 09:50:57 +0000
+
+sddm-kcm (4:5.9.2-0ubuntu1) zesty; urgency=low
+
+  * New upstream bugfix release (5.9.2)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 11:04:03 +0000
+
+sddm-kcm (4:5.9.1-0ubuntu1) zesty; urgency=low
+
+  * New upstream release (5.9.1)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Feb 2017 23:18:59 +0000
+
+sddm-kcm (4:5.9.0-0ubuntu1) zesty; urgency=low
+
+  * New upstream release (5.9.0)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 00:54:32 +0000
+
 sddm-kcm (4:5.8.5-1) experimental; urgency=medium
 
   * New upstream release (5.8.5).
 
  -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:24 +0100
 
+sddm-kcm (4:5.8.5-0ubuntu1) zesty; urgency=low
+
+  * New upstream release (5.8.5)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Dec 2016 16:44:20 +0000
+
 sddm-kcm (4:5.8.4-1) unstable; urgency=medium
 
   * New upstream release (5.8.4)
 
  -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:39:05 +0100
 
+sddm-kcm (4:5.8.4-0ubuntu2) UNRELEASED; urgency=medium
+
+  * Add new build deps on libkf5newstuff-dev and libkf5archive-dev
+
+ -- Rik Mills <rikmills@kubuntu.org>  Mon, 19 Dec 2016 09:10:16 +0000
+
+sddm-kcm (4:5.8.4-0ubuntu1) zesty; urgency=medium
+
+  [ José Manuel Santamaría Lema ]
+  * Update Vcs-Git fields to use https:// instead of git://
+  * Merge with debian, dropping the -dbg package in the process
+
+  [ Simon Quigley ]
+  * New upstream release (5.8.3)
+
+  [ Rik Mills ]
+  * New upstream release (5.8.4)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Mon, 05 Dec 2016 19:53:44 +0000
+
 sddm-kcm (4:5.8.2-1) unstable; urgency=medium
 
   * New upstream release (5.8.2)
@@ -177,6 +507,13 @@ sddm-kcm (4:5.8.0-0neon) xenial; urgency
 
  -- Neon CI <neon@kde.org>  Fri, 30 Sep 2016 11:29:57 +0000
 
+sddm-kcm (4:5.7.5-0ubuntu1) yakkety; urgency=medium
+
+  * New upstream release (5.7.4)
+  * New upstream release (5.7.5)
+
+ -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:31:18 -0500
+
 sddm-kcm (4:5.7.5-0neon) xenial; urgency=medium
 
   * New release
@@ -209,6 +546,13 @@ sddm-kcm (4:5.7.3-0neon) xenial; urgency
 
  -- Neon CI <neon@kde.org>  Tue, 02 Aug 2016 12:04:56 +0000
 
+sddm-kcm (4:5.7.2-0ubuntu1) yakkety; urgency=medium
+
+  * New upstream release (5.7.1)
+  * New upstream release (5.7.2)
+
+ -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:10:15 +0000
+
 sddm-kcm (4:5.7.2-0neon) xenial; urgency=medium
 
   * New release
@@ -239,6 +583,12 @@ sddm-kcm (4:5.6.5-1) unstable; urgency=m
 
  -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 16:24:39 +0200
 
+sddm-kcm (4:5.6.5-0ubuntu1) yakkety; urgency=medium
+
+  * New upstream release (5.6.5)
+
+ -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 21:19:34 +0100
+
 sddm-kcm (4:5.6.5-0neon) xenial; urgency=medium
 
   * New release
@@ -260,6 +610,20 @@ sddm-kcm (4:5.6.4-1) unstable; urgency=m
 
  -- Maximiliano Curia <maxy@debian.org>  Wed, 25 May 2016 12:11:22 +0200
 
+sddm-kcm (4:5.6.4-0ubuntu1) yakkety; urgency=medium
+
+  [ Clive Johnston ]
+  * New upstream release
+
+  [ Philip Muškovac ]
+  * Update the Vcs URLs now that the repositories are hosted on
+    Launchpad
+
+  [ Clive Johnston ]
+  * New upstream release (5.6.4)
+
+ -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:31:58 -0700
+
 sddm-kcm (4:5.6.4-0neon) xenial; urgency=medium
 
   * New release
@@ -278,6 +642,12 @@ sddm-kcm (4:5.6.2-0neon) xenial; urgency
 
  -- Neon CI <neon@kde.org>  Fri, 08 Apr 2016 11:44:43 +0000
 
+sddm-kcm (4:5.5.5-0ubuntu1) xenial; urgency=medium
+
+  * New upstream release
+
+ -- Clive Johnston <clivejo@aol.com>  Thu, 14 Apr 2016 14:03:42 -0700
+
 sddm-kcm (4:5.5.4-1) experimental; urgency=medium
 
   * New upstream release (5.5.0).
@@ -390,8 +760,8 @@ sddm-kcm (4:5.2.2-0ubuntu1) vivid; urgen
 
 sddm-kcm (4:5.2.1-0ubuntu1) vivid; urgency=medium
 
-  * New upstream release
-  * Add new depends to control.
+  * New upstream release 
+  * Add new depends to control. 
 
  -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:50:32 -0800
 
diff -pruN 4:5.17.5-2/debian/compat 4:5.19.2-0ubuntu1/debian/compat
--- 4:5.17.5-2/debian/compat	1970-01-01 00:00:00.000000000 +0000
+++ 4:5.19.2-0ubuntu1/debian/compat	2020-06-26 12:47:22.000000000 +0000
@@ -0,0 +1 @@
+11
diff -pruN 4:5.17.5-2/debian/control 4:5.19.2-0ubuntu1/debian/control
--- 4:5.17.5-2/debian/control	2020-02-14 20:50:27.000000000 +0000
+++ 4:5.19.2-0ubuntu1/debian/control	2020-06-26 12:47:22.000000000 +0000
@@ -5,25 +5,32 @@ Maintainer: Debian/Kubuntu Qt/KDE Mainta
 Uploaders: Harald Sitter <apachelogger@kubuntu.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12),
-               debhelper-compat (= 12),
-               extra-cmake-modules (>= 5.62.0~),
-               gettext,
-               libkf5archive-dev (>= 5.62.0~),
-               libkf5auth-dev (>= 5.62.0~),
-               libkf5configwidgets-dev (>= 5.62.0~),
-               libkf5coreaddons-dev (>= 5.62.0~),
-               libkf5i18n-dev (>= 5.62.0~),
-               libkf5kio-dev (>= 5.62.0~),
-               libkf5newstuff-dev (>= 5.62.0~),
-               libkf5xmlgui-dev (>= 5.62.0~),
+               debhelper (>= 11~),
+               extra-cmake-modules (>= 5.70.0~),
+               libkf5archive-dev (>= 5.70.0~),
+               libkf5auth-dev (>= 5.70.0~),
+               libkf5configwidgets-dev (>= 5.70.0~),
+               libkf5coreaddons-dev (>= 5.70.0~),
+               libkf5i18n-dev (>= 5.70.0~),
+               libkf5kio-dev (>= 5.70.0~),
+               libkf5newstuff-dev (>= 5.70.0~),
+               libkf5xmlgui-dev (>= 5.70.0~),
+               libqt5x11extras5-dev (>= 5.6.1~),
+               libx11-dev,
+               libxcb-image0-dev,
+               libxcb-shm0-dev,
+               libxcb-xkb-dev,
+               libxcb1-dev,
+               libxcursor-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.12.0~),
-               qtdeclarative5-dev (>= 5.12.0~),
-Standards-Version: 4.5.0
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~),
+               qttools5-dev (>= 5.6.1~),
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/sddm-kcm
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/sddm-kcm
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/sddm-kcm.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm
 
 Package: kde-config-sddm
 Architecture: any
diff -pruN 4:5.17.5-2/debian/kde-config-sddm.maintscript 4:5.19.2-0ubuntu1/debian/kde-config-sddm.maintscript
--- 4:5.17.5-2/debian/kde-config-sddm.maintscript	2020-01-19 09:11:21.000000000 +0000
+++ 4:5.19.2-0ubuntu1/debian/kde-config-sddm.maintscript	2020-06-26 12:47:22.000000000 +0000
@@ -1,2 +1 @@
-rm_conffile /etc/xdg/sddmtheme.knsrc 4:5.17.5~
-rm_conffile /etc/dbus-1/system.d/org.kde.kcontrol.kcmsddm.conf 4:5.17.5~
+rm_conffile /etc/dbus-1/system.d/org.kde.kcontrol.kcmsddm.conf
diff -pruN 4:5.17.5-2/debian/rules 4:5.19.2-0ubuntu1/debian/rules
--- 4:5.17.5-2/debian/rules	2020-01-19 08:57:13.000000000 +0000
+++ 4:5.19.2-0ubuntu1/debian/rules	2020-06-26 12:47:22.000000000 +0000
@@ -5,3 +5,6 @@ export DEB_LDFLAGS_MAINT_APPEND := -Wl,-
 
 %:
 	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp
+
+override_dh_strip:
+	dh_strip --dbgsym-migration='kde-config-sddm-dbg (<= 4:5.5.5-1~~)'
diff -pruN 4:5.17.5-2/debian/salsa-ci.yml 4:5.19.2-0ubuntu1/debian/salsa-ci.yml
--- 4:5.17.5-2/debian/salsa-ci.yml	2020-01-19 08:50:49.000000000 +0000
+++ 4:5.19.2-0ubuntu1/debian/salsa-ci.yml	1970-01-01 00:00:00.000000000 +0000
@@ -1,6 +0,0 @@
-include:
-- https://salsa.debian.org/salsa-ci-team/pipeline/raw/master/salsa-ci.yml
-- https://salsa.debian.org/salsa-ci-team/pipeline/raw/master/pipeline-jobs.yml
-variables:
-  SALSA_CI_DISABLE_MISSING_BREAKS: 'no'
-  SALSA_CI_DISABLE_RC_BUGS: 'no'
diff -pruN 4:5.17.5-2/debian/upstream/signing-key.asc 4:5.19.2-0ubuntu1/debian/upstream/signing-key.asc
--- 4:5.17.5-2/debian/upstream/signing-key.asc	2018-11-17 20:50:48.000000000 +0000
+++ 4:5.19.2-0ubuntu1/debian/upstream/signing-key.asc	2020-06-26 12:47:22.000000000 +0000
@@ -1,118 +1,92 @@
 -----BEGIN PGP PUBLIC KEY BLOCK-----
-Version: GnuPG v1
 
-mQENBFG1+bQBCAC3p+fdi9+55LFuKPqW0XrQkQQ2CRfXcM5lqb6B4xQewLorsdX7
-SRDmLzpdDZ9bCpqxMsiFbB+9lxljHNTzx9BIEO9w6aYtVgPsG4L9ZxwBXUTlgtIA
-UoOy4lTQnUR0QDFlJQx8c4Cy82htOSCiWO4iaEvMbo+BGe8g4f2/N0tJOrnAc/xl
-sdA64GTWId4NB12F+QeRgWWNQs/W/j/kyy37+L0juD06RMKth0uRMN37wEa9KcLa
-lOBEUETrImZfx74wagt6WDnJknLf0ceqzfojk82po0C46BJAu49tLehYYKgo0HKZ
-fK7CDw53y9SjkI8cU8g48AyUw8Uk/FyJeW1bABEBAAG0N0RhdmlkIEVkbXVuZHNv
-biAoRGF2aWQgYXQgS0RFKSA8ZGF2aWRlZG11bmRzb25Aa2RlLm9yZz6JATgEEwEC
-ACIFAlG1+bQCGwMGCwkIBwMCBhUIAgkKCwQWAgMBAh4BAheAAAoJEPVnVgXHTgLP
-KD0H/0Cnj1bM6MYV5nKXJhLpd8as2OHFlhdtaU7QG3QcMVqdtP3rdOp1RgjmkYsB
-xgwrxvDTLz0L/PH9UTCXjQeZgNR0hG8iy4IBC9ay0PDdkNpjnHoAiUMRstcDODUZ
-QdLEOXCbPbRG3q0OlSaOvETL7YkSY8c2N6yqmWaJvudpJ0VVPyIWa2xT53JTXgAD
-4m1w8MThAZBZpJi852nQCByCsRC+3cofA7bQd60XLiFWgmnq+rlqryMlWvUmMmat
-e7U1NC5UsfH6ToXf/ZNZG+fMGE+ntYiHWRFr2tZMyXfUOrgHsAVMAE8v/xVtwS5e
-VCAdM21GNG4d6XiF7T32GDzrEQm5AQ0EUbX5tAEIAL0uLkPxHbg9boIuVdahyy6F
-BOcUf8xj3qj8FUGpRkcSSsoyvFTHZRTR+wwTPTaZzzzTFSITRGVv7vdKyl/A+SMw
-/nlUVfB9xGvvCgzPGesUk9lmxX2DRVpoq9CyVIw0XXJQtNkC3O1yEws4zuDzHe99
-sfDvXpA1ikfN+Hgn3oLjCHHtWuTyXGKXUimzToDMqWentVkP1rzKPlin9XJ0KDT/
-axrrD9L5s4KCjHdWEQwG3miJDxQnlsAFDBj7Bs8DZZE+xdzx/l8qBKOxmXD9ohFp
-4q0wXVV4QJMHtjhvhId9EN965drlYmMfusMCwavklBOWdR1MdSSBIYPS5eISmj0A
-EQEAAYkBHwQYAQIACQUCUbX5tAIbDAAKCRD1Z1YFx04Cz4CzCACpN1l39Yzoniqx
-laabcOrEbFjhKXlFXPm5TC+nj2iO8BieJLoltTcQL1nbxBHcxMkxUUJAVKBSmlh3
-BPjYJhXBNRvW/gamjaO+LoStXI+0vO4aOhkR0tLqA9/zQFM9uVPu6InS0N98oMaL
-azyxnXuqEanCN7yWfKHKxmkKiVMB1RMaE+2TYQBKPfFukiX2vv3qByVez8qYGa98
-80x6fkrqFbPoJ2oDXEGGD0W7fkv1pZV/1XCuXV/qKz3htD3AQDuLijqt6sM9Oe7Y
-Lsv5lqTb5DK6g2N9xvhTz64Z+j9bf44fbMReg3ub3GXlf9rFT8eDYfyYLJgWJ/1h
-YZximth9mQENBFfOfR0BCAC9W+wYcz5Ha4Hwllb0c8Cqwp4k5d0bsVWjYgMcn+DL
-uJmh7VT80oqiHay9Z75sGZ7flLjdB8ZiAgi2qARz+rNMb9p/S+T4MbjVF2L87on9
-/PdgurUgMsof+UmIClCJBOMvod+BK7VBSPu8XUJzOu61QHQxnhRbLgwmcds15giG
-3oSK/h9l/6r2FwD543WZtQ6sforBZ/GtUjFDYsgdPC50RQXRuhNP/ow8py253GQD
-gKw37Sx1tRGMHjvD4Dk95i0yeQWcjMoY+VWMWCDOQ2swKjl8q3BX2ltKFir5Bu7l
-JeC/96ql9vKaWSTgIqnyQD4+8nYSmetkaGU2LROSg8grABEBAAG0IkpvbmF0aGFu
-IFJpZGRlbGwgPGpyQGpyaWRkZWxsLm9yZz6JATgEEwECACIFAlfOfR0CGwMGCwkI
-BwMCBhUIAgkKCwQWAgMBAh4BAheAAAoJEOyU0Y9/BZl+538H/ixizKvWeq5pPi77
-fYMUWQ57bGBeNuEFLJUk0y6Rz2fAnBPDKYCwLdUEBnDxHDffIl6uVRdCtfMGwQZo
-1HutE0ZvGgi20EItsle9qzUUiLfuTyz7Dh1tPz7J8NI7VUffq+XTr/mzhqTbCH0p
-uY2AflfHOHQbEJL7wdqCQ95wXQw6fg5/1pbhvxxbRojjGILEiiW1L37gyDjfDZKo
-/IdT0e30EgL91vTW1Ctn3IXLOmzp46+h5EatWB/22iIrUZm1ubgX4ubBpHmKmZkK
-3ou5vN4qi664EMw8xnh4GmnPM1vNRwXTbt7kQakzOFeT6N2C8AeLPM3oYitGxzMS
-KSnmRC25AQ0EV859HQEIAM116WD7qM2bwIuMIYFxe2ARaYpLlHvfm4ptgD6QQH4G
-FhK00pWwd3pMXB7MXHv2gY6my1Y7hPQyn+clsE7mPzyxm3lswdZLWn1h6QCrMc+T
-s+dynz9F46chbpDJ90QXs/hG8BOsA5P0F7D1YAjv1imPqm1Uo8RfsVCgnRSiENvm
-hCKi5+TZiQnpy2wXDUyqiDcm4WvJRhr8UM+cZmOJHUJbUXWTw5iVIjlp6UN8Kbib
-TXGsxSKjuEKFLIGZmhX1qP3V0ciZvqx8MMUJqtulcrJ8Pop2Vf2wGrTbfnJ9A2qD
-i/MPVV9bfOnE3DO+E+cpoUVcdfe94yIbx3+ZXX3B0zcAEQEAAYkBHwQYAQIACQUC
-V859HQIbDAAKCRDslNGPfwWZfs3LCACjpcZ3mE4k720A/11+0sYOvuQJqj7Kf+kT
-Cy2AvGBwhHkWSJycz6XMxAiGTX9e9auk2Qwo5UiS9aDboipJJgEc9ptU2aDKi1uV
-UCles9u0zNdcEPD03rKfGQ4MzGaMip3U+4OIWXtjhl5UsUOPnWSVjv5Ix6HHyY+y
-i1y+ZDl7pyuaMzvTY5LuZEPOUpj/RibzfrYGNkH9XfsNVH29c8nS8Auz50ATr21T
-qsALdsaeITr5ibhlPv0PGOhlwYk/cSD5647WoSK1NxhIOabzpb0Fl7CseC34PbQ1
-mVpvqmXoL+jeMnUliXxuyVVhf534xqJl0X6wyZXiZsGBApHyJDVzmQENBFaTa+4B
-CACxyJ3oTNhz5oJOCu70mrxFqj/uqDfNm2K8Prr0CQ2I7yXijfTZGVIjURIzp+Zh
-mc1LhZYlNwwI9ivFFvLoS9kH2rkx9EaIuP3ljtxQskRFrX4BepR9/EvIoi7tUuOE
-qCy2pRy/y7Rc7s3Qbu/sPQ17wvRQqzTKsvoh9wxat6990l1MFjlF/xBOD4Qb9LJG
-zc6Y8SLEEs7l/vAesL0viOME1hVQk+fG0KFosI32aeNnnLHPZbLiZ2YETvI5nROM
-hleSDusqUpVxXzkIBcVLbCyeJooRsZAhJ6AB8qvhOXx2xTBBgMpwaE/DHF6Zkvms
-VB6lRNqMLjGeLOkmqx1vjZynABEBAAG0IkJodXNoYW4gU2hhaCAoa2RlKSA8YnNo
-YWhAa2RlLm9yZz6JATcEEwEIACEFAld3rtICGwMFCwkIBwIGFQgJCgsCBBYCAwEC
-HgECF4AACgkQ/geEEX+84R1tfwf9GSACMGPFi9AArBwFhaYUKB4BJqNgCSRvQJ7g
-tG6YAaW+o919AtmpO+nq0JtvrSXQVLbJ1jxEMXsNJnvZByiACm91u8z/LzMoI5C6
-RK13eGTTBr57LAE8lXI0xhkiSwQUAPQWJXumE1evoHExHrAi+z6aLa6QXwyqmP5a
-mwked6S6R9GxGI2c+UPm9sVh4Lb1L/pEzeCdt7/1R1baAQ+weI1cVbfd4b9Qc5r/
-baq41CesZKz29UgorqiLyBXlWLUCClAXB/nrbAh7hR4pDhSsIExSTp8gBnBTpKc2
-NAzGZTxopcvi/SOAxkdFlfkBewXuvHOxg0S8s8z7Owaeckbj7bQgQmh1c2hhbiBT
-aGFoIDxiaHVzaDk0QGdtYWlsLmNvbT6JATcEEwEIACEFAlaTa+4CGwMFCwkIBwIG
-FQgJCgsCBBYCAwECHgECF4AACgkQ/geEEX+84R3CQggAmSPWL+WBizj5WIcSZ2Ox
-1jCNnCcZ73K84s7ZSd83mq6fgi4O4/JqoZCMCU2YzMuo7Cs/h1UPXkARgf/bPFi7
-XKvEytQd0lOSUSubn27ederXfUuhUo5FNneiyYBX9Ri1RjOPv5oE3cmYWM34Xvl/
-O6ucRJ28s8Z9GuWG6NChbbHdkDIhulCzWWiMtIQXG7zGWRdjcqRItGVSjEaCdyWE
-L6i//5n0TiM+PPidmFO4A56blLCHrIe6MPW/fAiWBzWpTxTUpn66XC3AMBWdLT/5
-ZCNea1qXY+I/TBwIiBl1mKFN1j945j216mnX1IHBSR01yrMxsBnJ+Hx3i32OxhEf
-jrkBDQRWk2vuAQgAvA+l8nsDh1/p03OJgUHy5q5jSbukV+5GP3MLwLLJHrzkzT84
-CSbZ1CUCNYgAViO1PPGn4wL1NcM2KwXxH0ON4dXD8OjTGOP3Jh3vGIpgoJPHDWCh
-ktLDN/mCfITU0hsSiWu2N0Q8QyyvX0qhtcWulEXHLTU+e62ru8VLVRMRaTdKhnk7
-TADiw6d+sGPo0mAaVWe/2f49Eg0H/UoVNBtjmTCrGb3B9SmnTlVuJE9uyEhzexCW
-43TDwpmcrSfuUsYvTxR2Aq/50dagWP49KLiku9bkoc3LLM+VoJ5Jj/O377H6XwkC
-ZeUpIj2r3XaHWaAQkUSsKkJ1e57NyRZoe1NvpQARAQABiQEfBBgBCAAJBQJWk2vu
-AhsMAAoJEP4HhBF/vOEdONIH/RviPwDNbm+1AITwED2duUnSGkx/ejFeXJlrLnE5
-xlMtVw4fCNIWWhAf5JFhzq5mysqoYPzbYBKl7T/5KiV+a7k7fQDd00pcSfiKwssA
-pt95Eu8j0QA4MDbIaAn/xx91bo3HDeCnw4yLooy0mW3yGxunBqNm4Ks+reKfTWma
-H3EIRXz8AIH79yC9QzRamb1KIQz8v4+XlOyHQ48rS54RlGU30q84Vl5AmcmykTlt
-Oc0nDEXebi92/op/2bvK4HhP5SxfJ5g+NmCdOfJ/u9i40ez+Q6q25WwIS4kIPAgW
-6yBSaM0FMlA5088LBkRbkAMe268qbDkqln2HFRKl8YicHay5AQ0EWivdggEIALrl
-1fmIdKmDulkGS5xPl9AYrz5UWNbx+Adsw4AwWNKq2yHT5eP6b28EC5P1aNslWah3
-6BoW6pwZF2Rac1fUDDpxHa6zKPLp5v9Nn+27hGeel5JCk6XpbJet0LtKrtvyEqX8
-QsURSxmXY/lSwNEloXtHnMIEfvdWb3ChNW8n8xvfrG1WNL/FkKvWX8dIVKP9CX+/
-hQIlFiIJkulx7gp/g2AUx6xnBhH/glOuPpXx+Qmxs+NgCqrGM2cGFleEWq8DQVQ7
-jOl3apQvZuFnETqLOasldF0ObBP0gcrhztWuWWsxRT2656ogbYNTzkLOLkMOMFNk
-bBDPmxlCETUxaCKYx7EAEQEAAYkCbAQYAQgAIBYhBAqsd1u2Q3qNmvejrP4HhBF/
-vOEdBQJaK92CAhsCAUAJEP4HhBF/vOEdwHQgBBkBCAAdFiEEs8s2ZVJUC+Bu6a2X
-EZaMRJKMrvwFAlor3YIACgkQEZaMRJKMrvxlSQf/dMHVeQbG+d1/2otR3UnBO3T/
-nJYQ41RIFPO+tNRe3J7c3qPRAErKNmC3ZF5zROBqvEx1KVy5Pzy05bpuc9jqzmG3
-H681lNZC0YLg4FXIqnMiPuHr+T+cHIU6y60Tl+7shBquX0x2Iu8RJqJURlxVBAHL
-FkRsEugzqtvLA0m4aPi0S18jwRVROpU5l84yGsOacT4DFxxj429r7hz94XBUt/Ap
-GyoBYJ75Qs3gnmt8uq1bPOsVVIv5dQv7QHUxR5MW0EM8qGzVjheebo4ddoljjxap
-Wi10iXEoEW+iQbpj0t1+INwxDnliyjl4Kl11nU8/Z/duRtbPWc+RKkRjj4ObVDaa
-B/4g4VraKz1/cqbliz5ic6v3v+pe3dWGOadRT/PHxvt9ywzsT+vaQqnyKEuId8bS
-AbaumTg/L3lYW+Bl0l96Nf6xxLq9cI/CXSCk4si0HHNGxP6qpFNc9sLTw56QzIkq
-fitF87nq6zpE0dzb246tTd3gE+3KfbvrfYyDQXuC9+vg80GXcFBr4u6IzD02Nryj
-OlWUhxCg5sNQuCH6faEhFQJUJNgLJZXSwP/IbgN1e+dvgqLFc+JDtIP34tS6pE7J
-BX0VTu2NWW7OTeKm/9q3V6eHGBJijXvyCPsvcaAscqGwRGQRAixwmXyHTtrAeJ7e
-9mPtPxudnFths9so2z9DGmaduQENBFor3b0BCACzoDyH2gsTKGGDkR3yybCeerjh
-j+mHISDX8u8Blb7TT752wuF6eqvFD0oo6LpI2n8OWT2RbgWexN0KuFcf3kU3B6GK
-uNAmocRQ5lL7em5wwhZbDFzVwkjlLZ4Xo+XJTIwrZu2sLZDg9uSUK8twJpsQHkL/
-NOywXImMvv4nUZWr9bEMlDoHIYkv57EkF/pZLY8FypLO0I/9zqZbvg/I04oNqhnT
-VK3nZG4GYbFbHb4rZribgatyGsNopV+JevYPYqMQYu+PNW5mi1dT9gbR7KlKZhO8
-KcOCXUPjUwYgD7jPjqqNvJlk1aKL+Uh/UBznr4FSSgnzO0XwY/MxlSdx/w3LABEB
-AAGJATYEGAEIACAWIQQKrHdbtkN6jZr3o6z+B4QRf7zhHQUCWivdvQIbIAAKCRD+
-B4QRf7zhHd90CACFf1rob/ih2CpCs8MyWKhGRCkXhakpPdVvnrRw3+9pjwdyfiH6
-JDWAkoBJuEf+e9KfbiAQXHMSz8E72yVO7/VLb3NJBXLvbcTVjoHtFtOOqqrkaFiM
-BWcWy8HEpfF8JYYra7dUwGT67CEccs18x3hPVUyAFkH7Z470RqfCn3Ql6C4JTJG+
-CkReuaczD3+dYT0kOe29lYZsGaIfWOG+RTOHICnaLoNgof4DxVk3dChlrkkbPMSp
-1LoJN19I9PPaaPNY9Q03DHswM/UGW0rNajNT4cZf0miRBMG/0j+j2hkvTD73zKbI
-bs8/0reS1nrBgjiRzBunFiJv0ABSLle1liqY
-=l3YP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+=JSUn
 -----END PGP PUBLIC KEY BLOCK-----
diff -pruN 4:5.17.5-2/.gitignore 4:5.19.2-0ubuntu1/.gitignore
--- 4:5.17.5-2/.gitignore	2020-01-07 15:50:54.000000000 +0000
+++ 4:5.19.2-0ubuntu1/.gitignore	2020-06-23 12:24:30.000000000 +0000
@@ -2,3 +2,6 @@
 *~
 *.user
 
+.clang-format
+CMakeLists.txt.user*
+/build*/
diff -pruN 4:5.17.5-2/kcm_sddm.actions 4:5.19.2-0ubuntu1/kcm_sddm.actions
--- 4:5.17.5-2/kcm_sddm.actions	2020-01-07 15:50:54.000000000 +0000
+++ 4:5.19.2-0ubuntu1/kcm_sddm.actions	2020-06-23 12:24:30.000000000 +0000
@@ -18,6 +18,7 @@ Name[fr]=SDDM
 Name[gl]=SDDM
 Name[he]=SDDM
 Name[hu]=SDDM
+Name[ia]=SDDM
 Name[id]=SDDM
 Name[it]=SDDM
 Name[ko]=SDDM
@@ -111,6 +112,7 @@ Description[fr]=Enregistrer les paramèt
 Description[gl]=Gardar as configuracións en SDDM
 Description[he]=שמור הגדרות ב־SDDM
 Description[hu]=Az SDDM beállításainak mentése
+Description[ia]=Salveguarda preferentias in SDDM
 Description[id]=Simpan Pengaturan di SDDM
 Description[it]=Salva impostazioni in SDDM
 Description[ko]=SDDM에 설정 저장
@@ -150,18 +152,21 @@ Name[de]=SDDM-Design installieren
 Name[el]=Εγκατάσταση ενός θέματος SDDM
 Name[en_GB]=Install an SDDM theme
 Name[es]=Instalar un tema SDDM
+Name[et]=SDDM teema paigaldamine
 Name[eu]=Instalatu SDDM gai bat
 Name[fi]=Asenna SDDM-teema
 Name[fr]=Installer un thème SDDM
 Name[gl]=Instalar un tema de SDDM
 Name[he]=התקנת ערכת נושא של SDDM
 Name[hu]=SDDM téma telepítése
+Name[ia]=Installa  un thema de SDDM
 Name[id]=Instal sebuah tema SDDM
 Name[it]=Installa un tema di SDDM
 Name[ko]=SDDM 테마 설치
 Name[lt]=Įdiegti SDDM apipavidalinimą
 Name[nl]=SDDM-thema installeren
 Name[nn]=Installer SDDM-tema
+Name[pa]=SDDM ਥੀਮ ਇੰਸਟਾਲ ਕਰੋ
 Name[pl]=Wgraj wygląd SDDM
 Name[pt]=Instalar um tema do SDDM
 Name[pt_BR]=Instalar um tema SDDM
@@ -189,12 +194,14 @@ Description[de]=Entpackt eine zip-Datei
 Description[el]=Εξάγει μια αρχειοθήκη zip που περιέχει ένα θέμα SDDM στην τοποθεσία θεμάτων SDDM
 Description[en_GB]=Extracts a zip file containing an SDDM theme to the SDDM theme location
 Description[es]=Extrae un archivo zip que contiene un tema SDDM en la ubicación de temas SDDM
+Description[et]=Pakib SDDM teemat sisaldava zip-faili lahti SDDM teemade asukohta
 Description[eu]=Erauzi SDDM gai bat duen zip fitxategi bat SDDM gaien kokalekura
 Description[fi]=Purkaa SDDM-teeman sisältävän zip-tiedoston SDDM-teemakansioon
 Description[fr]=Extrait un fichier zip contenant un thème SDDM vers l'emplacement des thèmes SDDM
 Description[gl]=Extrae un ficheiro zip que contén un tema de SDDM no lugar onde se almacenan os temas de SDDM.
 Description[he]=חילוץ קובץ ערכת נושא של SDDM למיקום ערכות הנושא של SDDM
-Description[hu]=Kibont egy SDDM témát tartalmazó ZIP-fájlt az SDDM témák közé
+Description[hu]=Egy SDDM témát tartalmazó ZIP-fájl kibontása az SDDM témák közé
+Description[ia]=Extrahe un file zip continente un thema de SDDM al location de thema SDDM
 Description[id]=Ekstrak sebuah file zip berisi sebuah tema SDDM ke lokasi tema SDDM
 Description[it]=Estrai un file zip contenente un tema di SDDM nella posizione dei temi di SDDM
 Description[ko]=SDDM 테마 설치 위치에 SDDM 테마 ZIP 압축 파일 해제
@@ -231,18 +238,21 @@ Name[de]=SDDM-Design deinstallieren
 Name[el]=Απεγκατάσταση ενός θέματος SDDM
 Name[en_GB]=Uninstall an SDDM theme
 Name[es]=Desinstalar un tema SDDM
+Name[et]=SDDM teema eemaldamine
 Name[eu]=Desinstalatu SDDM gai bat
 Name[fi]=Poista SDDM-teema
 Name[fr]=Désinstaller un thème SDDM
 Name[gl]=Desinstalar un tema de SDDM
 Name[he]=הסרת ערכת נושא של SDDM
 Name[hu]=SDDM téma eltávolítása
+Name[ia]=De-installa un  thema SDDM
 Name[id]=Copot sebuah tema SDDM
 Name[it]=Disinstalla un tema di SDDM
 Name[ko]=SDDM 테마 삭제
 Name[lt]=Pašalinti SDDM apipavidalinimą
 Name[nl]=Een SDDM-thema deïnstalleren
 Name[nn]=Avinstaller SDDM-tema
+Name[pa]=SDDM ਥੀਮ ਅਣ-ਇੰਸਟਾਲ ਕਰੋ
 Name[pl]=Usuń wygląd SDDM
 Name[pt]=Desinstalar um tema do SDDM
 Name[pt_BR]=Desinstala um tema SDDM
@@ -270,18 +280,21 @@ Description[de]=Entfernt ein vorher inst
 Description[el]=Αφαίρεση ενός εγκατεστημένου θέματος SDDM 
 Description[en_GB]=Removes a previously installed SDDM theme
 Description[es]=Elimina un tema SDDM instalado anteriormente
+Description[et]=Varem paigaldatud SDDM teema eemaldamine
 Description[eu]=Aurrez instalatutako SDDM gai bat kentzen du
 Description[fi]=Poistaa aiemmin asennetun SDDM-teeman
 Description[fr]=Supprime un thème SDDM précédemment installé
 Description[gl]=Retira un tema de SDDM instalado previamente.
 Description[he]=מסיר את ערכת נושא הקודמת של SDDM
-Description[hu]=Eltávolít egy korábban telepített SDDM témát
+Description[hu]=Egy korábban telepített SDDM téma eltávolítása
+Description[ia]=Remove un thema de SDDM previemente installate
 Description[id]=Menghapus tema SDDM yang terinstal sebelumnya
 Description[it]=Rimuove un tema di SDDM precedentemente installato
 Description[ko]=이전에 설치한 SDDM 테마 삭제
 Description[lt]=Pašalina anksčiau įdiegtą SDDM apipavidalinimą
 Description[nl]=Verwijdert een eerder geïnstalleerd SDDM-thema
 Description[nn]=Fjernar eit tidlegare installert SDDM-tema
+Description[pa]=ਪਹਿਲਾਂ ਇੰਸਟਾਲ ਕੀਤੇ SDDM ਥੀਮ ਨੂੰ ਹਟਾਉਂਦਾ ਹੈ
 Description[pl]=Usuwa poprzednio wgrany wygląd SDDM
 Description[pt]=Remove um tema do SDDM instalado anteriormente
 Description[pt_BR]=Remove um tema SDDM instalado anteriormente
@@ -309,22 +322,26 @@ Name[da]=Synkronisér indstillinger
 Name[de]=Einstellungen abgleichen
 Name[en_GB]=Synchronise Settings
 Name[es]=Sincronizar preferencias
+Name[et]=Seadistuste sünkroonimine
 Name[eu]=Sinkronizatu ezarpenak
 Name[fi]=Synkronoi asetukset
 Name[fr]=Synchroniser les paramètres
 Name[gl]=Sincronizar a configuración
 Name[hu]=Beállítások szinkronizálása
+Name[ia]=Synchronisa preferentias
 Name[id]=Sinkronkan Pengaturan
 Name[it]=Impostazioni di sincronizzazione
 Name[ko]=설정 동기화
 Name[lt]=Sinchronizuoti nuostatas
 Name[nl]=Instellingen synchroniseren
 Name[nn]=Synkroniser innstillingar
+Name[pa]=ਸੈਟਿੰਗਾਂ ਸੈਕਰੋਨਾਈਜ਼ ਕਰੋ
 Name[pl]=Synchronizuj ustawienia
 Name[pt]=Sincronizar a Configuração
 Name[pt_BR]=Sincronizar configurações
 Name[ru]=Синхронизация параметров
 Name[sk]=Synchronizovať nastavenia
+Name[sl]=Sinhroniziraj nastavitve
 Name[sv]=Synkronisera inställningar
 Name[uk]=Синхронізувати параметри
 Name[x-test]=xxSynchronize Settingsxx
@@ -338,22 +355,26 @@ Description[da]=Synkroniserer brugerinds
 Description[de]=Benutzereinstellungen mit den SDDM-Einstellungen abgleichen
 Description[en_GB]=Synchronises user settings with SDDM settings
 Description[es]=Sincroniza las preferencias del usuario con las de SDDM
+Description[et]=Kasutaja ja SDDM seadistuste sünkroonimine
 Description[eu]=Erabiltzaile ezarpenak SDDM ezarpenekin sinkronizatzen ditu
 Description[fi]=Synkronoi käyttäjän ja SDDM:n asetukset
 Description[fr]=Synchroniser les paramètres utilisateur avec les paramètres SDDM
 Description[gl]=Sincroniza a configuración de usuario coa configuración de SDDM
 Description[hu]=Felhasználói beállítások szinkronizálása az SDDM beállításaival
+Description[ia]=Synchronisa preferentias de usator con preferentias de SDDM
 Description[id]=Menyinkronkan pengaturan pengguna dengan pengaturan SDDM
 Description[it]=Sincronizza le impostazioni utente con quelle di SDDM
 Description[ko]=사용자 설정과 SDDM 설정 동기화
 Description[lt]=Sinchronizuoja naudotojo nuostatas su SDDM nuostatomis
 Description[nl]=Gebruikersinstellingen met SDDM instellingen worden gesynchroniseerd
 Description[nn]=Synkroniser brukarinnstillingar med SDDM-innstillingar
+Description[pa]=SDDM ਸੈਟਿੰਗਾਂ ਨਾਲ ਵਰਤੋਂਕਾਰ ਸੈਟਿੰਗਾਂ ਮਿਲਾਓ
 Description[pl]=Synchronizuje ustawienia użytkownika z ustawieniami SDDM
 Description[pt]=Sincroniza a configuração do utilizador com a configuração do SDDM
 Description[pt_BR]=Sincroniza as configurações do usuário com as do SDDM
 Description[ru]=Синхронизация парамеров SDDM с параметрами пользователя
 Description[sk]=Synchronizuje používateľské nastavenia s nastaveniami SDDM
+Description[sl]=Sinhroniziraj uporabniške nastavitve z nastavitvami SDDM
 Description[sv]=Synkroniserar användarinställningar med SDDM-inställningar
 Description[uk]=Синхронізація параметрів користувача із параметрами SDDM
 Description[x-test]=xxSynchronizes user settings with SDDM settingsxx
@@ -370,22 +391,26 @@ Name[da]=Nulstil indstillinger
 Name[de]=Einstellungen zurücksetzen
 Name[en_GB]=Reset Settings
 Name[es]=Reiniciar preferencias
+Name[et]=Seadistuste lähtestamine
 Name[eu]=Berrezarri ezarpenak
 Name[fi]=Alusta asetukset
 Name[fr]=Réinitialiser les paramètres
 Name[gl]=Restablecer a configuración
 Name[hu]=Beállítások visszaállítása
+Name[ia]=Refixa preferentias
 Name[id]=Set ulang Pengaturan
 Name[it]=Ripristina le impostazioni
 Name[ko]=설정 초기화
 Name[lt]=Atstatyti nuostatas
 Name[nl]=Instellingen resetten
 Name[nn]=Tilbakestilla innstillingar
+Name[pa]=ਸੈਟਿੰਗਾਂ ਮੁੜ-ਸੈੱਟ ਕਰੋ
 Name[pl]=Wyzeruj ustawienia
 Name[pt]=Repor a Configuração
 Name[pt_BR]=Restaurar configurações
 Name[ru]=Сброс параметров
 Name[sk]=Obnoviť nastavenia
+Name[sl]=Ponovno postavi nastavitve
 Name[sv]=Nollställ inställningar
 Name[uk]=Скинути параметри
 Name[x-test]=xxReset Settingsxx
@@ -399,11 +424,13 @@ Description[da]=Nulstiller SDDM-indstill
 Description[de]=SDDM-Einstellungen zurücksetzen und Benutzereinstellungen verwerfen
 Description[en_GB]=Resets SDDM settings so there are not user settings
 Description[es]=Reinicia las preferencias de SDDM para que no sean las del usuario
+Description[et]=SDDM seadistuste lähtestamine, nii et seda ei mõjutaks kasutaja määratud seadistused
 Description[eu]=SDDM ezarpenak berrezartzen ditu beraz ez dago erabiltzaile ezarpenik
 Description[fi]=Alustaa SDDM-asetukset niin, etteivät ne ole käyttäjän asettamia
 Description[fr]=Réinitialise les paramètres SDDM de manière à ce qu'il n'y ait pas de paramètres utilisateur
 Description[gl]=Restabelece a configuración de SDDM de xeito que non teña opcións de usuario
 Description[hu]=Visszavonja az SDDM beállításainak felhasználó általi módosításait
+Description[ia]=Restabili preferentias de SDDM assi que il non ha preferentias de usator
 Description[id]=Set ulang pengaturan SDDM sehingga tidak ada pengaturan pengguna
 Description[it]=Ripristina le impostazioni di SDDM in modo che non ci siano impostazioni utente
 Description[ko]=SDDM 설정 초기화
@@ -415,6 +442,7 @@ Description[pt]=Repõe a configuração
 Description[pt_BR]=Restaura as configurações do SDDM para não usar as do usuário
 Description[ru]=Сброс параметров SDDM, не являющихся параметрами пользователя
 Description[sk]=Obnoví nastavenia SDDM, takže neexistujú žiadne používateľské nastavenia
+Description[sl]=Ponovno nastavi SDDM tako da ni uporabnikovih nastavitev
 Description[sv]=Nollställer SDDM-inställningar så att det inte finns några användarinställningar
 Description[uk]=Скидання параметрів SDDM до типових
 Description[x-test]=xxResets SDDM settings so there are not user settingsxx
diff -pruN 4:5.17.5-2/kcm_sddm.desktop 4:5.19.2-0ubuntu1/kcm_sddm.desktop
--- 4:5.17.5-2/kcm_sddm.desktop	2020-01-07 15:50:54.000000000 +0000
+++ 4:5.19.2-0ubuntu1/kcm_sddm.desktop	2020-06-23 12:24:30.000000000 +0000
@@ -28,8 +28,10 @@ X-KDE-Keywords[fr]=sddm,gestionnaire d'a
 X-KDE-Keywords[gl]=sddm,xestor de pantallas,tema
 X-KDE-Keywords[he]=sddm,display manager,theme,מנהל תצוגה,ערכת נושא
 X-KDE-Keywords[hu]=sddm,bejelentkezéskezelő,téma
+X-KDE-Keywords[ia]=sddm,display manager,theme
 X-KDE-Keywords[id]=sddm,pengelola display,tema
 X-KDE-Keywords[it]=sddm,gestore dello schermo,tema
+X-KDE-Keywords[ja]=sddm,ディスプレイマネージャ,テーマ
 X-KDE-Keywords[ko]=sddm,display manager,theme,디스플레이 관리자,테마
 X-KDE-Keywords[lt]=sddm,ekrano tvarkytuvė,tema,apipavidalinimas
 X-KDE-Keywords[nb]=sddm,vindusbehandler,tema
@@ -73,8 +75,10 @@ Name[fr]=Écran de connexion (SDDM)
 Name[gl]=Pantalla de identificación (SDDM)
 Name[he]=מסך התחברות
 Name[hu]=Bejelentkező képernyő (SDDM)
+Name[ia]=Schermo de accesso(SDDM)
 Name[id]=Layar Login (SDDM)
 Name[it]=Schermata di accesso (SDDM)
+Name[ja]=ログイン画面 (SDDM)
 Name[ko]=로그인 화면(SDDM)
 Name[lt]=Prisijungimo langas (SDDM)
 Name[nb]=Loginn-skjerm (SDDM)
@@ -108,17 +112,21 @@ Comment[da]=Indstil loginhåndtering
 Comment[de]=Anmeldungsverwaltung einrichten
 Comment[en_GB]=Configure Login Manager
 Comment[es]=Configurar el gestor de inicio de sesión
+Comment[et]=Sisselogimishalduri seadistamine
 Comment[eu]=Konfiguratu saio-hasteko kudeatzailea
 Comment[fi]=Kirjautumisikkunan asetukset
 Comment[fr]=Configurer le gestionnaire de connexion
 Comment[gl]=Configurar o xestor de identificación
 Comment[hu]=A bejelentkezéskezelő beállításai
+Comment[ia]=Configura le gerente de accesso
 Comment[id]=Konfigurasikan Pengelola Login
 Comment[it]=Configura gestore degli accessi
+Comment[ja]=ログインマネージャを設定
 Comment[ko]=로그인 관리자 설정
 Comment[lt]=Konfigūruoti prisijungimo tvarkytuvę
 Comment[nl]=Aanmeldbeheerder configureren
 Comment[nn]=Set opp innloggingshandsamar
+Comment[pa]=ਲਾਗਇਨ ਮੈਨੇਜਰ ਦੀ ਸੰਰਚਨਾ
 Comment[pl]=Ustawienia zarządzania logowaniem
 Comment[pt]=Configurar o Gestor de Autenticação
 Comment[pt_BR]=Configurar o gerenciador de login
diff -pruN 4:5.17.5-2/po/ar/kcm_sddm.po 4:5.19.2-0ubuntu1/po/ar/kcm_sddm.po
--- 4:5.17.5-2/po/ar/kcm_sddm.po	2020-01-07 15:51:07.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/ar/kcm_sddm.po	2020-06-23 12:24:38.000000000 +0000
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
 "PO-Revision-Date: 2015-01-09 17:56+0300\n"
 "Last-Translator: Safa Alfulaij <safa1996alfulaij@gmail.com>\n"
 "Language-Team: Arabic <doc@arabeyes.org>\n"
@@ -28,17 +28,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "safa1996alfulaij@gmail.com"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr ""
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr ""
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr ""
@@ -110,23 +110,23 @@ msgstr "شاشة ولوج باستخدا
 msgid "Author"
 msgstr "المؤلّف"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "السّمة"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "متقدّم"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr ""
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr ""
@@ -158,51 +158,51 @@ msgid "Log in again immediately after lo
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, fuzzy, kde-format
 #| msgid "Reboot Command:"
 msgid "Halt command:"
 msgstr "أمر إعادة الإقلاع:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, fuzzy, kde-format
 #| msgid "Reboot Command:"
 msgid "Reboot command:"
 msgstr "أمر إعادة الإقلاع:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -211,7 +211,7 @@ msgid ""
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -219,13 +219,13 @@ msgid ""
 msgstr ""
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "الخلفيّة:"
diff -pruN 4:5.17.5-2/po/ast/kcm_sddm.po 4:5.19.2-0ubuntu1/po/ast/kcm_sddm.po
--- 4:5.17.5-2/po/ast/kcm_sddm.po	2020-01-07 15:51:07.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/ast/kcm_sddm.po	2020-06-23 12:24:38.000000000 +0000
@@ -1,13 +1,13 @@
 # Copyright (C) YEAR This file is copyright:
 # This file is distributed under the same license as the sddm-kcm package.
 #
-# enolp <enolp@softastur.org>, 2019.
+# enolp <enolp@softastur.org>, 2019, 2020.
 msgid ""
 msgstr ""
 "Project-Id-Version: sddm-kcm\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
-"PO-Revision-Date: 2019-09-09 02:26+0200\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
+"PO-Revision-Date: 2020-02-19 16:11+0100\n"
 "Last-Translator: enolp <enolp@softastur.org>\n"
 "Language-Team: Asturian <alministradores@softastur.org>\n"
 "Language: ast\n"
@@ -15,7 +15,7 @@ msgstr ""
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Generator: Lokalize 19.08.0\n"
+"X-Generator: Lokalize 19.12.2\n"
 
 #, kde-format
 msgctxt "NAME OF TRANSLATORS"
@@ -27,17 +27,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "alministradores@softastur.org"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr ""
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr "Nun pudo abrise'l ficheru"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "Nun pudo descomprimise'l ficheru"
@@ -75,7 +75,7 @@ msgstr ""
 #: src/configwidgets/selectimagebutton.cpp:42
 #, kde-format
 msgid "Clear Image"
-msgstr "Llimpiar la imaxe"
+msgstr ""
 
 #: src/configwidgets/selectimagebutton.cpp:75
 #, kde-format
@@ -108,23 +108,23 @@ msgstr ""
 msgid "Author"
 msgstr ""
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Estilu"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Avanzao"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Descarga d'estilos nuevos pa SDDM"
@@ -133,70 +133,70 @@ msgstr "Descarga d'estilos nuevos pa SDD
 #: src/ui/advancedconfig.ui:25
 #, kde-format
 msgid "Automatically log in:"
-msgstr ""
+msgstr "Aniciar sesión automáticamente:"
 
 #. i18n: ectx: property (text), widget (QCheckBox, autoLogin)
 #: src/ui/advancedconfig.ui:34
 #, kde-format
 msgid "as user:"
-msgstr ""
+msgstr "col usuariu:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_4)
 #: src/ui/advancedconfig.ui:51
 #, kde-format
 msgid "with session:"
-msgstr "cola sesión:"
+msgstr "y la sesión:"
 
 #. i18n: ectx: property (text), widget (QCheckBox, reloginAfterQuit)
 #: src/ui/advancedconfig.ui:76
 #, kde-format
 msgid "Log in again immediately after logging off"
-msgstr ""
+msgstr "Volver aniciar la sesión darréu de zarrala"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr "UID mínima d'usuariu:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr "UID máxima d'usuariu:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
 msgstr "Comandu d'apagáu:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr "Comandu de reaniciu:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr "Sincronización d'axustes:"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
-msgstr ""
+msgstr "Sincronizar"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
-msgstr ""
+msgstr "Reafitar"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -205,21 +205,23 @@ msgid ""
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
 "synchronization to work."
 msgstr ""
+"Decátate que los ficheros d'estilu han instalase globalmente pa que la "
+"sincronización d'axustes funcione."
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
-msgstr "..."
+msgstr "…"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Fondu:"
@@ -240,4 +242,4 @@ msgstr ""
 #: src/ui/themeconfig.ui:191
 #, kde-format
 msgid "Get New Login Screens..."
-msgstr ""
\ No newline at end of file
+msgstr "Consiguir pantalles nueves…"
\ No newline at end of file
diff -pruN 4:5.17.5-2/po/bs/kcm_sddm.po 4:5.19.2-0ubuntu1/po/bs/kcm_sddm.po
--- 4:5.17.5-2/po/bs/kcm_sddm.po	2020-01-07 15:51:09.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/bs/kcm_sddm.po	2020-06-23 12:24:39.000000000 +0000
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: kde5\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
 "PO-Revision-Date: 2015-02-24 20:33+0100\n"
 "Last-Translator: Samir Ribić <megaribi@epn.ba>\n"
 "Language-Team: Bosnian\n"
@@ -29,17 +29,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "samir.ribic@etf.unsa.ba"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr ""
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr ""
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr ""
@@ -111,23 +111,23 @@ msgstr ""
 msgid "Author"
 msgstr "Autor"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Tema"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Napredno"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr ""
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr ""
@@ -159,53 +159,53 @@ msgid "Log in again immediately after lo
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, fuzzy, kde-format
 #| msgid "Minimum UID:"
 msgid "Minimum user UID:"
 msgstr "Minimalni UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, fuzzy, kde-format
 #| msgid "Maximum UID:"
 msgid "Maximum user UID:"
 msgstr "MaksimalniUID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, fuzzy, kde-format
 #| msgid "Halt Command:"
 msgid "Halt command:"
 msgstr "Komanda za zaustavljanje:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, fuzzy, kde-format
 #| msgid "Reboot Command:"
 msgid "Reboot command:"
 msgstr "Komanda za ponovno pokretanje:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -214,7 +214,7 @@ msgid ""
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -222,13 +222,13 @@ msgid ""
 msgstr ""
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Pozadina:"
diff -pruN 4:5.17.5-2/po/ca/kcm_sddm.po 4:5.19.2-0ubuntu1/po/ca/kcm_sddm.po
--- 4:5.17.5-2/po/ca/kcm_sddm.po	2020-01-07 15:51:09.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/ca/kcm_sddm.po	2020-06-23 12:24:39.000000000 +0000
@@ -8,8 +8,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: kcm_sddm\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
-"PO-Revision-Date: 2019-12-19 21:27+0100\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
+"PO-Revision-Date: 2019-12-19 20:41+0100\n"
 "Last-Translator: Josep Ma. Ferrer <txemaq@gmail.com>\n"
 "Language-Team: Catalan <kde-i18n-ca@kde.org>\n"
 "Language: ca\n"
@@ -30,17 +30,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "txemaq@gmail.com"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "El paquet de tema no és vàlid"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr "No s'ha pogut obrir el fitxer"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "No s'ha pogut descomprimir l'arxiu"
@@ -111,23 +111,23 @@ msgstr "Pantalla d'inici de sessió usan
 msgid "Author"
 msgstr "Autor"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Tema"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Avançat"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Baixa temes nous de l'SDDM"
@@ -157,49 +157,49 @@ msgid "Log in again immediately after lo
 msgstr "Torneu a connectar immediatament després de desconnectar"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr "UID mínim de l'usuari:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr "UID màxim de l'usuari:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
 msgstr "Ordre d'aturada:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr "Ordre de reinici:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr "Sincronització de paràmetres:"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr "Sincronitza"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr "Inicialitza"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -212,7 +212,7 @@ msgstr ""
 "teclat numèric, tema del Plasma i escalat dels ppp."
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -222,13 +222,13 @@ msgstr ""
 "perquè funcioni la sincronització de l'arranjament."
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Fons:"
diff -pruN 4:5.17.5-2/po/ca@valencia/kcm_sddm.po 4:5.19.2-0ubuntu1/po/ca@valencia/kcm_sddm.po
--- 4:5.17.5-2/po/ca@valencia/kcm_sddm.po	2020-01-07 15:51:09.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/ca@valencia/kcm_sddm.po	2020-06-23 12:24:39.000000000 +0000
@@ -10,7 +10,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: kcm_sddm\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
 "PO-Revision-Date: 2019-07-22 11:06+0200\n"
 "Last-Translator: Alfredo vicente <alviboi@gmail.com>\n"
 "Language-Team: Catalan <kde-i18n-ca@kde.org>\n"
@@ -32,17 +32,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "txemaq@gmail.com"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "El paquet de tema no és vàlid"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr "No s'ha pogut obrir el fitxer"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "No s'ha pogut descomprimir l'arxiu"
@@ -113,23 +113,23 @@ msgstr "Pantalla d'inici de sessió usan
 msgid "Author"
 msgstr "Autor"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Tema"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Avançat"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Baixa temes nous d'SDDM"
@@ -159,49 +159,49 @@ msgid "Log in again immediately after lo
 msgstr "Torneu a connectar immediatament després de desconnectar"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr "UID mínim de l'usuari:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr "UID màxim de l'usuari:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
 msgstr "Ordre de parada:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr "Ordre de reinici:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr "Sincronització de paràmetres:"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr "Sincronització"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr "Reinicialitza"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, fuzzy, kde-format
 #| msgid ""
 #| "Settings synchronization allows you to transfer your theme customization "
@@ -216,7 +216,7 @@ msgstr ""
 "del tipus de lletra, icones i tema de Plasma) a SDDM."
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -224,13 +224,13 @@ msgid ""
 msgstr ""
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Fons:"
diff -pruN 4:5.17.5-2/po/cs/kcm_sddm.po 4:5.19.2-0ubuntu1/po/cs/kcm_sddm.po
--- 4:5.17.5-2/po/cs/kcm_sddm.po	2020-01-07 15:51:09.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/cs/kcm_sddm.po	2020-06-23 12:24:40.000000000 +0000
@@ -1,14 +1,14 @@
 # Copyright (C) YEAR This_file_is_part_of_KDE
 # This file is distributed under the same license as the PACKAGE package.
 # Vít Pelčák <vit@pelcak.org>, 2014, 2017.
-# Vit Pelcak <vpelcak@suse.cz>, 2017, 2019.
+# Vit Pelcak <vpelcak@suse.cz>, 2017, 2019, 2020.
 #
 msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
-"PO-Revision-Date: 2019-08-21 14:31+0200\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
+"PO-Revision-Date: 2020-06-04 11:32+0200\n"
 "Last-Translator: Vit Pelcak <vit@pelcak.org>\n"
 "Language-Team: Czech <kde-i18n-doc@kde.org>\n"
 "Language: cs\n"
@@ -16,7 +16,7 @@ msgstr ""
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=3; plural=(n==1) ? 0 : (n>=2 && n<=4) ? 1 : 2;\n"
-"X-Generator: Lokalize 19.04.3\n"
+"X-Generator: Lokalize 20.04.1\n"
 
 #, kde-format
 msgctxt "NAME OF TRANSLATORS"
@@ -28,17 +28,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "vit@pelcak.org"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "Neplatný balíček motivu."
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr "Nelze otevřít soubor"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "Archiv nelze rozbalit."
@@ -109,23 +109,23 @@ msgstr "Přihlašovací obrazovka SDDM"
 msgid "Author"
 msgstr "Autor"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Motiv"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Pokročilé"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Stáhnout nové motivy SDDM"
@@ -152,52 +152,52 @@ msgstr "se sezením:"
 #: src/ui/advancedconfig.ui:76
 #, kde-format
 msgid "Log in again immediately after logging off"
-msgstr ""
+msgstr "Přihlásit okamžitě po odhlášení"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr "Minimální UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr "Maximální UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
 msgstr "Příkaz pro vypnutí:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr "Příkaz pro restart:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr "Synchronizace nastavení:"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr "Synchronizovat"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr "Obnovit"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -206,7 +206,7 @@ msgid ""
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -214,13 +214,13 @@ msgid ""
 msgstr ""
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Pozadí:"
diff -pruN 4:5.17.5-2/po/da/kcm_sddm.po 4:5.19.2-0ubuntu1/po/da/kcm_sddm.po
--- 4:5.17.5-2/po/da/kcm_sddm.po	2020-01-07 15:51:10.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/da/kcm_sddm.po	2020-06-23 12:24:40.000000000 +0000
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
 "PO-Revision-Date: 2019-11-22 20:47+0100\n"
 "Last-Translator: Martin Schlander <mschlander@opensuse.org>\n"
 "Language-Team: Danish <kde-i18n-doc@kde.org>\n"
@@ -27,17 +27,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "mschlander@opensuse.org"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "Ugyldig temapakke"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr "Kunne ikke åbne filen"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "Kunne ikke dekomprimere arkivet"
@@ -108,23 +108,23 @@ msgstr "Login-skærm med brug af SDDM"
 msgid "Author"
 msgstr "Ophavsmand"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Tema"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Avanceret"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Download nye SDDM-temaer"
@@ -154,49 +154,49 @@ msgid "Log in again immediately after lo
 msgstr "Log direkte ind igen efter at logge ud"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr "Minimum bruger-UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr "Maksimum bruger-UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
 msgstr "Sluk-kommando:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr "Genstart-kommando:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr "Synkronisering af indstillinger:"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr "Synk."
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr "Nulstil"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -208,7 +208,7 @@ msgstr ""
 "skrifttyperendering, NumLock-indstilling, Plasma-tema og skalerings-DPI."
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -218,13 +218,13 @@ msgstr ""
 "indstillinger virker."
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Baggrund:"
diff -pruN 4:5.17.5-2/po/de/kcm_sddm.po 4:5.19.2-0ubuntu1/po/de/kcm_sddm.po
--- 4:5.17.5-2/po/de/kcm_sddm.po	2020-01-07 15:51:09.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/de/kcm_sddm.po	2020-06-23 12:24:40.000000000 +0000
@@ -3,7 +3,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
 "PO-Revision-Date: 2019-09-09 06:58+0200\n"
 "Last-Translator: Burkhard Lück <lueck@hube-lueck.de>\n"
 "Language-Team: German <kde-i18n-de@kde.org>\n"
@@ -24,17 +24,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "lueck@hube-lueck.de"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "Ungültiges Designpakets"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr "Datei kann nicht geöffnet werden"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "Das Archive kann nicht entpackt werden"
@@ -105,23 +105,23 @@ msgstr "Anmeldebildschirm (SDDM)"
 msgid "Author"
 msgstr "Autor"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Design"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Erweitert"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Neue SDDM-Designs herunterladen"
@@ -151,49 +151,49 @@ msgid "Log in again immediately after lo
 msgstr "Nach dem Abmelden sofort wieder anmelden"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr "Minimale UID (Kennung):"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr "Maximale UID (Kennung):"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
 msgstr "Befehl zum Herunterfahren:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr "Befehl zum Neustart:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr "Abgleich der Einstellungen:"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr "Abgleichen"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr "Zurücksetzen"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -205,7 +205,7 @@ msgstr ""
 "Zahlen-Feststelltaste, Plasma-Design und DPI-Skalierung"
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -215,13 +215,13 @@ msgstr ""
 "Abgleichen der Einstellungen funktioniert."
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Hintergrund:"
diff -pruN 4:5.17.5-2/po/el/kcm_sddm.po 4:5.19.2-0ubuntu1/po/el/kcm_sddm.po
--- 4:5.17.5-2/po/el/kcm_sddm.po	2020-01-07 15:51:09.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/el/kcm_sddm.po	2020-06-23 12:24:41.000000000 +0000
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
 "PO-Revision-Date: 2017-01-24 16:07+0200\n"
 "Last-Translator: Dimitris Kardarakos <dimkard@gmail.com>\n"
 "Language-Team: Greek <kde-i18n-el@kde.org>\n"
@@ -27,18 +27,18 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "dimkard@gmail.com"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "Μη έγκυρο πακέτο θέματος"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, fuzzy, kde-format
 #| msgid "Could not decompress archive"
 msgid "Could not open file"
 msgstr "Αδυναμία αποσυμπίεσης αρχειοθήκης"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "Αδυναμία αποσυμπίεσης αρχειοθήκης"
@@ -110,23 +110,23 @@ msgstr "Οθόνη εισόδου με 
 msgid "Author"
 msgstr "Συγγραφέας"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Θέμα"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Για προχωρημένους"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr ""
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Λήψη νέων θεμάτων SDDM"
@@ -158,53 +158,53 @@ msgid "Log in again immediately after lo
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, fuzzy, kde-format
 #| msgid "Minimum UID:"
 msgid "Minimum user UID:"
 msgstr "Ελάχιστο UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, fuzzy, kde-format
 #| msgid "Maximum UID:"
 msgid "Maximum user UID:"
 msgstr "Μέγιστο UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, fuzzy, kde-format
 #| msgid "Halt Command:"
 msgid "Halt command:"
 msgstr "Εντολή τερματισμού:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, fuzzy, kde-format
 #| msgid "Reboot Command:"
 msgid "Reboot command:"
 msgstr "Εντολή επανεκκίνησης:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -213,7 +213,7 @@ msgid ""
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -221,13 +221,13 @@ msgid ""
 msgstr ""
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Φόντο:"
diff -pruN 4:5.17.5-2/po/en_GB/kcm_sddm.po 4:5.19.2-0ubuntu1/po/en_GB/kcm_sddm.po
--- 4:5.17.5-2/po/en_GB/kcm_sddm.po	2020-01-07 15:51:10.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/en_GB/kcm_sddm.po	2020-06-23 12:24:41.000000000 +0000
@@ -6,10 +6,10 @@ msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
-"PO-Revision-Date: 2019-09-21 13:30+0100\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
+"PO-Revision-Date: 2019-09-21 12:40+0100\n"
 "Last-Translator: Steve Allewell <steve.allewell@gmail.com>\n"
-"Language-Team: British English <kde-i18n-doc@kde.org>\n"
+"Language-Team: British English <kde-l10n-en_gb@kde.org>\n"
 "Language: en_GB\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -27,17 +27,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "steve.allewell@gmail.com"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "Invalid theme package"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr "Could not open file"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "Could not decompress archive"
@@ -108,23 +108,23 @@ msgstr "Login screen using the SDDM"
 msgid "Author"
 msgstr "Author"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Theme"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Advanced"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Download New SDDM Themes"
@@ -154,49 +154,49 @@ msgid "Log in again immediately after lo
 msgstr "Log in again immediately after logging off"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr "Minimum user UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr "Maximum user UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
 msgstr "Halt command:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr "Reboot command:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr "Settings synchronisation:"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr "Sync"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr "Reset"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -208,7 +208,7 @@ msgstr ""
 "preference, Plasma theme, and scaling DPI."
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -218,13 +218,13 @@ msgstr ""
 "synchronisation to work."
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Background:"
diff -pruN 4:5.17.5-2/po/es/kcm_sddm.po 4:5.19.2-0ubuntu1/po/es/kcm_sddm.po
--- 4:5.17.5-2/po/es/kcm_sddm.po	2020-01-07 15:51:10.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/es/kcm_sddm.po	2020-06-23 12:24:41.000000000 +0000
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: kcm_sddm\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
 "PO-Revision-Date: 2019-09-04 04:42+0200\n"
 "Last-Translator: Eloy Cuadra <ecuadra@eloihr.net>\n"
 "Language-Team: Spanish <kde-l10n-es@kde.org>\n"
@@ -29,17 +29,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "ecuadra@eloihr.net"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "Paquete de tema no válido"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr "No se ha podido abrir el archivo"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "No se puede descomprimir el archivo"
@@ -110,23 +110,23 @@ msgstr "Pantalla de inicio de sesión qu
 msgid "Author"
 msgstr "Autor"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Tema"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Avanzado"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Descargar nuevos temas SDDM"
@@ -156,49 +156,49 @@ msgid "Log in again immediately after lo
 msgstr "Iniciar sesión de nuevo inmediatamente tras cerrar una sesión"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr "UID de usuario mínimo:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr "UID de usuario máximo:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
 msgstr "Orden de detención:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr "Orden de reinicio:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr "Sincronización de preferencias:"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr "Sincronizar"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr "Reiniciar"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -211,7 +211,7 @@ msgstr ""
 "Plasma y escalado de PPP."
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -221,13 +221,13 @@ msgstr ""
 "para que funcione la sincronización de preferencias."
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Fondo:"
diff -pruN 4:5.17.5-2/po/et/kcm_sddm.po 4:5.19.2-0ubuntu1/po/et/kcm_sddm.po
--- 4:5.17.5-2/po/et/kcm_sddm.po	2020-01-07 15:51:10.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/et/kcm_sddm.po	2020-06-23 12:24:41.000000000 +0000
@@ -1,21 +1,21 @@
 # Copyright (C) YEAR This_file_is_part_of_KDE
 # This file is distributed under the same license as the PACKAGE package.
 #
-# Marek Laane <qiilaq69@gmail.com>, 2016.
+# Marek Laane <qiilaq69@gmail.com>, 2016, 2019.
 msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
-"PO-Revision-Date: 2016-01-10 09:23+0200\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
+"PO-Revision-Date: 2019-11-01 16:54+0200\n"
 "Last-Translator: Marek Laane <qiilaq69@gmail.com>\n"
-"Language-Team: Estonian <kde-i18n-doc@kde.org>\n"
+"Language-Team: Estonian <kde-et@lists.linux.ee>\n"
 "Language: et\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Generator: Lokalize 1.5\n"
+"X-Generator: Lokalize 19.08.1\n"
 
 #, kde-format
 msgctxt "NAME OF TRANSLATORS"
@@ -27,45 +27,45 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "qiilaq69@gmail.com"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
-msgstr ""
+msgstr "Vigane teemapakett"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
-msgstr ""
+msgstr "Faili avamine nurjus"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
-msgstr ""
+msgstr "Arhiivi lahtipakkimine nurjus"
 
 #: sddmthemeinstaller.cpp:40
 #, kde-format
 msgid "SDDM theme installer"
-msgstr ""
+msgstr "SDDM teema paigaldaja"
 
 #: sddmthemeinstaller.cpp:47
 #, kde-format
 msgid "Install a theme."
-msgstr ""
+msgstr "Teema paigaldamine."
 
 #: sddmthemeinstaller.cpp:48
 #, kde-format
 msgid "Uninstall a theme."
-msgstr ""
+msgstr "Teema eemaldamine."
 
 #: sddmthemeinstaller.cpp:50
 #, kde-format
 msgid "The theme to install, must be an existing archive file."
-msgstr ""
+msgstr "Paigaldatav teema, peab olema tegelik arhiivifail."
 
 #: sddmthemeinstaller.cpp:76
 #, kde-format
 msgid "Unable to install theme"
-msgstr ""
+msgstr "Teema paigaldamine nurjus"
 
 #: src/configwidgets/selectimagebutton.cpp:41
 #, kde-format
@@ -78,8 +78,7 @@ msgid "Clear Image"
 msgstr "Puhasta pilt"
 
 #: src/configwidgets/selectimagebutton.cpp:75
-#, fuzzy, kde-format
-#| msgid "Select image"
+#, kde-format
 msgctxt "@title:window"
 msgid "Select Image"
 msgstr "Pildi valimine"
@@ -92,7 +91,7 @@ msgstr "Eelvaatlus puudub"
 #: src/qml/main.qml:116
 #, kde-format
 msgid ", by "
-msgstr ""
+msgstr ", autor:"
 
 #: src/sddmkcm.cpp:43
 #, kde-format
@@ -109,124 +108,123 @@ msgstr "SDDM sisselogimisekraan"
 msgid "Author"
 msgstr "Autor"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Teema"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Muu"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
-msgstr ""
+msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
-msgstr ""
+msgstr "Uute SDDM teemade allalaadimine"
 
 #. i18n: ectx: property (text), widget (QLabel, label_3)
 #: src/ui/advancedconfig.ui:25
 #, kde-format
 msgid "Automatically log in:"
-msgstr ""
+msgstr "Automaatne sisselogimine:"
 
 #. i18n: ectx: property (text), widget (QCheckBox, autoLogin)
 #: src/ui/advancedconfig.ui:34
-#, fuzzy, kde-format
-#| msgid "User:"
+#, kde-format
 msgid "as user:"
-msgstr "Kasutaja:"
+msgstr "kasutajana:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_4)
 #: src/ui/advancedconfig.ui:51
-#, fuzzy, kde-format
-#| msgid "Session:"
+#, kde-format
 msgid "with session:"
-msgstr "Seanss:"
+msgstr "seanssi:"
 
 #. i18n: ectx: property (text), widget (QCheckBox, reloginAfterQuit)
 #: src/ui/advancedconfig.ui:76
 #, kde-format
 msgid "Log in again immediately after logging off"
-msgstr ""
+msgstr "Uuesti sisselogimine kohe pärast väljalogimist"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
-#, fuzzy, kde-format
-#| msgid "Minimum UID:"
+#: src/ui/advancedconfig.ui:99
+#, kde-format
 msgid "Minimum user UID:"
-msgstr "Minimaalne UID:"
+msgstr "Kasutaja minimaalne UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
-#, fuzzy, kde-format
-#| msgid "Maximum UID:"
+#: src/ui/advancedconfig.ui:119
+#, kde-format
 msgid "Maximum user UID:"
-msgstr "Maksimaalne UID:"
+msgstr "Kasutja maksimaalne UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
-#, fuzzy, kde-format
-#| msgid "Halt Command:"
+#: src/ui/advancedconfig.ui:155
+#, kde-format
 msgid "Halt command:"
 msgstr "Peatamiskäsk:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
-#, fuzzy, kde-format
-#| msgid "Reboot Command:"
+#: src/ui/advancedconfig.ui:172
+#, kde-format
 msgid "Reboot command:"
 msgstr "Taaskäivituskäsk:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
-msgstr ""
+msgstr "Seadistuste sünkroonimine"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
-msgstr ""
+msgstr "Sünkrooni"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
-msgstr ""
+msgstr "Lähtesta"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
 "settings to SDDM: color scheme, cursor theme, font, font rendering, NumLock "
 "preference, Plasma theme, and scaling DPI."
 msgstr ""
+"Seadistuste sünkroonimine võimaldab kanda SDDM-ile üle järgmised Plasma "
+"seadistused: värviskeem, kursoriteema, font, fondi renderdamine, NumLocki "
+"eelistus, Plasma teema ja DPI skaleerimine."
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
 "synchronization to work."
 msgstr ""
+"Palun arvesta, et seadistuste sünkroonimiseks peavad teemafailid olema "
+"paigaldatud globaalselt."
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Taust:"
@@ -235,17 +233,16 @@ msgstr "Taust:"
 #: src/ui/themeconfig.ui:156
 #, kde-format
 msgid "Remove"
-msgstr ""
+msgstr "Eemalda"
 
 #. i18n: ectx: property (text), widget (QPushButton, installFromFileButton)
 #: src/ui/themeconfig.ui:180
-#, fuzzy, kde-format
-#| msgid "Load from file..."
+#, kde-format
 msgid "Install From File..."
-msgstr "Laadi failist..."
+msgstr "Paigalda failist ..."
 
 #. i18n: ectx: property (text), widget (QPushButton, getNewButton)
 #: src/ui/themeconfig.ui:191
 #, kde-format
 msgid "Get New Login Screens..."
-msgstr ""
\ No newline at end of file
+msgstr "Hangi uusi sisselogimisekraane ..."
\ No newline at end of file
diff -pruN 4:5.17.5-2/po/eu/kcm_sddm.po 4:5.19.2-0ubuntu1/po/eu/kcm_sddm.po
--- 4:5.17.5-2/po/eu/kcm_sddm.po	2020-01-07 15:51:11.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/eu/kcm_sddm.po	2020-06-23 12:24:41.000000000 +0000
@@ -11,7 +11,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: sddm-kcm\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
 "PO-Revision-Date: 2019-09-03 22:13+0200\n"
 "Last-Translator: Iñigo Salvador Azurmendi <xalba@euskalnet.net>\n"
 "Language-Team: Basque <kde-i18n-eu@kde.org>\n"
@@ -32,17 +32,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "ander.elor@gmail.com,xalba@euskalnet.net"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "Gai-pakete baliogabea"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr "Ezin izan da fitxategia ireki"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "Ezin izan da artxiboa deskonprimatu"
@@ -113,23 +113,23 @@ msgstr "Saio-hasteko pantaila SDDM erabi
 msgid "Author"
 msgstr "Egilea"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Gaia"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Aurreratua"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Jaitsi SDDM gai berriak"
@@ -159,49 +159,49 @@ msgid "Log in again immediately after lo
 msgstr "Ireki saioa saioa itxi eta berehala"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr "Erabiltzaile UID minimoa:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr "Erabiltzaile UID maximoa:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
 msgstr "Gelditzeko komandoa:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr "Berrabiarazteko komandoa:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr "Ezarpenak sinkronizatzea:"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr "Sink."
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr "Berrezarri"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -213,7 +213,7 @@ msgstr ""
 "errendatzea, ZkGiltzatze hobespena, Plasmaren gaia, eta eskalatze DPI."
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -223,13 +223,13 @@ msgstr ""
 "sinkronizatzea ibil dadin."
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Atzeko planoa:"
diff -pruN 4:5.17.5-2/po/fi/kcm_sddm.po 4:5.19.2-0ubuntu1/po/fi/kcm_sddm.po
--- 4:5.17.5-2/po/fi/kcm_sddm.po	2020-01-07 15:51:11.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/fi/kcm_sddm.po	2020-06-23 12:24:41.000000000 +0000
@@ -1,7 +1,7 @@
 # Copyright (C) YEAR This_file_is_part_of_KDE
 # This file is distributed under the same license as the PACKAGE package.
 # Lasse Liehu <lasse.liehu@gmail.com>, 2014, 2017.
-# Tommi Nieminen <translator@legisign.org>, 2017, 2018, 2019.
+# Tommi Nieminen <translator@legisign.org>, 2017, 2018, 2019, 2020.
 #
 #
 # Larso, 2014.
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
-"PO-Revision-Date: 2019-07-29 17:01+0200\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
+"PO-Revision-Date: 2020-01-01 15:41+0200\n"
 "Last-Translator: Tommi Nieminen <translator@legisign.org>\n"
 "Language-Team: Finnish <kde-i18n-doc@kde.org>\n"
 "Language: fi\n"
@@ -18,7 +18,7 @@ msgstr ""
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
-"X-Generator: Lokalize 2.0\n"
+"X-Generator: Lokalize 18.12.3\n"
 
 #, kde-format
 msgctxt "NAME OF TRANSLATORS"
@@ -30,17 +30,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "lasse.liehu@gmail.com, translator@legisign.org"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "Virheellinen teemapaketti"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr "Tiedostoa ei voi avata"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "Arkiston purkaminen epäonnistui"
@@ -111,23 +111,23 @@ msgstr "SDDM:ää käyttävä kirjautumi
 msgid "Author"
 msgstr "Tekijä"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Teema"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Lisäasetukset"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Lataa uusia SDDM-teemoja"
@@ -157,49 +157,49 @@ msgid "Log in again immediately after lo
 msgstr "Kirjaudu sisään heti uloskirjautumisen jälkeen"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr "Vähimmäis-UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr "Enimmäis-UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
 msgstr "Sammutuskomento:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr "Uudelleenkäynnistyskomento:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr "Asetusten synkronointi:"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr "Synkronoi"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr "Alusta"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -208,24 +208,28 @@ msgid ""
 msgstr ""
 "Asetusten synkronoinnilla voit välittää seuraavat Plasma-asetukset SDDM:lle: "
 "väri- ja osoitinteema, fontti ja sen asetukset, numerolukkoasetus, Plasma-"
-"teema sekä DPI-skaalaus."
+"teema sekä DPI-skaalaus.Asetusten synkronoinnilla voit välittää seuraavat "
+"Plasma-asetukset SDDM:lle: väri- ja osoitinteema, fontti ja sen asetukset, "
+"numerolukkoasetus, Plasma-teema sekä DPI-skaalaus."
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
 "synchronization to work."
 msgstr ""
+"Huomaa, että teematiedostot on asennettava järjestelmänlaajuisesti, jotta "
+"asetukset voi synkronoida."
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "…"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Tausta:"
diff -pruN 4:5.17.5-2/po/fr/kcm_sddm.po 4:5.19.2-0ubuntu1/po/fr/kcm_sddm.po
--- 4:5.17.5-2/po/fr/kcm_sddm.po	2020-01-07 15:51:11.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/fr/kcm_sddm.po	2020-06-23 12:24:41.000000000 +0000
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
 "PO-Revision-Date: 2019-08-25 20:07+0800\n"
 "Last-Translator: Simon Depiets <sdepiets@gmail.com>\n"
 "Language-Team: French <kde-francophone@kde.org>\n"
@@ -32,17 +32,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "maxence.ledore@gmail.com, sdepiets@gmail.com"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "Paquet de thème non valable"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr "Impossible d'ouvrir le fichier"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "Impossible d'extraire l'archive"
@@ -113,23 +113,23 @@ msgstr "Écran de connexion utilisant SD
 msgid "Author"
 msgstr "Auteur"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Thème"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Avancé"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Télécharger de nouveaux thèmes SDDM"
@@ -159,49 +159,49 @@ msgid "Log in again immediately after lo
 msgstr "Se connecter immédiatement après la déconnexion"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr "UID utilisateur minimum :"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr "UID utilisateur maximum :"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
 msgstr "Commande d'arrêt :"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr "Commande de redémarrage :"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr "Synchronisation des paramètres :"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr "Sync"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr "Réinitialiser"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -213,7 +213,7 @@ msgstr ""
 "rendu de la police, préférence VerrNum, thème Plasma et échelle DPI."
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -223,13 +223,13 @@ msgstr ""
 "globalement pour que la synchronisation des paramètres fonctionne."
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Fond :"
diff -pruN 4:5.17.5-2/po/gl/kcm_sddm.po 4:5.19.2-0ubuntu1/po/gl/kcm_sddm.po
--- 4:5.17.5-2/po/gl/kcm_sddm.po	2020-01-07 15:51:12.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/gl/kcm_sddm.po	2020-06-23 12:24:42.000000000 +0000
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
 "PO-Revision-Date: 2019-11-17 09:49+0100\n"
 "Last-Translator: Adrián Chaves (Gallaecio) <adrian@chaves.io>\n"
 "Language-Team: Galician <proxecto@trasno.gal>\n"
@@ -28,17 +28,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "adrian@chaves.io"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "Paquete de tema incorrecto"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr "Non se puido abrir o ficheiro"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "Non se puido descomprimir o arquivo."
@@ -109,23 +109,23 @@ msgstr "Pantalla de identificación usan
 msgid "Author"
 msgstr "Autor"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Tema"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Avanzado"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Descargar novos temas de SDDM"
@@ -155,49 +155,49 @@ msgid "Log in again immediately after lo
 msgstr "Acceder de novo inmediatamente tras saír"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr "UID mínimo de usuario:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr "UID máximo de usuario:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
 msgstr "Orde de apagar:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr "Orde de reiniciar:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr "Sincronización da configuración:"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr "Sincronizar"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr "Restabelecer"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -210,7 +210,7 @@ msgstr ""
 "axuste de dimensións de ppp."
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -220,13 +220,13 @@ msgstr ""
 "a sincronización de configuración funcione."
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "…"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Fondo:"
diff -pruN 4:5.17.5-2/po/he/kcm_sddm.po 4:5.19.2-0ubuntu1/po/he/kcm_sddm.po
--- 4:5.17.5-2/po/he/kcm_sddm.po	2020-01-07 15:51:13.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/he/kcm_sddm.po	2020-06-23 12:24:43.000000000 +0000
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: kcm_sddm\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
 "PO-Revision-Date: 2017-05-16 11:58-0400\n"
 "Last-Translator: Elkana Bardugo <ttv200@gmail.com>\n"
 "Language-Team: Hebrew <kde-i18n-doc@kde.org>\n"
@@ -28,18 +28,18 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "ttv200@gmail.com"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "ערכת נושא שאינה תקינה"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, fuzzy, kde-format
 #| msgid "Could not decompress archive"
 msgid "Could not open file"
 msgstr "לא ניתן לחלץ את הארכיון"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "לא ניתן לחלץ את הארכיון"
@@ -111,23 +111,23 @@ msgstr "מסך כניסה באמצעות
 msgid "Author"
 msgstr "מחבר"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "ערכת נושא"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "מתקדם"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "הורד ערכת נושא חדשה ל־SDDM"
@@ -159,53 +159,53 @@ msgid "Log in again immediately after lo
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, fuzzy, kde-format
 #| msgid "Minimum UID:"
 msgid "Minimum user UID:"
 msgstr "‏UID מינימלי:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, fuzzy, kde-format
 #| msgid "Maximum UID:"
 msgid "Maximum user UID:"
 msgstr "‏UID מקסימלי:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, fuzzy, kde-format
 #| msgid "Halt Command:"
 msgid "Halt command:"
 msgstr "פקודת שינה"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, fuzzy, kde-format
 #| msgid "Reboot Command:"
 msgid "Reboot command:"
 msgstr "פקודת הפעלה מחדש"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -214,7 +214,7 @@ msgid ""
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -222,13 +222,13 @@ msgid ""
 msgstr ""
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "רקע:"
diff -pruN 4:5.17.5-2/po/hu/kcm_sddm.po 4:5.19.2-0ubuntu1/po/hu/kcm_sddm.po
--- 4:5.17.5-2/po/hu/kcm_sddm.po	2020-01-07 15:51:14.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/hu/kcm_sddm.po	2020-06-23 12:24:43.000000000 +0000
@@ -7,8 +7,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
-"PO-Revision-Date: 2019-12-08 18:34+0100\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
+"PO-Revision-Date: 2019-11-08 08:51+0100\n"
 "Last-Translator: Kristóf Kiszel <ulysses@kubuntu.org>\n"
 "Language-Team: Hungarian <kde-l10n-hu@kde.org>\n"
 "Language: hu\n"
@@ -16,7 +16,7 @@ msgstr ""
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
-"X-Generator: Lokalize 20.03.70\n"
+"X-Generator: Lokalize 19.11.70\n"
 
 #, kde-format
 msgctxt "NAME OF TRANSLATORS"
@@ -28,17 +28,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "ulysses@kubuntu.org"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "Érvénytelen témacsomag"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr "Nem sikerült megnyitni a fájlt"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "Nem sikerült kibontani az archívumot"
@@ -109,23 +109,23 @@ msgstr "Az SDDM-et használó bejelentke
 msgid "Author"
 msgstr "Szerző"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Téma"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Speciális"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Új SDDM témák letöltése"
@@ -155,49 +155,49 @@ msgid "Log in again immediately after lo
 msgstr "Bejelentkezés rögtön kijelentkezés után"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr "Minimális felhasználó UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr "Maximális felhasználó UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
 msgstr "Leállítás parancs:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr "Újraindítás parancs:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr "Szinkronizáció beállítása:"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr "Szinkronizálás"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr "Visszaállítás"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -209,7 +209,7 @@ msgstr ""
 "NumLock beállítás, Plasma téma, és DPI skálázás."
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -219,13 +219,13 @@ msgstr ""
 "szinkronizációja működjön."
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "…"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Háttér:"
diff -pruN 4:5.17.5-2/po/ia/kcm_sddm.po 4:5.19.2-0ubuntu1/po/ia/kcm_sddm.po
--- 4:5.17.5-2/po/ia/kcm_sddm.po	2020-01-07 15:51:14.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/ia/kcm_sddm.po	2020-06-23 12:24:43.000000000 +0000
@@ -6,8 +6,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
-"PO-Revision-Date: 2020-01-05 23:20+0100\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
+"PO-Revision-Date: 2020-01-08 22:13+0100\n"
 "Last-Translator: Giovanni Sora <g.sora@tiscali.it>\n"
 "Language-Team: Interlingua <kde-i18n-doc@kde.org>\n"
 "Language: ia\n"
@@ -27,17 +27,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "g.sora@tiscali.it"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr ""
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr "On non pote aperir file"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr ""
@@ -108,23 +108,23 @@ msgstr ""
 msgid "Author"
 msgstr "Autor"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Thema"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Avantiate"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr ""
@@ -154,49 +154,49 @@ msgid "Log in again immediately after lo
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr "Sync"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr "Reinitialisa"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -205,7 +205,7 @@ msgid ""
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -213,13 +213,13 @@ msgid ""
 msgstr ""
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Fundo:"
diff -pruN 4:5.17.5-2/po/id/kcm_sddm.po 4:5.19.2-0ubuntu1/po/id/kcm_sddm.po
--- 4:5.17.5-2/po/id/kcm_sddm.po	2020-01-07 15:51:14.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/id/kcm_sddm.po	2020-06-23 12:24:43.000000000 +0000
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
 "PO-Revision-Date: 2019-12-22 11:51+0700\n"
 "Last-Translator: Wantoyo <wantoyek@gmail.com>\n"
 "Language-Team: Indonesian <kde-i18n-doc@kde.org>\n"
@@ -27,17 +27,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "wantoyek@gmail.com"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "Paket tema tak absah"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr "Tidak dapat membuka file"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "Tidak dapat mendekompres arsip"
@@ -108,23 +108,23 @@ msgstr "Layar login menggunakan SDDM"
 msgid "Author"
 msgstr "Penulis"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Tema"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Tingkat-lanjut"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Unduh Tema SDDM Baru"
@@ -154,49 +154,49 @@ msgid "Log in again immediately after lo
 msgstr "Masuk log lagi segera setelah pe-log-off-an"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr "Minimum UID pengguna:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr "Maksimum UID pengguna:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
 msgstr "Perintah penghentian:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr "Perintah penyalaan ulang:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr "Sinkronisasi pengaturan:"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr "Sinkron"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr "Set ulang"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -208,7 +208,7 @@ msgstr ""
 "font, preferensi NumLock, tema Plasma dan DPI penskalaan."
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -218,13 +218,13 @@ msgstr ""
 "sinkronisasi pengaturan bisa bekerja."
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Latarbelakang:"
diff -pruN 4:5.17.5-2/po/it/kcm_sddm.po 4:5.19.2-0ubuntu1/po/it/kcm_sddm.po
--- 4:5.17.5-2/po/it/kcm_sddm.po	2020-01-07 15:51:15.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/it/kcm_sddm.po	2020-06-23 12:24:44.000000000 +0000
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: kcm_sddm\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
 "PO-Revision-Date: 2019-09-07 18:24+0200\n"
 "Last-Translator: Vincenzo Reale <smart2128@baslug.org>\n"
 "Language-Team: Italian <kde-i18n-it@kde.org>\n"
@@ -27,17 +27,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "smart2128@baslug.org"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "Pacchetto dei temi non valido"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr "Impossibile aprire il file"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "Impossibile decomprimere l'archivio"
@@ -108,23 +108,23 @@ msgstr "Schermata di accesso che utilizz
 msgid "Author"
 msgstr "Autore"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Tema"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Avanzate"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Scarica nuovi temi di SDDM"
@@ -154,49 +154,49 @@ msgid "Log in again immediately after lo
 msgstr "Accedi nuovamente subito dopo aver chiuso la sessione"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr "UID utente minimo:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr "UID utente massimo:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
 msgstr "Comando di spegnimento:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr "Comando di riavvio:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr "Sincronizzazione delle impostazioni:"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr "Sincronizza"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr "Ripristina"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -209,7 +209,7 @@ msgstr ""
 "ridimensionamento DPI."
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -219,13 +219,13 @@ msgstr ""
 "funzioni la sincronizzazione delle impostazioni."
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Sfondo:"
diff -pruN 4:5.17.5-2/po/ja/kcm_sddm.po 4:5.19.2-0ubuntu1/po/ja/kcm_sddm.po
--- 4:5.17.5-2/po/ja/kcm_sddm.po	2020-01-07 15:51:15.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/ja/kcm_sddm.po	2020-06-23 12:24:44.000000000 +0000
@@ -1,12 +1,13 @@
 # Fuminobu TAKEYAMA <ftake@geeko.jp>, 2015.
 # Fumiaki Okushi <fumiaki.okushi@gmail.com>, 2015.
+# Tomohiro Hyakutake <tomhioo@outlook.jp>, 2020.
 msgid ""
 msgstr ""
 "Project-Id-Version: kcm_sddm\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
-"PO-Revision-Date: 2015-05-02 15:06-0700\n"
-"Last-Translator: Fumiaki Okushi <fumiaki.okushi@gmail.com>\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
+"PO-Revision-Date: 2020-01-17 19:39+0900\n"
+"Last-Translator: Tomohiro Hyakutake <tomhioo@outlook.jp>\n"
 "Language-Team: Japanese <kde-jp@kde.org>\n"
 "Language: ja\n"
 "MIME-Version: 1.0\n"
@@ -15,7 +16,7 @@ msgstr ""
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
 "X-Accelerator-Marker: &\n"
 "X-Text-Markup: kde4\n"
-"X-Generator: Lokalize 1.5\n"
+"X-Generator: Lokalize 19.12.1\n"
 
 #, kde-format
 msgctxt "NAME OF TRANSLATORS"
@@ -27,17 +28,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "ftake@geeko.jp"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr ""
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr ""
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr ""
@@ -109,23 +110,23 @@ msgstr "SDDM を利用したログイン
 msgid "Author"
 msgstr "作者"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "テーマ"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "詳細設定"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr ""
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr ""
@@ -134,99 +135,97 @@ msgstr ""
 #: src/ui/advancedconfig.ui:25
 #, kde-format
 msgid "Automatically log in:"
-msgstr ""
+msgstr "自動的にログイン:"
 
 #. i18n: ectx: property (text), widget (QCheckBox, autoLogin)
 #: src/ui/advancedconfig.ui:34
-#, fuzzy, kde-format
-#| msgid "User:"
+#, kde-format
 msgid "as user:"
-msgstr "ユーザ:"
+msgstr "使用するユーザ:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_4)
 #: src/ui/advancedconfig.ui:51
-#, fuzzy, kde-format
-#| msgid "Session:"
+#, kde-format
 msgid "with session:"
-msgstr "セッション:"
+msgstr "起動するセッション:"
 
 #. i18n: ectx: property (text), widget (QCheckBox, reloginAfterQuit)
 #: src/ui/advancedconfig.ui:76
 #, kde-format
 msgid "Log in again immediately after logging off"
-msgstr ""
+msgstr "ログオフ後に自動的に再度ログインする"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
-#, fuzzy, kde-format
-#| msgid "Minimum UID:"
+#: src/ui/advancedconfig.ui:99
+#, kde-format
 msgid "Minimum user UID:"
-msgstr "最小 UID:"
+msgstr "最小 ユーザ UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
-#, fuzzy, kde-format
-#| msgid "Maximum UID:"
+#: src/ui/advancedconfig.ui:119
+#, kde-format
 msgid "Maximum user UID:"
-msgstr "最大 UID:"
+msgstr "最大 ユーザ UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
-#, fuzzy, kde-format
-#| msgid "Halt Command:"
+#: src/ui/advancedconfig.ui:155
+#, kde-format
 msgid "Halt command:"
 msgstr "終了コマンド:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
-#, fuzzy, kde-format
-#| msgid "Reboot Command:"
+#: src/ui/advancedconfig.ui:172
+#, kde-format
 msgid "Reboot command:"
 msgstr "再起動コマンド:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
-msgstr ""
+msgstr "設定の同期:"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
-msgstr ""
+msgstr "同期"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
-msgstr ""
+msgstr "リセット"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
 "settings to SDDM: color scheme, cursor theme, font, font rendering, NumLock "
 "preference, Plasma theme, and scaling DPI."
 msgstr ""
+"設定の同期は次の Plasma 設定を SDDM に同期します: カラースキーム、カーソル"
+"テーマ、フォント、フォント描画、NumLock 設定、Plasma テーマ、DPI の倍率"
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
 "synchronization to work."
 msgstr ""
+"設定の同期が機能するにはテーマがグローバルにインストールされている必要がある"
+"ことにご注意ください。"
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "背景:"
diff -pruN 4:5.17.5-2/po/ko/kcm_sddm.po 4:5.19.2-0ubuntu1/po/ko/kcm_sddm.po
--- 4:5.17.5-2/po/ko/kcm_sddm.po	2020-01-07 15:51:16.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/ko/kcm_sddm.po	2020-06-23 12:24:44.000000000 +0000
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
 "PO-Revision-Date: 2019-09-25 00:38+0200\n"
 "Last-Translator: Shinjo Park <kde@peremen.name>\n"
 "Language-Team: Korean <kde-kr@kde.org>\n"
@@ -27,17 +27,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "kde@peremen.name"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "잘못된 테마 패키지"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr "파일을 열 수 없음"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "압축을 풀 수 없음"
@@ -108,23 +108,23 @@ msgstr "SDDM을 사용하는 로그인 
 msgid "Author"
 msgstr "작성자"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "테마"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "고급"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1(Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "새 SDDM 테마 다운로드"
@@ -154,49 +154,49 @@ msgid "Log in again immediately after lo
 msgstr "로그아웃 후 즉시 다시 로그인"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr "최소 사용자 UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr "최대 사용자 UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
 msgstr "시스템 종료 명령어:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr "다시 시작 명령어:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr "설정 동기화:"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr "동기화"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr "초기화"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -207,7 +207,7 @@ msgstr ""
 "열, 커서 테마, 글꼴, 글꼴 렌더링, NumLock 설정, Plasma 테마, DPI 크기 조정."
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -215,13 +215,13 @@ msgid ""
 msgstr "설정 동기화를 사용하려면 테마를 전역적으로 설치해야 합니다."
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "배경:"
diff -pruN 4:5.17.5-2/po/lt/kcm_sddm.po 4:5.19.2-0ubuntu1/po/lt/kcm_sddm.po
--- 4:5.17.5-2/po/lt/kcm_sddm.po	2020-01-07 15:51:16.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/lt/kcm_sddm.po	2020-06-23 12:24:45.000000000 +0000
@@ -9,8 +9,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: trunk-kf 5\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
-"PO-Revision-Date: 2019-09-03 11:53+0300\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
+"PO-Revision-Date: 2019-12-16 16:52+0200\n"
 "Last-Translator: Moo\n"
 "Language-Team: Lithuanian <kde-i18n-lt@kde.org>\n"
 "Language: lt\n"
@@ -19,7 +19,7 @@ msgstr ""
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=4; plural=(n==1 ? 0 : n%10>=2 && (n%100<10 || n"
 "%100>=20) ? 1 : n%10==0 || (n%100>10 && n%100<20) ? 2 : 3);\n"
-"X-Generator: Poedit 2.2.1\n"
+"X-Generator: Poedit 2.2.4\n"
 
 #, kde-format
 msgctxt "NAME OF TRANSLATORS"
@@ -31,17 +31,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "liudas@akmc.lt, <>"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "Netinkamas apipavidalinimo paketas"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr "Nepavyko atverti failo"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "Nepavyksta išglaudinti archyvo"
@@ -79,13 +79,13 @@ msgstr "Įkelti iš failo..."
 #: src/configwidgets/selectimagebutton.cpp:42
 #, kde-format
 msgid "Clear Image"
-msgstr "Išvalyti paveiksliuką"
+msgstr "Išvalyti paveikslą"
 
 #: src/configwidgets/selectimagebutton.cpp:75
 #, kde-format
 msgctxt "@title:window"
 msgid "Select Image"
-msgstr "Pasirinkite paveiksliuką"
+msgstr "Pasirinkite paveikslą"
 
 #: src/qml/main.qml:91 src/themesdelegate.cpp:67
 #, kde-format
@@ -112,23 +112,23 @@ msgstr "Prisijungimo langas naudojant SD
 msgid "Author"
 msgstr "Autorius"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Apipavidalinimas"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
-msgstr "Sudėtingesni"
+msgstr "Išplėstiniai"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Atsisiųsti naujus SDDM apipavidalinimus"
@@ -158,49 +158,49 @@ msgid "Log in again immediately after lo
 msgstr "Atsijungus, nedelsiant vėl prisijungti"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr "Mažiausias naudotojo UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr "Didžiausias naudotojo UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
 msgstr "Sustabdymo komanda:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr "Paleidimo iš naujo komanda:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr "Nuostatų sinchronizavimas:"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr "Sinchronizuoti"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr "Atstatyti"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -213,7 +213,7 @@ msgstr ""
 "mastelio DPI."
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -223,13 +223,13 @@ msgstr ""
 "apipavidalinimo failai privalo būti įdiegti visuotiniu lygmeniu."
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Fonas:"
diff -pruN 4:5.17.5-2/po/ml/kcm_sddm.po 4:5.19.2-0ubuntu1/po/ml/kcm_sddm.po
--- 4:5.17.5-2/po/ml/kcm_sddm.po	1970-01-01 00:00:00.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/ml/kcm_sddm.po	2020-06-23 12:24:45.000000000 +0000
@@ -0,0 +1,245 @@
+# Malayalam translations for sddm-kcm package.
+# Copyright (C) 2019 This file is copyright:
+# This file is distributed under the same license as the sddm-kcm package.
+# Automatically generated, 2019.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: sddm-kcm\n"
+"Report-Msgid-Bugs-To: https://bugs.kde.org\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
+"PO-Revision-Date: 2019-12-12 22:32+0000\n"
+"Last-Translator: Vivek KJ Pazhedath <vivekkj2004@gmail.com>\n"
+"Language-Team: Swathanthra|സ്വതന്ത്ര Malayalam|മലയാളം Computing|കമ്പ്യൂട്ടിങ്ങ് <smc."
+"org.in>\n"
+"Language: ml\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+"X-Generator: Weblate 3.9.1\n"
+
+#, kde-format
+msgctxt "NAME OF TRANSLATORS"
+msgid "Your names"
+msgstr ""
+
+#, kde-format
+msgctxt "EMAIL OF TRANSLATORS"
+msgid "Your emails"
+msgstr "shijualexonline@gmail.com,snalledam@dataone.in,vivekkj2004@gmail.com"
+
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
+#, kde-format
+msgid "Invalid theme package"
+msgstr ""
+
+#: sddmauthhelper.cpp:346
+#, kde-format
+msgid "Could not open file"
+msgstr ""
+
+#: sddmauthhelper.cpp:376
+#, kde-format
+msgid "Could not decompress archive"
+msgstr ""
+
+#: sddmthemeinstaller.cpp:40
+#, kde-format
+msgid "SDDM theme installer"
+msgstr ""
+
+#: sddmthemeinstaller.cpp:47
+#, kde-format
+msgid "Install a theme."
+msgstr ""
+
+#: sddmthemeinstaller.cpp:48
+#, kde-format
+msgid "Uninstall a theme."
+msgstr ""
+
+#: sddmthemeinstaller.cpp:50
+#, kde-format
+msgid "The theme to install, must be an existing archive file."
+msgstr ""
+
+#: sddmthemeinstaller.cpp:76
+#, kde-format
+msgid "Unable to install theme"
+msgstr ""
+
+#: src/configwidgets/selectimagebutton.cpp:41
+#, kde-format
+msgid "Load from file..."
+msgstr ""
+
+#: src/configwidgets/selectimagebutton.cpp:42
+#, kde-format
+msgid "Clear Image"
+msgstr ""
+
+#: src/configwidgets/selectimagebutton.cpp:75
+#, kde-format
+msgctxt "@title:window"
+msgid "Select Image"
+msgstr ""
+
+#: src/qml/main.qml:91 src/themesdelegate.cpp:67
+#, kde-format
+msgid "No preview available"
+msgstr ""
+
+#: src/qml/main.qml:116
+#, kde-format
+msgid ", by "
+msgstr ""
+
+#: src/sddmkcm.cpp:43
+#, kde-format
+msgid "SDDM KDE Config"
+msgstr ""
+
+#: src/sddmkcm.cpp:45
+#, kde-format
+msgid "Login screen using the SDDM"
+msgstr ""
+
+#: src/sddmkcm.cpp:49 src/sddmkcm.cpp:50
+#, kde-format
+msgid "Author"
+msgstr ""
+
+#: src/sddmkcm.cpp:116
+#, kde-format
+msgid "Theme"
+msgstr ""
+
+#: src/sddmkcm.cpp:121
+#, kde-format
+msgid "Advanced"
+msgstr ""
+
+#: src/sessionmodel.cpp:89
+#, kde-format
+msgctxt "%1 is the name of a session"
+msgid "%1 (Wayland)"
+msgstr ""
+
+#: src/themeconfig.cpp:188
+#, kde-format
+msgid "Download New SDDM Themes"
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QLabel, label_3)
+#: src/ui/advancedconfig.ui:25
+#, kde-format
+msgid "Automatically log in:"
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QCheckBox, autoLogin)
+#: src/ui/advancedconfig.ui:34
+#, kde-format
+msgid "as user:"
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QLabel, label_4)
+#: src/ui/advancedconfig.ui:51
+#, kde-format
+msgid "with session:"
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QCheckBox, reloginAfterQuit)
+#: src/ui/advancedconfig.ui:76
+#, kde-format
+msgid "Log in again immediately after logging off"
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QLabel, label_6)
+#: src/ui/advancedconfig.ui:99
+#, kde-format
+msgid "Minimum user UID:"
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QLabel, label_5)
+#: src/ui/advancedconfig.ui:119
+#, kde-format
+msgid "Maximum user UID:"
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QLabel, label)
+#: src/ui/advancedconfig.ui:155
+#, kde-format
+msgid "Halt command:"
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QLabel, label_2)
+#: src/ui/advancedconfig.ui:172
+#, kde-format
+msgid "Reboot command:"
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QLabel, label_8)
+#: src/ui/advancedconfig.ui:205
+#, kde-format
+msgid "Settings synchronization:"
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QPushButton, syncSettings)
+#: src/ui/advancedconfig.ui:214
+#, kde-format
+msgid "Sync"
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QPushButton, resetSettings)
+#: src/ui/advancedconfig.ui:224
+#, kde-format
+msgid "Reset"
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QLabel, syncExplanation)
+#: src/ui/advancedconfig.ui:242
+#, kde-format
+msgid ""
+"Settings synchronization allows you to transfer the following Plasma "
+"settings to SDDM: color scheme, cursor theme, font, font rendering, NumLock "
+"preference, Plasma theme, and scaling DPI."
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QLabel, syncWarning)
+#: src/ui/advancedconfig.ui:255
+#, kde-format
+msgid ""
+"Please note that theme files must be installed globally for settings "
+"synchronization to work."
+msgstr ""
+
+#. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
+#: src/ui/themeconfig.ui:127
+#, kde-format
+msgid "..."
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QLabel, label)
+#: src/ui/themeconfig.ui:134
+#, kde-format
+msgid "Background:"
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QPushButton, removeThemeButton)
+#: src/ui/themeconfig.ui:156
+#, kde-format
+msgid "Remove"
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QPushButton, installFromFileButton)
+#: src/ui/themeconfig.ui:180
+#, kde-format
+msgid "Install From File..."
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QPushButton, getNewButton)
+#: src/ui/themeconfig.ui:191
+#, kde-format
+msgid "Get New Login Screens..."
+msgstr ""
\ No newline at end of file
diff -pruN 4:5.17.5-2/po/nb/kcm_sddm.po 4:5.19.2-0ubuntu1/po/nb/kcm_sddm.po
--- 4:5.17.5-2/po/nb/kcm_sddm.po	2020-01-07 15:51:18.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/nb/kcm_sddm.po	2020-06-23 12:24:46.000000000 +0000
@@ -5,10 +5,10 @@ msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
 "PO-Revision-Date: 2015-01-08 21:37+0100\n"
 "Last-Translator: Bjørn Steensrud <bjornst@skogkatt.homelinux.org>\n"
-"Language-Team: Norwegian Bokmål <i18n-nb@lister.ping.uio.no>\n"
+"Language-Team: Norwegian Bokmål <l10n-no@lister.huftis.org>\n"
 "Language: nb\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -29,17 +29,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "bjornst@skogkatt.homelinux.org"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr ""
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr "Klarte ikke åpne fil"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr ""
@@ -110,23 +110,23 @@ msgstr "Loginn-skjerm som bruker SDDM"
 msgid "Author"
 msgstr "Forfatter"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Tema"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Avansert"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr ""
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr ""
@@ -156,49 +156,49 @@ msgid "Log in again immediately after lo
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -207,7 +207,7 @@ msgid ""
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -215,13 +215,13 @@ msgid ""
 msgstr ""
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "…"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Bakgrunn:"
diff -pruN 4:5.17.5-2/po/nl/kcm_sddm.po 4:5.19.2-0ubuntu1/po/nl/kcm_sddm.po
--- 4:5.17.5-2/po/nl/kcm_sddm.po	2020-01-07 15:51:19.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/nl/kcm_sddm.po	2020-06-23 12:24:46.000000000 +0000
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
 "PO-Revision-Date: 2019-09-03 11:21+0100\n"
 "Last-Translator: Freek de Kruijf <freekdekruijf@kde.nl>\n"
 "Language-Team: Dutch <kde-i18n-nl@kde.org>\n"
@@ -27,17 +27,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "freekdekruijf@kde.nl"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "Ongeldig themapakket"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr "Kon bestand niet openen"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "Kon archief niet uitpakken"
@@ -108,23 +108,23 @@ msgstr "Aanmeldscherm met gebruik van SD
 msgid "Author"
 msgstr "Auteur"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Thema"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Geavanceerd"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Nieuwe SDDM-thema's downloaden"
@@ -154,49 +154,49 @@ msgid "Log in again immediately after lo
 msgstr "Onmiddellijke opnieuw aanmelden na afmelden"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr "Minimale gebruikers-UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr "Maximale gebruikers-UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
 msgstr "Commando voor geheel stoppen:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr "Commando voor opnieuw opstarten:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr "Instellingen voor synchronisatie:"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr "Sync"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr "Reset"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -208,7 +208,7 @@ msgstr ""
 "weergave van lettertype, Plasmathema en DPI van schalen."
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -218,13 +218,13 @@ msgstr ""
 "synchronisatie van instellingen te laten werken."
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Achtergrond:"
diff -pruN 4:5.17.5-2/po/nn/kcm_sddm.po 4:5.19.2-0ubuntu1/po/nn/kcm_sddm.po
--- 4:5.17.5-2/po/nn/kcm_sddm.po	2020-01-07 15:51:19.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/nn/kcm_sddm.po	2020-06-23 12:24:46.000000000 +0000
@@ -5,10 +5,10 @@ msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
 "PO-Revision-Date: 2019-09-03 19:59+0200\n"
 "Last-Translator: Karl Ove Hufthammer <karl@huftis.org>\n"
-"Language-Team: Norwegian Nynorsk <i18n-nn@lister.ping.uio.no>\n"
+"Language-Team: Norwegian Nynorsk <l10n-no@lister.huftis.org>\n"
 "Language: nn\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -29,17 +29,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "karl@huftis.org"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "Installer temapakke"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr "Klarte ikkje opna fila"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "Klarte ikkje pakka ut arkivfil"
@@ -110,23 +110,23 @@ msgstr "Innloggingsbilete som brukar SDD
 msgid "Author"
 msgstr "Opphavsperson"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Tema"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Avansert"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Last ned nye SDDM-tema"
@@ -156,49 +156,49 @@ msgid "Log in again immediately after lo
 msgstr "Logg inn att rett etter utlogging"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr "Lågast moglege brukar-UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr "Høgast moglege brukar-ID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
 msgstr "Stoppkommando:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr "Omstartskommando:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr "Innstillingssynkronisering:"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr "Synkroniser"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr "Tilbakestill"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -210,7 +210,7 @@ msgstr ""
 "tema og DPI-skalering."
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -220,13 +220,13 @@ msgstr ""
 "innstillingane skal verka."
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr " …"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Bakgrunn:"
diff -pruN 4:5.17.5-2/po/pa/kcm_sddm.po 4:5.19.2-0ubuntu1/po/pa/kcm_sddm.po
--- 4:5.17.5-2/po/pa/kcm_sddm.po	2020-01-07 15:51:20.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/pa/kcm_sddm.po	2020-06-23 12:24:47.000000000 +0000
@@ -1,21 +1,21 @@
 # Copyright (C) YEAR This_file_is_part_of_KDE
 # This file is distributed under the same license as the PACKAGE package.
 #
-# A S Alam <aalam@users.sf.net>, 2015.
+# A S Alam <aalam@users.sf.net>, 2015, 2019.
 msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
-"PO-Revision-Date: 2015-02-01 03:18-0600\n"
-"Last-Translator: A S Alam <aalam@users.sf.net>\n"
-"Language-Team: Punjabi/Panjabi <punjabi-users@list.sf.net>\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
+"PO-Revision-Date: 2019-12-28 15:53-0800\n"
+"Last-Translator: A S Alam <alam.yellow@gmail.com>\n"
+"Language-Team: Punjabi <punjabi-users@lists.sf.net>\n"
 "Language: pa\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Generator: Lokalize 1.5\n"
+"X-Generator: Lokalize 19.04.3\n"
 
 #, kde-format
 msgctxt "NAME OF TRANSLATORS"
@@ -25,19 +25,19 @@ msgstr "ਅ ਸ ਆਲਮ"
 #, kde-format
 msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
-msgstr ""
+msgstr "alam.yellow@gmail.com"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
-msgstr ""
+msgstr "ਗ਼ਲਤ ਥੀਮ ਪੈਕੇਜ"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
-msgstr ""
+msgstr "ਫ਼ਾਇਲ ਖੋਲ੍ਹੀ ਨਹੀਂ ਜਾ ਸਕੀ"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr ""
@@ -45,17 +45,17 @@ msgstr ""
 #: sddmthemeinstaller.cpp:40
 #, kde-format
 msgid "SDDM theme installer"
-msgstr ""
+msgstr "SDDM ਥੀਮ ਇੰਸਟਾਲਰ"
 
 #: sddmthemeinstaller.cpp:47
 #, kde-format
 msgid "Install a theme."
-msgstr ""
+msgstr "ਥੀਮ ਇੰਸਟਾਲ ਕਰੋ।"
 
 #: sddmthemeinstaller.cpp:48
 #, kde-format
 msgid "Uninstall a theme."
-msgstr ""
+msgstr "ਥੀਮ ਅਣ-ਇੰਸਟਾਲ ਕਰੋ।"
 
 #: sddmthemeinstaller.cpp:50
 #, kde-format
@@ -78,8 +78,7 @@ msgid "Clear Image"
 msgstr "ਚਿੱਤਰ ਸਾਫ਼ ਕਰੋ"
 
 #: src/configwidgets/selectimagebutton.cpp:75
-#, fuzzy, kde-format
-#| msgid "Select image"
+#, kde-format
 msgctxt "@title:window"
 msgid "Select Image"
 msgstr "ਚਿੱਤਰ ਚੁਣੋ"
@@ -109,23 +108,23 @@ msgstr "SDDM ਦੀ ਵਰਤੋਂ ਕ
 msgid "Author"
 msgstr "ਲੇਖਕ"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "ਥੀਮ"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "ਤਕਨੀਕੀ"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
-msgstr ""
+msgstr "%1 (ਵੇਅਲੈਂਡ)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr ""
@@ -134,74 +133,70 @@ msgstr ""
 #: src/ui/advancedconfig.ui:25
 #, kde-format
 msgid "Automatically log in:"
-msgstr ""
+msgstr "ਆਪਣੇ-ਆਪ ਲਾਗਇਨ ਕਰੋ:"
 
 #. i18n: ectx: property (text), widget (QCheckBox, autoLogin)
 #: src/ui/advancedconfig.ui:34
-#, fuzzy, kde-format
-#| msgid "User:"
+#, kde-format
 msgid "as user:"
-msgstr "ਵਰਤੋਂਕਾਰ:"
+msgstr "ਇਹ ਵਰਤੋਂਕਾਰ:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_4)
 #: src/ui/advancedconfig.ui:51
-#, fuzzy, kde-format
-#| msgid "Session:"
+#, kde-format
 msgid "with session:"
-msgstr "ਸ਼ੈਸ਼ਨ:"
+msgstr "ਸ਼ੈਸ਼ਨ ਨਾਲ:"
 
 #. i18n: ectx: property (text), widget (QCheckBox, reloginAfterQuit)
 #: src/ui/advancedconfig.ui:76
 #, kde-format
 msgid "Log in again immediately after logging off"
-msgstr ""
+msgstr "ਲਾਗ ਆਫ਼ ਕਰਨ ਦੇ ਤੁਰੰਤ ਬਾਅਦ ਮੁੜ ਲਾਗ ਇਨ ਕਰੋ"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
-msgstr ""
+msgstr "ਘੱਟੋ-ਘੱਟ ਵਰਤੋਂਕਾਰ UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
-msgstr ""
+msgstr "ਵੱਧੋ-ਵੱਧ ਵਰਤੋਂਕਾਰ UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
-#, fuzzy, kde-format
-#| msgid "Reboot Command:"
+#: src/ui/advancedconfig.ui:155
+#, kde-format
 msgid "Halt command:"
-msgstr "ਮੁੜ-ਚਾਲੂ ਕਰਨ ਕਮਾਂਡ:"
+msgstr "ਬੰਦ ਕਰਨ ਲਈ ਕਮਾਂਡ:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
-#, fuzzy, kde-format
-#| msgid "Reboot Command:"
+#: src/ui/advancedconfig.ui:172
+#, kde-format
 msgid "Reboot command:"
 msgstr "ਮੁੜ-ਚਾਲੂ ਕਰਨ ਕਮਾਂਡ:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
-msgstr ""
+msgstr "ਸੈਟਿੰਗਾਂ ਸੈਕਰੋਨਾਈਜ਼ੇਸ਼ਨ:"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
-msgstr ""
+msgstr "ਸਿੰਕ ਕਰੋ"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
-msgstr ""
+msgstr "ਮੁੜ-ਸੈੱਟ"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -210,7 +205,7 @@ msgid ""
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -218,13 +213,13 @@ msgid ""
 msgstr ""
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "ਬੈਕਗਰਾਊਂਡ:"
@@ -233,12 +228,11 @@ msgstr "ਬੈਕਗਰਾਊਂਡ:"
 #: src/ui/themeconfig.ui:156
 #, kde-format
 msgid "Remove"
-msgstr ""
+msgstr "ਹਟਾਓ"
 
 #. i18n: ectx: property (text), widget (QPushButton, installFromFileButton)
 #: src/ui/themeconfig.ui:180
-#, fuzzy, kde-format
-#| msgid "Load from file..."
+#, kde-format
 msgid "Install From File..."
 msgstr "...ਫਾਇਲ ਤੋਂ ਲੋਡ ਕਰੋ"
 
diff -pruN 4:5.17.5-2/po/pl/kcm_sddm.po 4:5.19.2-0ubuntu1/po/pl/kcm_sddm.po
--- 4:5.17.5-2/po/pl/kcm_sddm.po	2020-01-07 15:51:20.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/pl/kcm_sddm.po	2020-06-23 12:24:47.000000000 +0000
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
 "PO-Revision-Date: 2019-09-20 15:48+0200\n"
 "Last-Translator: Łukasz Wojniłowicz <lukasz.wojnilowicz@gmail.com>\n"
 "Language-Team: Polish <kde-i18n-doc@kde.org>\n"
@@ -28,17 +28,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "lukasz.wojnilowicz@gmail.com"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "Nieprawidłowy pakiet wyglądu"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr "Nie można otworzyć pliku"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "Nie można wypakować archiwum"
@@ -109,23 +109,23 @@ msgstr "Ekran logowania używający SDDM
 msgid "Author"
 msgstr "Autor"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Wygląd"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Zaawansowane"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Pobierz nowy wygląd SDDM"
@@ -155,49 +155,49 @@ msgid "Log in again immediately after lo
 msgstr "Natychmiast zaloguj się ponownie po wylogowaniu"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr "Najniższy UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr "Najwyższy UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
 msgstr "Polecenie zatrzymania:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr "Polecenie ponownego uruchomienia:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr "Synchronizacja ustawień"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr "Synchronizuj"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr "Wyzeruj"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -209,7 +209,7 @@ msgstr ""
 "czcionek, ustawienie klawisza NumLock, wygląd Plazmy oraz skalowanie DPI."
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -218,13 +218,13 @@ msgstr ""
 "Pliki zestawu należy wgrać globalnie, aby synchronizacja ustawień zadziałała."
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Tło:"
diff -pruN 4:5.17.5-2/po/pt/kcm_sddm.po 4:5.19.2-0ubuntu1/po/pt/kcm_sddm.po
--- 4:5.17.5-2/po/pt/kcm_sddm.po	2020-01-07 15:51:20.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/pt/kcm_sddm.po	2020-06-23 12:24:47.000000000 +0000
@@ -2,7 +2,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: kcm_sddm\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
 "PO-Revision-Date: 2019-09-03 11:29+0100\n"
 "Last-Translator: José Nuno Coelho Pires <zepires@gmail.com>\n"
 "Language-Team: Portuguese <kde-i18n-pt@kde.org>\n"
@@ -24,17 +24,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "zepires@gmail.com"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "Pacote de tema inválido"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr "Não foi possível aceder ao ficheiro"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "Não foi possível descomprimir o pacote"
@@ -105,23 +105,23 @@ msgstr "Ecrã de autenticação que usa
 msgid "Author"
 msgstr "Autoria"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Tema"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Avançado"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Obter Novos Temas do SDDM"
@@ -151,49 +151,49 @@ msgid "Log in again immediately after lo
 msgstr "Iniciar a sessão imediatamente após encerrá-la"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr "UID mínimo do utilizador:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr "UID máximo do utilizador:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
 msgstr "Comando de encerramento:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr "Comando de reinício:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr "Sincronização da configuração:"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr "Sincronizar"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr "Reiniciar"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -205,7 +205,7 @@ msgstr ""
 "desenho do texto, estado do NumLock, tema do Plasma e PPP da escala."
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -215,13 +215,13 @@ msgstr ""
 "nível global para a sincronização das configurações funcionar."
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Fundo:"
diff -pruN 4:5.17.5-2/po/pt_BR/kcm_sddm.po 4:5.19.2-0ubuntu1/po/pt_BR/kcm_sddm.po
--- 4:5.17.5-2/po/pt_BR/kcm_sddm.po	2020-01-07 15:51:20.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/pt_BR/kcm_sddm.po	2020-06-23 12:24:47.000000000 +0000
@@ -1,23 +1,23 @@
 # Translation of kcm_sddm.po to Brazilian Portuguese
-# Copyright (C) 2014-2019 This_file_is_part_of_KDE
-# This file is distributed under the same license as the PACKAGE package.
+# Copyright (C) 2014-2020 This file is copyright:
+# This file is distributed under the same license as the sddm-kcm package.
 #
 # Luiz Fernando Ranghetti <elchevive@opensuse.org>, 2014, 2017, 2018, 2019.
-# André Marcelo Alvarenga <alvarenga@kde.org>, 2015, 2018, 2019.
+# André Marcelo Alvarenga <alvarenga@kde.org>, 2015, 2018, 2019, 2020.
 msgid ""
 msgstr ""
-"Project-Id-Version: kcm_sddm\n"
+"Project-Id-Version: sddm-kcm\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
-"PO-Revision-Date: 2019-09-06 09:45-0300\n"
-"Last-Translator: Luiz Fernando Ranghetti <elchevive@opensuse.org>\n"
-"Language-Team: Portuguese <kde-i18n-pt_BR@kde.org>\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
+"PO-Revision-Date: 2020-03-20 19:01-0300\n"
+"Last-Translator: André Marcelo Alvarenga <alvarenga@kde.org>\n"
+"Language-Team: Brazilian Portuguese <kde-i18n-pt_br@kde.org>\n"
 "Language: pt_BR\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n > 1);\n"
-"X-Generator: Lokalize 19.08.0\n"
+"X-Generator: Lokalize 19.12.3\n"
 
 #, kde-format
 msgctxt "NAME OF TRANSLATORS"
@@ -29,17 +29,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "elchevive@opensuse.org, alvarenga@kde.org"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "Pacote de tema inválido"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr "Não foi possível abrir o arquivo"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "Não foi possível descomprimir o arquivo"
@@ -110,23 +110,23 @@ msgstr "Tela de autenticação usando o
 msgid "Author"
 msgstr "Autor"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Tema"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Avançado"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Baixar novos temas SDDM"
@@ -153,52 +153,52 @@ msgstr "na sessão:"
 #: src/ui/advancedconfig.ui:76
 #, kde-format
 msgid "Log in again immediately after logging off"
-msgstr "Autenticar novamente imediatamente após encerrar sessão"
+msgstr "Autenticar novamente logo após encerrar a sessão"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr "UID mínimo do usuário:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr "UID máximo do usuário:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
 msgstr "Comando para desligar:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr "Comando para reiniciar:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr "Sincronização de configurações:"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr "Sincronizar"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr "Restaurar"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -211,23 +211,23 @@ msgstr ""
 "DPI."
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
 "synchronization to work."
 msgstr ""
-"Note que os arquivos do tema devem ser instalados globalmente para as "
-"configurações de sincronização funcionarem."
+"Lembre-se de que os arquivos do tema devem ser instalados globalmente para "
+"que as configurações de sincronização funcionem."
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Plano de fundo:"
diff -pruN 4:5.17.5-2/po/ro/kcm_sddm.po 4:5.19.2-0ubuntu1/po/ro/kcm_sddm.po
--- 4:5.17.5-2/po/ro/kcm_sddm.po	2020-01-07 15:51:21.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/ro/kcm_sddm.po	2020-06-23 12:24:47.000000000 +0000
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
 "PO-Revision-Date: 2015-04-20 14:26+0300\n"
 "Last-Translator: Sergiu Bivol <sergiu@cip.md>\n"
 "Language-Team: Romanian <kde-i18n-ro@kde.org>\n"
@@ -28,17 +28,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "sergiu@cip.md"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr ""
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr ""
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr ""
@@ -110,23 +110,23 @@ msgstr "Ecran de autentificare folosind
 msgid "Author"
 msgstr "Autor"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Temă"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Avansat"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr ""
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr ""
@@ -158,53 +158,53 @@ msgid "Log in again immediately after lo
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, fuzzy, kde-format
 #| msgid "Minimum UID:"
 msgid "Minimum user UID:"
 msgstr "UID minim:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, fuzzy, kde-format
 #| msgid "Maximum UID:"
 msgid "Maximum user UID:"
 msgstr "UID maxim:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, fuzzy, kde-format
 #| msgid "Halt Command:"
 msgid "Halt command:"
 msgstr "Comandă de oprire:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, fuzzy, kde-format
 #| msgid "Reboot Command:"
 msgid "Reboot command:"
 msgstr "Comandă de repornire:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -213,7 +213,7 @@ msgid ""
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -221,13 +221,13 @@ msgid ""
 msgstr ""
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Fundal:"
diff -pruN 4:5.17.5-2/po/ru/kcm_sddm.po 4:5.19.2-0ubuntu1/po/ru/kcm_sddm.po
--- 4:5.17.5-2/po/ru/kcm_sddm.po	2020-01-07 15:51:21.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/ru/kcm_sddm.po	2020-06-23 12:24:47.000000000 +0000
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
 "PO-Revision-Date: 2019-10-08 09:31+0300\n"
 "Last-Translator: Alexander Yavorsky <kekcuha@gmail.com>\n"
 "Language-Team: Russian <kde-russian@lists.kde.ru>\n"
@@ -32,17 +32,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "victorr2007@yandex.ru,aspotashev@gmail.com,kekcuha@gmail.com"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "Некорректный пакет темы"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr "Не удалось открыть файл"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "Не удалось распаковать архив"
@@ -113,23 +113,23 @@ msgstr "Экран входа в сис
 msgid "Author"
 msgstr "Автор"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Тема"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Дополнительно"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Загрузка новых тем SDDM"
@@ -159,49 +159,49 @@ msgid "Log in again immediately after lo
 msgstr "Автоматически входить в систему сразу после завершения сеанса"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr "Минимальный UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr "Максимальный UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
 msgstr "Команда выключения:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr "Команда перезагрузки:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr "Синхронизация параметров:"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr "Синхронизировать"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr "Восстановить"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -213,7 +213,7 @@ msgstr ""
 "отображение, режим NumLock, оформление рабочей среды и значение DPI)."
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -223,13 +223,13 @@ msgstr ""
 "установленных файлов оформления."
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Фон:"
diff -pruN 4:5.17.5-2/po/sk/kcm_sddm.po 4:5.19.2-0ubuntu1/po/sk/kcm_sddm.po
--- 4:5.17.5-2/po/sk/kcm_sddm.po	2020-01-07 15:51:22.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/sk/kcm_sddm.po	2020-06-23 12:24:48.000000000 +0000
@@ -2,45 +2,46 @@
 # Roman Paholik <wizzardsk@gmail.com>, 2014, 2016, 2017.
 # Mthw <jari_45@hotmail.com>, 2018.
 # Matej Mrenica <matejm98mthw@gmail.com>, 2019.
+# Dusan Kazik <prescott66@gmail.com>, 2020.
 msgid ""
 msgstr ""
 "Project-Id-Version: kcm_sddm\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
-"PO-Revision-Date: 2019-09-04 17:30+0200\n"
-"Last-Translator: Matej Mrenica <matejm98mthw@gmail.com>\n"
-"Language-Team: Slovak <kde-i18n-doc@kde.org>\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
+"PO-Revision-Date: 2020-03-26 13:20+0100\n"
+"Last-Translator: Dusan Kazik <prescott66@gmail.com>\n"
+"Language-Team: sk\n"
 "Language: sk\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: Lokalize 19.08.0\n"
+"X-Generator: Lokalize 19.12.3\n"
 "Plural-Forms: nplurals=3; plural=(n==1) ? 0 : (n>=2 && n<=4) ? 1 : 2;\n"
 
 #, kde-format
 msgctxt "NAME OF TRANSLATORS"
 msgid "Your names"
-msgstr "Roman Paholík"
+msgstr "Roman Paholík,Dušan Kazik"
 
 #, kde-format
 msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
-msgstr "wizzardsk@gmail.com"
+msgstr "wizzardsk@gmail.com,prescott66@gmail.com"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "Neplatný balík témy"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
-msgstr "Nemôžem otvoriť súbor"
+msgstr "Nepodarilo sa otvoriť súbor"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
-msgstr "Nemôžem rozbaliť archív"
+msgstr "Nepodarilo sa rozbaliť archív"
 
 #: sddmthemeinstaller.cpp:40
 #, kde-format
@@ -60,7 +61,7 @@ msgstr "Odinštalovať tému."
 #: sddmthemeinstaller.cpp:50
 #, kde-format
 msgid "The theme to install, must be an existing archive file."
-msgstr "Téma na nainštalovanie, musí byť existujúci súbor archívu."
+msgstr "Téma na nainštalovanie musí byť existujúci súbor archívu."
 
 #: sddmthemeinstaller.cpp:76
 #, kde-format
@@ -75,7 +76,7 @@ msgstr "Načítať zo súboru..."
 #: src/configwidgets/selectimagebutton.cpp:42
 #, kde-format
 msgid "Clear Image"
-msgstr "Vyčistiť obrázok"
+msgstr "Vymazať obrázok"
 
 #: src/configwidgets/selectimagebutton.cpp:75
 #, kde-format
@@ -108,26 +109,26 @@ msgstr "Prihlasovacia obrazovka s použi
 msgid "Author"
 msgstr "Autor"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Téma"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Pokročilé"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
-msgstr "Stiahnuť nové témy SDDM"
+msgstr "Prevziať nové témy pre SDDM"
 
 #. i18n: ectx: property (text), widget (QLabel, label_3)
 #: src/ui/advancedconfig.ui:25
@@ -154,49 +155,49 @@ msgid "Log in again immediately after lo
 msgstr "Prihlásiť sa znova hneď po odhlásení"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
-msgstr "Minimálne UID:"
+msgstr "Minimálne používateľské UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
-msgstr "Maximálne UID:"
+msgstr "Maximálne používateľské UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
-msgstr "Príkaz na vypnutie:"
+msgstr "Príkaz na zastavenie:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr "Príkaz na reštartovanie:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr "Synchronizácia nastavení:"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr "Synchronizovať"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr "Obnoviť"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -208,7 +209,7 @@ msgstr ""
 "preferencia NumLock-u, vzhľad Plasma a DPI škálovania."
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -218,13 +219,13 @@ msgstr ""
 "nainštalovať súbory tém globálne."
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Pozadie:"
@@ -245,4 +246,4 @@ msgstr "Nainštalovať zo súboru..."
 #: src/ui/themeconfig.ui:191
 #, kde-format
 msgid "Get New Login Screens..."
-msgstr "Získať nové zamykacie obraozvky..."
\ No newline at end of file
+msgstr "Získať nové zamykacie obrazovky..."
\ No newline at end of file
diff -pruN 4:5.17.5-2/po/sl/kcm_sddm.po 4:5.19.2-0ubuntu1/po/sl/kcm_sddm.po
--- 4:5.17.5-2/po/sl/kcm_sddm.po	2020-01-07 15:51:22.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/sl/kcm_sddm.po	2020-06-23 12:24:48.000000000 +0000
@@ -2,44 +2,45 @@
 # This file is distributed under the same license as the PACKAGE package.
 #
 # Andrej Mernik <andrejm@ubuntu.si>, 2014, 2017, 2018.
+# Matjaž Jeran <matjaz.jeran@amis.net>, 2020.
 msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
-"PO-Revision-Date: 2018-01-11 20:46+0100\n"
-"Last-Translator: Andrej Mernik <andrejm@ubuntu.si>\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
+"PO-Revision-Date: 2020-03-14 08:00+0100\n"
+"Last-Translator: Matjaž Jeran <matjaz.jeran@amis.net>\n"
 "Language-Team: Slovenian <lugos-slo@lugos.si>\n"
 "Language: sl\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Translator: Andrej Mernik <andrejm@ubuntu.si>\n"
 "Plural-Forms: nplurals=4; plural=(n%100==1 ? 1 : n%100==2 ? 2 : n%100==3 || n"
 "%100==4 ? 3 : 0);\n"
-"X-Generator: Lokalize 2.0\n"
+"X-Generator: Poedit 2.3\n"
 
 #, kde-format
 msgctxt "NAME OF TRANSLATORS"
 msgid "Your names"
-msgstr "Andrej Mernik"
+msgstr "Andrej Mernik,Matjaž Jeran"
 
 #, kde-format
 msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
-msgstr "andrejm@ubuntu.si"
+msgstr "andrejm@ubuntu.si,matjaz.jeran@amis.net"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "Neveljaven paket teme"
 
-#: sddmauthhelper.cpp:334
-#, fuzzy, kde-format
-#| msgid "Could not decompress archive"
+#: sddmauthhelper.cpp:346
+#, kde-format
 msgid "Could not open file"
-msgstr "Ni bilo mogoče razširiti arhiva"
+msgstr "Ni bilo mogoče odpreti datoteke"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "Ni bilo mogoče razširiti arhiva"
@@ -62,7 +63,7 @@ msgstr "Odstrani temo."
 #: sddmthemeinstaller.cpp:50
 #, kde-format
 msgid "The theme to install, must be an existing archive file."
-msgstr "Tema za namestitev. Mora biti obstoječa datoteka z arhivom."
+msgstr "Tema za namestitev, ki mora biti na datoteki z arhivom."
 
 #: sddmthemeinstaller.cpp:76
 #, kde-format
@@ -72,7 +73,7 @@ msgstr "Ni mogoče namestiti teme"
 #: src/configwidgets/selectimagebutton.cpp:41
 #, kde-format
 msgid "Load from file..."
-msgstr "Naloži iz datoteke ..."
+msgstr "Naloži iz datoteke..."
 
 #: src/configwidgets/selectimagebutton.cpp:42
 #, kde-format
@@ -93,7 +94,7 @@ msgstr "Predogled ni na voljo"
 #: src/qml/main.qml:116
 #, kde-format
 msgid ", by "
-msgstr ""
+msgstr ", od "
 
 #: src/sddmkcm.cpp:43
 #, kde-format
@@ -110,145 +111,141 @@ msgstr "Prijavni zaslon z uporabo SDDM"
 msgid "Author"
 msgstr "Avtor"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Tema"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Napredno"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
-msgstr "Prejmi nove teme za SDDM"
+msgstr "Prenesi nove teme za SDDM"
 
 #. i18n: ectx: property (text), widget (QLabel, label_3)
 #: src/ui/advancedconfig.ui:25
 #, kde-format
 msgid "Automatically log in:"
-msgstr ""
+msgstr "Avtomatska prijava:"
 
 #. i18n: ectx: property (text), widget (QCheckBox, autoLogin)
 #: src/ui/advancedconfig.ui:34
-#, fuzzy, kde-format
-#| msgid "User:"
+#, kde-format
 msgid "as user:"
-msgstr "Uporabnik:"
+msgstr "kot uporabnik:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_4)
 #: src/ui/advancedconfig.ui:51
-#, fuzzy, kde-format
-#| msgid "Session:"
+#, kde-format
 msgid "with session:"
-msgstr "Seja:"
+msgstr "s sejo:"
 
 #. i18n: ectx: property (text), widget (QCheckBox, reloginAfterQuit)
 #: src/ui/advancedconfig.ui:76
 #, kde-format
 msgid "Log in again immediately after logging off"
-msgstr ""
+msgstr "Prijavi se takoj po odjavi"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
-#, fuzzy, kde-format
-#| msgid "Minimum UID:"
+#: src/ui/advancedconfig.ui:99
+#, kde-format
 msgid "Minimum user UID:"
-msgstr "Najmanjši UID:"
+msgstr "Najmanjši UID uporabnika:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
-#, fuzzy, kde-format
-#| msgid "Maximum UID:"
+#: src/ui/advancedconfig.ui:119
+#, kde-format
 msgid "Maximum user UID:"
-msgstr "Največji UID:"
+msgstr "Največji UID uporabnika:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
-#, fuzzy, kde-format
-#| msgid "Halt Command:"
+#: src/ui/advancedconfig.ui:155
+#, kde-format
 msgid "Halt command:"
 msgstr "Ukaz za zaustavitev:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
-#, fuzzy, kde-format
-#| msgid "Reboot Command:"
+#: src/ui/advancedconfig.ui:172
+#, kde-format
 msgid "Reboot command:"
 msgstr "Ukaz za ponovni zagon:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
-msgstr ""
+msgstr "Nastavitev sinhronizacije:"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
-msgstr ""
+msgstr "Sync"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
-msgstr ""
+msgstr "Ponovno nastavi"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
 "settings to SDDM: color scheme, cursor theme, font, font rendering, NumLock "
 "preference, Plasma theme, and scaling DPI."
 msgstr ""
+"Sinhronizacija nastavitev vam omogoča prenos naslednjih nastavitev Plasme za "
+"SDDM: barvna shema, tema kazalca, pisava, upodabljanje pisave, nastavitev "
+"tipke NumLock, tema in povečevanje resolucije."
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
 "synchronization to work."
 msgstr ""
+"Upoštevajte, da morajo biti teme nameščene globalno, da bi nastavitve "
+"sinhronizacija delovale."
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Ozadje:"
 
 #. i18n: ectx: property (text), widget (QPushButton, removeThemeButton)
 #: src/ui/themeconfig.ui:156
-#, fuzzy, kde-format
-#| msgid "Remove Theme"
+#, kde-format
 msgid "Remove"
-msgstr "Odstrani temo"
+msgstr "Odstrani"
 
 #. i18n: ectx: property (text), widget (QPushButton, installFromFileButton)
 #: src/ui/themeconfig.ui:180
-#, fuzzy, kde-format
-#| msgid "Install From File"
+#, kde-format
 msgid "Install From File..."
-msgstr "Namesti iz datoteke"
+msgstr "Namesti iz datoteke..."
 
 #. i18n: ectx: property (text), widget (QPushButton, getNewButton)
 #: src/ui/themeconfig.ui:191
-#, fuzzy, kde-format
-#| msgid "Get New Theme"
+#, kde-format
 msgid "Get New Login Screens..."
-msgstr "Dobi novo temo"
\ No newline at end of file
+msgstr "Dobi nove prijavne zaslone..."
\ No newline at end of file
diff -pruN 4:5.17.5-2/po/sr/kcm_sddm.po 4:5.19.2-0ubuntu1/po/sr/kcm_sddm.po
--- 4:5.17.5-2/po/sr/kcm_sddm.po	2020-01-07 15:51:22.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/sr/kcm_sddm.po	2020-06-23 12:24:48.000000000 +0000
@@ -3,8 +3,8 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: kcm_sddm\n"
-"Report-Msgid-Bugs-To: http://bugs.kde.org\n"
-"POT-Creation-Date: 2019-04-09 03:48+0200\n"
+"Report-Msgid-Bugs-To: https://bugs.kde.org\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
 "PO-Revision-Date: 2017-10-30 23:08+0100\n"
 "Last-Translator: Chusslove Illich <caslav.ilic@gmx.net>\n"
 "Language-Team: Serbian <kde-i18n-sr@kde.org>\n"
@@ -28,117 +28,96 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "caslav.ilic@gmx.net"
 
-#: sddmauthhelper.cpp:160 sddmauthhelper.cpp:180 sddmauthhelper.cpp:187
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "Лош пакет теме"
 
-#: sddmauthhelper.cpp:165
+#: sddmauthhelper.cpp:346
 #, fuzzy, kde-format
 #| msgid "Could not decompress archive"
 msgid "Could not open file"
 msgstr "Не могу да распакујем архиву"
 
-#: sddmauthhelper.cpp:195
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "Не могу да распакујем архиву"
 
-#: sddmthemeinstaller.cpp:41
+#: sddmthemeinstaller.cpp:40
 #, kde-format
 msgid "SDDM theme installer"
 msgstr "Инсталатор тема за СДДМ"
 
-#: sddmthemeinstaller.cpp:48
+#: sddmthemeinstaller.cpp:47
 #, kde-format
 msgid "Install a theme."
 msgstr "Инсталирај тему."
 
-#: sddmthemeinstaller.cpp:49
+#: sddmthemeinstaller.cpp:48
 #, kde-format
 msgid "Uninstall a theme."
 msgstr "Деинсталирај тему."
 
-#: sddmthemeinstaller.cpp:51
+#: sddmthemeinstaller.cpp:50
 #, kde-format
 msgid "The theme to install, must be an existing archive file."
 msgstr "Тема за инсталирање, мора да буде постојећи фајл архиве."
 
-#: sddmthemeinstaller.cpp:75
+#: sddmthemeinstaller.cpp:76
 #, kde-format
 msgid "Unable to install theme"
 msgstr "Не могу да инсталирам тему"
 
-#: src/configwidgets/selectimagebutton.cpp:43
+#: src/configwidgets/selectimagebutton.cpp:41
 #, kde-format
 msgid "Load from file..."
 msgstr "Учитај из фајла..."
 
-#: src/configwidgets/selectimagebutton.cpp:44
+#: src/configwidgets/selectimagebutton.cpp:42
 #, kde-format
 msgid "Clear Image"
 msgstr "Очисти слику"
 
-#: src/configwidgets/selectimagebutton.cpp:77
+#: src/configwidgets/selectimagebutton.cpp:75
 #, kde-format
 msgctxt "@title:window"
 msgid "Select Image"
 msgstr "Избор слике"
 
-#: src/cursortheme/dummytheme.cpp:26
-#, kde-format
-msgid "Default"
-msgstr "Подразумевана"
-
-#: src/cursortheme/dummytheme.cpp:26
-#, kde-format
-msgid "The default cursor theme in SDDM"
-msgstr "Подразумевана тема показивача у СДДМ‑у"
-
-# >> @title:column
-#: src/cursortheme/thememodel.cpp:74
-#, kde-format
-msgid "Name"
-msgstr "име"
-
-# >> @title:column
-#: src/cursortheme/thememodel.cpp:77
+#: src/qml/main.qml:91 src/themesdelegate.cpp:67
 #, kde-format
-msgid "Description"
-msgstr "опис"
+msgid "No preview available"
+msgstr "Преглед није доступан."
 
-# >> @item:intext
-#: src/cursortheme/xcursortheme.cpp:74
+#: src/qml/main.qml:116
 #, kde-format
-msgctxt ""
-"@info The argument is the list of available sizes (in pixel). Example: "
-"'Available sizes: 24' or 'Available sizes: 24, 36, 48'"
-msgid "(Available sizes: %1)"
-msgstr "(доступне величине: %1)"
+msgid ", by "
+msgstr ""
 
-#: src/sddmkcm.cpp:48
+#: src/sddmkcm.cpp:43
 #, kde-format
 msgid "SDDM KDE Config"
 msgstr "КДЕ подешавање СДДМ‑а"
 
-#: src/sddmkcm.cpp:50
+#: src/sddmkcm.cpp:45
 #, kde-format
 msgid "Login screen using the SDDM"
 msgstr "Пријавни екран преко СДДМ‑а"
 
-#: src/sddmkcm.cpp:54 src/sddmkcm.cpp:55
+#: src/sddmkcm.cpp:49 src/sddmkcm.cpp:50
 #, kde-format
 msgid "Author"
 msgstr "Аутор"
 
 # >> @title:tab
-#: src/sddmkcm.cpp:123
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Тема"
 
 # >> @title:tab
-#: src/sddmkcm.cpp:128
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Напредно"
@@ -150,97 +129,109 @@ msgid "%1 (Wayland)"
 msgstr "%1 (вејланд)"
 
 # >> @title:window
-#: src/themeconfig.cpp:192
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Преузимање нових тема за СДДМ"
 
-#: src/themesdelegate.cpp:66
-#, kde-format
-msgid "No preview available"
-msgstr "Преглед није доступан."
-
-#. i18n: ectx: property (title), widget (QGroupBox, groupBox_2)
-#: src/ui/advanceconfig.ui:17
-#, kde-format
-msgid "General"
-msgstr "Опште"
-
-#. i18n: ectx: property (text), widget (QLabel, label_4)
-#: src/ui/advanceconfig.ui:23
-#, kde-format
-msgid "Cursor Theme:"
-msgstr "Тема показивача:"
-
-#. i18n: ectx: property (title), widget (QGroupBox, autoLogin)
-#: src/ui/advanceconfig.ui:36
+#. i18n: ectx: property (text), widget (QLabel, label_3)
+#: src/ui/advancedconfig.ui:25
 #, kde-format
-msgid "Auto &Login"
-msgstr "Аутоматско &пријављивање"
+msgid "Automatically log in:"
+msgstr ""
 
-#. i18n: ectx: property (text), widget (QLabel, label_7)
-#: src/ui/advanceconfig.ui:51
-#, kde-format
-msgid "User:"
+#. i18n: ectx: property (text), widget (QCheckBox, autoLogin)
+#: src/ui/advancedconfig.ui:34
+#, fuzzy, kde-format
+#| msgid "User:"
+msgid "as user:"
 msgstr "Корисник:"
 
-#. i18n: ectx: property (text), widget (QLabel, label_3)
-#: src/ui/advanceconfig.ui:61
-#, kde-format
-msgid "Session:"
+#. i18n: ectx: property (text), widget (QLabel, label_4)
+#: src/ui/advancedconfig.ui:51
+#, fuzzy, kde-format
+#| msgid "Session:"
+msgid "with session:"
 msgstr "Сесија:"
 
 #. i18n: ectx: property (text), widget (QCheckBox, reloginAfterQuit)
-#: src/ui/advanceconfig.ui:74
-#, kde-format
-msgid "Relogin after quit"
-msgstr "Поновно пријављивање по напуштању"
-
-#. i18n: ectx: property (title), widget (QGroupBox, groupBox_3)
-#: src/ui/advanceconfig.ui:93
+#: src/ui/advancedconfig.ui:76
 #, kde-format
-msgid "User"
-msgstr "Корисник"
+msgid "Log in again immediately after logging off"
+msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advanceconfig.ui:99
-#, kde-format
-msgid "Minimum UID:"
+#: src/ui/advancedconfig.ui:99
+#, fuzzy, kde-format
+#| msgid "Minimum UID:"
+msgid "Minimum user UID:"
 msgstr "Најмањи УИД:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advanceconfig.ui:119
-#, kde-format
-msgid "Maximum UID:"
+#: src/ui/advancedconfig.ui:119
+#, fuzzy, kde-format
+#| msgid "Maximum UID:"
+msgid "Maximum user UID:"
 msgstr "Највећи УИД:"
 
-#. i18n: ectx: property (title), widget (QGroupBox, groupBox)
-#: src/ui/advanceconfig.ui:148
-#, kde-format
-msgid "Commands"
-msgstr "Наредбе"
-
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advanceconfig.ui:154
-#, kde-format
-msgid "Halt Command:"
+#: src/ui/advancedconfig.ui:155
+#, fuzzy, kde-format
+#| msgid "Halt Command:"
+msgid "Halt command:"
 msgstr "Наредба гашења:"
 
 # rewrite-msgid: /Reboot/Reset/
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advanceconfig.ui:164
-#, kde-format
-msgid "Reboot Command:"
+#: src/ui/advancedconfig.ui:172
+#, fuzzy, kde-format
+#| msgid "Reboot Command:"
+msgid "Reboot command:"
 msgstr "Наредба ресетовања:"
 
+#. i18n: ectx: property (text), widget (QLabel, label_8)
+#: src/ui/advancedconfig.ui:205
+#, kde-format
+msgid "Settings synchronization:"
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QPushButton, syncSettings)
+#: src/ui/advancedconfig.ui:214
+#, kde-format
+msgid "Sync"
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QPushButton, resetSettings)
+#: src/ui/advancedconfig.ui:224
+#, kde-format
+msgid "Reset"
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QLabel, syncExplanation)
+#: src/ui/advancedconfig.ui:242
+#, kde-format
+msgid ""
+"Settings synchronization allows you to transfer the following Plasma "
+"settings to SDDM: color scheme, cursor theme, font, font rendering, NumLock "
+"preference, Plasma theme, and scaling DPI."
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QLabel, syncWarning)
+#: src/ui/advancedconfig.ui:255
+#, kde-format
+msgid ""
+"Please note that theme files must be installed globally for settings "
+"synchronization to work."
+msgstr ""
+
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Позадина:"
diff -pruN 4:5.17.5-2/po/sr@ijekavian/kcm_sddm.po 4:5.19.2-0ubuntu1/po/sr@ijekavian/kcm_sddm.po
--- 4:5.17.5-2/po/sr@ijekavian/kcm_sddm.po	2020-01-07 15:51:22.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/sr@ijekavian/kcm_sddm.po	2020-06-23 12:24:49.000000000 +0000
@@ -3,8 +3,8 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: kcm_sddm\n"
-"Report-Msgid-Bugs-To: http://bugs.kde.org\n"
-"POT-Creation-Date: 2019-04-09 03:48+0200\n"
+"Report-Msgid-Bugs-To: https://bugs.kde.org\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
 "PO-Revision-Date: 2017-10-30 23:08+0100\n"
 "Last-Translator: Chusslove Illich <caslav.ilic@gmx.net>\n"
 "Language-Team: Serbian <kde-i18n-sr@kde.org>\n"
@@ -28,117 +28,96 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "caslav.ilic@gmx.net"
 
-#: sddmauthhelper.cpp:160 sddmauthhelper.cpp:180 sddmauthhelper.cpp:187
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "Лош пакет теме"
 
-#: sddmauthhelper.cpp:165
+#: sddmauthhelper.cpp:346
 #, fuzzy, kde-format
 #| msgid "Could not decompress archive"
 msgid "Could not open file"
 msgstr "Не могу да распакујем архиву"
 
-#: sddmauthhelper.cpp:195
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "Не могу да распакујем архиву"
 
-#: sddmthemeinstaller.cpp:41
+#: sddmthemeinstaller.cpp:40
 #, kde-format
 msgid "SDDM theme installer"
 msgstr "Инсталатор тема за СДДМ"
 
-#: sddmthemeinstaller.cpp:48
+#: sddmthemeinstaller.cpp:47
 #, kde-format
 msgid "Install a theme."
 msgstr "Инсталирај тему."
 
-#: sddmthemeinstaller.cpp:49
+#: sddmthemeinstaller.cpp:48
 #, kde-format
 msgid "Uninstall a theme."
 msgstr "Деинсталирај тему."
 
-#: sddmthemeinstaller.cpp:51
+#: sddmthemeinstaller.cpp:50
 #, kde-format
 msgid "The theme to install, must be an existing archive file."
 msgstr "Тема за инсталирање, мора да буде постојећи фајл архиве."
 
-#: sddmthemeinstaller.cpp:75
+#: sddmthemeinstaller.cpp:76
 #, kde-format
 msgid "Unable to install theme"
 msgstr "Не могу да инсталирам тему"
 
-#: src/configwidgets/selectimagebutton.cpp:43
+#: src/configwidgets/selectimagebutton.cpp:41
 #, kde-format
 msgid "Load from file..."
 msgstr "Учитај из фајла..."
 
-#: src/configwidgets/selectimagebutton.cpp:44
+#: src/configwidgets/selectimagebutton.cpp:42
 #, kde-format
 msgid "Clear Image"
 msgstr "Очисти слику"
 
-#: src/configwidgets/selectimagebutton.cpp:77
+#: src/configwidgets/selectimagebutton.cpp:75
 #, kde-format
 msgctxt "@title:window"
 msgid "Select Image"
 msgstr "Избор слике"
 
-#: src/cursortheme/dummytheme.cpp:26
-#, kde-format
-msgid "Default"
-msgstr "Подразумевана"
-
-#: src/cursortheme/dummytheme.cpp:26
-#, kde-format
-msgid "The default cursor theme in SDDM"
-msgstr "Подразумевана тема показивача у СДДМ‑у"
-
-# >> @title:column
-#: src/cursortheme/thememodel.cpp:74
-#, kde-format
-msgid "Name"
-msgstr "име"
-
-# >> @title:column
-#: src/cursortheme/thememodel.cpp:77
+#: src/qml/main.qml:91 src/themesdelegate.cpp:67
 #, kde-format
-msgid "Description"
-msgstr "опис"
+msgid "No preview available"
+msgstr "Преглед није доступан."
 
-# >> @item:intext
-#: src/cursortheme/xcursortheme.cpp:74
+#: src/qml/main.qml:116
 #, kde-format
-msgctxt ""
-"@info The argument is the list of available sizes (in pixel). Example: "
-"'Available sizes: 24' or 'Available sizes: 24, 36, 48'"
-msgid "(Available sizes: %1)"
-msgstr "(доступне величине: %1)"
+msgid ", by "
+msgstr ""
 
-#: src/sddmkcm.cpp:48
+#: src/sddmkcm.cpp:43
 #, kde-format
 msgid "SDDM KDE Config"
 msgstr "КДЕ подешавање СДДМ‑а"
 
-#: src/sddmkcm.cpp:50
+#: src/sddmkcm.cpp:45
 #, kde-format
 msgid "Login screen using the SDDM"
 msgstr "Пријавни екран преко СДДМ‑а"
 
-#: src/sddmkcm.cpp:54 src/sddmkcm.cpp:55
+#: src/sddmkcm.cpp:49 src/sddmkcm.cpp:50
 #, kde-format
 msgid "Author"
 msgstr "Аутор"
 
 # >> @title:tab
-#: src/sddmkcm.cpp:123
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Тема"
 
 # >> @title:tab
-#: src/sddmkcm.cpp:128
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Напредно"
@@ -150,97 +129,109 @@ msgid "%1 (Wayland)"
 msgstr "%1 (вејланд)"
 
 # >> @title:window
-#: src/themeconfig.cpp:192
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Преузимање нових тема за СДДМ"
 
-#: src/themesdelegate.cpp:66
-#, kde-format
-msgid "No preview available"
-msgstr "Преглед није доступан."
-
-#. i18n: ectx: property (title), widget (QGroupBox, groupBox_2)
-#: src/ui/advanceconfig.ui:17
-#, kde-format
-msgid "General"
-msgstr "Опште"
-
-#. i18n: ectx: property (text), widget (QLabel, label_4)
-#: src/ui/advanceconfig.ui:23
-#, kde-format
-msgid "Cursor Theme:"
-msgstr "Тема показивача:"
-
-#. i18n: ectx: property (title), widget (QGroupBox, autoLogin)
-#: src/ui/advanceconfig.ui:36
+#. i18n: ectx: property (text), widget (QLabel, label_3)
+#: src/ui/advancedconfig.ui:25
 #, kde-format
-msgid "Auto &Login"
-msgstr "Аутоматско &пријављивање"
+msgid "Automatically log in:"
+msgstr ""
 
-#. i18n: ectx: property (text), widget (QLabel, label_7)
-#: src/ui/advanceconfig.ui:51
-#, kde-format
-msgid "User:"
+#. i18n: ectx: property (text), widget (QCheckBox, autoLogin)
+#: src/ui/advancedconfig.ui:34
+#, fuzzy, kde-format
+#| msgid "User:"
+msgid "as user:"
 msgstr "Корисник:"
 
-#. i18n: ectx: property (text), widget (QLabel, label_3)
-#: src/ui/advanceconfig.ui:61
-#, kde-format
-msgid "Session:"
+#. i18n: ectx: property (text), widget (QLabel, label_4)
+#: src/ui/advancedconfig.ui:51
+#, fuzzy, kde-format
+#| msgid "Session:"
+msgid "with session:"
 msgstr "Сесија:"
 
 #. i18n: ectx: property (text), widget (QCheckBox, reloginAfterQuit)
-#: src/ui/advanceconfig.ui:74
-#, kde-format
-msgid "Relogin after quit"
-msgstr "Поновно пријављивање по напуштању"
-
-#. i18n: ectx: property (title), widget (QGroupBox, groupBox_3)
-#: src/ui/advanceconfig.ui:93
+#: src/ui/advancedconfig.ui:76
 #, kde-format
-msgid "User"
-msgstr "Корисник"
+msgid "Log in again immediately after logging off"
+msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advanceconfig.ui:99
-#, kde-format
-msgid "Minimum UID:"
+#: src/ui/advancedconfig.ui:99
+#, fuzzy, kde-format
+#| msgid "Minimum UID:"
+msgid "Minimum user UID:"
 msgstr "Најмањи УИД:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advanceconfig.ui:119
-#, kde-format
-msgid "Maximum UID:"
+#: src/ui/advancedconfig.ui:119
+#, fuzzy, kde-format
+#| msgid "Maximum UID:"
+msgid "Maximum user UID:"
 msgstr "Највећи УИД:"
 
-#. i18n: ectx: property (title), widget (QGroupBox, groupBox)
-#: src/ui/advanceconfig.ui:148
-#, kde-format
-msgid "Commands"
-msgstr "Наредбе"
-
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advanceconfig.ui:154
-#, kde-format
-msgid "Halt Command:"
+#: src/ui/advancedconfig.ui:155
+#, fuzzy, kde-format
+#| msgid "Halt Command:"
+msgid "Halt command:"
 msgstr "Наредба гашења:"
 
 # rewrite-msgid: /Reboot/Reset/
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advanceconfig.ui:164
-#, kde-format
-msgid "Reboot Command:"
+#: src/ui/advancedconfig.ui:172
+#, fuzzy, kde-format
+#| msgid "Reboot Command:"
+msgid "Reboot command:"
 msgstr "Наредба ресетовања:"
 
+#. i18n: ectx: property (text), widget (QLabel, label_8)
+#: src/ui/advancedconfig.ui:205
+#, kde-format
+msgid "Settings synchronization:"
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QPushButton, syncSettings)
+#: src/ui/advancedconfig.ui:214
+#, kde-format
+msgid "Sync"
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QPushButton, resetSettings)
+#: src/ui/advancedconfig.ui:224
+#, kde-format
+msgid "Reset"
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QLabel, syncExplanation)
+#: src/ui/advancedconfig.ui:242
+#, kde-format
+msgid ""
+"Settings synchronization allows you to transfer the following Plasma "
+"settings to SDDM: color scheme, cursor theme, font, font rendering, NumLock "
+"preference, Plasma theme, and scaling DPI."
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QLabel, syncWarning)
+#: src/ui/advancedconfig.ui:255
+#, kde-format
+msgid ""
+"Please note that theme files must be installed globally for settings "
+"synchronization to work."
+msgstr ""
+
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Позадина:"
diff -pruN 4:5.17.5-2/po/sr@ijekavianlatin/kcm_sddm.po 4:5.19.2-0ubuntu1/po/sr@ijekavianlatin/kcm_sddm.po
--- 4:5.17.5-2/po/sr@ijekavianlatin/kcm_sddm.po	2020-01-07 15:51:23.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/sr@ijekavianlatin/kcm_sddm.po	2020-06-23 12:24:49.000000000 +0000
@@ -3,8 +3,8 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: kcm_sddm\n"
-"Report-Msgid-Bugs-To: http://bugs.kde.org\n"
-"POT-Creation-Date: 2019-04-09 03:48+0200\n"
+"Report-Msgid-Bugs-To: https://bugs.kde.org\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
 "PO-Revision-Date: 2017-10-30 23:08+0100\n"
 "Last-Translator: Chusslove Illich <caslav.ilic@gmx.net>\n"
 "Language-Team: Serbian <kde-i18n-sr@kde.org>\n"
@@ -28,117 +28,96 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "caslav.ilic@gmx.net"
 
-#: sddmauthhelper.cpp:160 sddmauthhelper.cpp:180 sddmauthhelper.cpp:187
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "Loš paket teme"
 
-#: sddmauthhelper.cpp:165
+#: sddmauthhelper.cpp:346
 #, fuzzy, kde-format
 #| msgid "Could not decompress archive"
 msgid "Could not open file"
 msgstr "Ne mogu da raspakujem arhivu"
 
-#: sddmauthhelper.cpp:195
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "Ne mogu da raspakujem arhivu"
 
-#: sddmthemeinstaller.cpp:41
+#: sddmthemeinstaller.cpp:40
 #, kde-format
 msgid "SDDM theme installer"
 msgstr "Instalator tema za SDDM"
 
-#: sddmthemeinstaller.cpp:48
+#: sddmthemeinstaller.cpp:47
 #, kde-format
 msgid "Install a theme."
 msgstr "Instaliraj temu."
 
-#: sddmthemeinstaller.cpp:49
+#: sddmthemeinstaller.cpp:48
 #, kde-format
 msgid "Uninstall a theme."
 msgstr "Deinstaliraj temu."
 
-#: sddmthemeinstaller.cpp:51
+#: sddmthemeinstaller.cpp:50
 #, kde-format
 msgid "The theme to install, must be an existing archive file."
 msgstr "Tema za instaliranje, mora da bude postojeći fajl arhive."
 
-#: sddmthemeinstaller.cpp:75
+#: sddmthemeinstaller.cpp:76
 #, kde-format
 msgid "Unable to install theme"
 msgstr "Ne mogu da instaliram temu"
 
-#: src/configwidgets/selectimagebutton.cpp:43
+#: src/configwidgets/selectimagebutton.cpp:41
 #, kde-format
 msgid "Load from file..."
 msgstr "Učitaj iz fajla..."
 
-#: src/configwidgets/selectimagebutton.cpp:44
+#: src/configwidgets/selectimagebutton.cpp:42
 #, kde-format
 msgid "Clear Image"
 msgstr "Očisti sliku"
 
-#: src/configwidgets/selectimagebutton.cpp:77
+#: src/configwidgets/selectimagebutton.cpp:75
 #, kde-format
 msgctxt "@title:window"
 msgid "Select Image"
 msgstr "Izbor slike"
 
-#: src/cursortheme/dummytheme.cpp:26
-#, kde-format
-msgid "Default"
-msgstr "Podrazumevana"
-
-#: src/cursortheme/dummytheme.cpp:26
-#, kde-format
-msgid "The default cursor theme in SDDM"
-msgstr "Podrazumevana tema pokazivača u SDDM‑u"
-
-# >> @title:column
-#: src/cursortheme/thememodel.cpp:74
-#, kde-format
-msgid "Name"
-msgstr "ime"
-
-# >> @title:column
-#: src/cursortheme/thememodel.cpp:77
+#: src/qml/main.qml:91 src/themesdelegate.cpp:67
 #, kde-format
-msgid "Description"
-msgstr "opis"
+msgid "No preview available"
+msgstr "Pregled nije dostupan."
 
-# >> @item:intext
-#: src/cursortheme/xcursortheme.cpp:74
+#: src/qml/main.qml:116
 #, kde-format
-msgctxt ""
-"@info The argument is the list of available sizes (in pixel). Example: "
-"'Available sizes: 24' or 'Available sizes: 24, 36, 48'"
-msgid "(Available sizes: %1)"
-msgstr "(dostupne veličine: %1)"
+msgid ", by "
+msgstr ""
 
-#: src/sddmkcm.cpp:48
+#: src/sddmkcm.cpp:43
 #, kde-format
 msgid "SDDM KDE Config"
 msgstr "KDE podešavanje SDDM‑a"
 
-#: src/sddmkcm.cpp:50
+#: src/sddmkcm.cpp:45
 #, kde-format
 msgid "Login screen using the SDDM"
 msgstr "Prijavni ekran preko SDDM‑a"
 
-#: src/sddmkcm.cpp:54 src/sddmkcm.cpp:55
+#: src/sddmkcm.cpp:49 src/sddmkcm.cpp:50
 #, kde-format
 msgid "Author"
 msgstr "Autor"
 
 # >> @title:tab
-#: src/sddmkcm.cpp:123
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Tema"
 
 # >> @title:tab
-#: src/sddmkcm.cpp:128
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Napredno"
@@ -150,97 +129,109 @@ msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
 # >> @title:window
-#: src/themeconfig.cpp:192
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Preuzimanje novih tema za SDDM"
 
-#: src/themesdelegate.cpp:66
-#, kde-format
-msgid "No preview available"
-msgstr "Pregled nije dostupan."
-
-#. i18n: ectx: property (title), widget (QGroupBox, groupBox_2)
-#: src/ui/advanceconfig.ui:17
-#, kde-format
-msgid "General"
-msgstr "Opšte"
-
-#. i18n: ectx: property (text), widget (QLabel, label_4)
-#: src/ui/advanceconfig.ui:23
-#, kde-format
-msgid "Cursor Theme:"
-msgstr "Tema pokazivača:"
-
-#. i18n: ectx: property (title), widget (QGroupBox, autoLogin)
-#: src/ui/advanceconfig.ui:36
+#. i18n: ectx: property (text), widget (QLabel, label_3)
+#: src/ui/advancedconfig.ui:25
 #, kde-format
-msgid "Auto &Login"
-msgstr "Automatsko &prijavljivanje"
+msgid "Automatically log in:"
+msgstr ""
 
-#. i18n: ectx: property (text), widget (QLabel, label_7)
-#: src/ui/advanceconfig.ui:51
-#, kde-format
-msgid "User:"
+#. i18n: ectx: property (text), widget (QCheckBox, autoLogin)
+#: src/ui/advancedconfig.ui:34
+#, fuzzy, kde-format
+#| msgid "User:"
+msgid "as user:"
 msgstr "Korisnik:"
 
-#. i18n: ectx: property (text), widget (QLabel, label_3)
-#: src/ui/advanceconfig.ui:61
-#, kde-format
-msgid "Session:"
+#. i18n: ectx: property (text), widget (QLabel, label_4)
+#: src/ui/advancedconfig.ui:51
+#, fuzzy, kde-format
+#| msgid "Session:"
+msgid "with session:"
 msgstr "Sesija:"
 
 #. i18n: ectx: property (text), widget (QCheckBox, reloginAfterQuit)
-#: src/ui/advanceconfig.ui:74
-#, kde-format
-msgid "Relogin after quit"
-msgstr "Ponovno prijavljivanje po napuštanju"
-
-#. i18n: ectx: property (title), widget (QGroupBox, groupBox_3)
-#: src/ui/advanceconfig.ui:93
+#: src/ui/advancedconfig.ui:76
 #, kde-format
-msgid "User"
-msgstr "Korisnik"
+msgid "Log in again immediately after logging off"
+msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advanceconfig.ui:99
-#, kde-format
-msgid "Minimum UID:"
+#: src/ui/advancedconfig.ui:99
+#, fuzzy, kde-format
+#| msgid "Minimum UID:"
+msgid "Minimum user UID:"
 msgstr "Najmanji UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advanceconfig.ui:119
-#, kde-format
-msgid "Maximum UID:"
+#: src/ui/advancedconfig.ui:119
+#, fuzzy, kde-format
+#| msgid "Maximum UID:"
+msgid "Maximum user UID:"
 msgstr "Najveći UID:"
 
-#. i18n: ectx: property (title), widget (QGroupBox, groupBox)
-#: src/ui/advanceconfig.ui:148
-#, kde-format
-msgid "Commands"
-msgstr "Naredbe"
-
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advanceconfig.ui:154
-#, kde-format
-msgid "Halt Command:"
+#: src/ui/advancedconfig.ui:155
+#, fuzzy, kde-format
+#| msgid "Halt Command:"
+msgid "Halt command:"
 msgstr "Naredba gašenja:"
 
 # rewrite-msgid: /Reboot/Reset/
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advanceconfig.ui:164
-#, kde-format
-msgid "Reboot Command:"
+#: src/ui/advancedconfig.ui:172
+#, fuzzy, kde-format
+#| msgid "Reboot Command:"
+msgid "Reboot command:"
 msgstr "Naredba resetovanja:"
 
+#. i18n: ectx: property (text), widget (QLabel, label_8)
+#: src/ui/advancedconfig.ui:205
+#, kde-format
+msgid "Settings synchronization:"
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QPushButton, syncSettings)
+#: src/ui/advancedconfig.ui:214
+#, kde-format
+msgid "Sync"
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QPushButton, resetSettings)
+#: src/ui/advancedconfig.ui:224
+#, kde-format
+msgid "Reset"
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QLabel, syncExplanation)
+#: src/ui/advancedconfig.ui:242
+#, kde-format
+msgid ""
+"Settings synchronization allows you to transfer the following Plasma "
+"settings to SDDM: color scheme, cursor theme, font, font rendering, NumLock "
+"preference, Plasma theme, and scaling DPI."
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QLabel, syncWarning)
+#: src/ui/advancedconfig.ui:255
+#, kde-format
+msgid ""
+"Please note that theme files must be installed globally for settings "
+"synchronization to work."
+msgstr ""
+
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Pozadina:"
diff -pruN 4:5.17.5-2/po/sr@latin/kcm_sddm.po 4:5.19.2-0ubuntu1/po/sr@latin/kcm_sddm.po
--- 4:5.17.5-2/po/sr@latin/kcm_sddm.po	2020-01-07 15:51:23.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/sr@latin/kcm_sddm.po	2020-06-23 12:24:49.000000000 +0000
@@ -3,8 +3,8 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: kcm_sddm\n"
-"Report-Msgid-Bugs-To: http://bugs.kde.org\n"
-"POT-Creation-Date: 2019-04-09 03:48+0200\n"
+"Report-Msgid-Bugs-To: https://bugs.kde.org\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
 "PO-Revision-Date: 2017-10-30 23:08+0100\n"
 "Last-Translator: Chusslove Illich <caslav.ilic@gmx.net>\n"
 "Language-Team: Serbian <kde-i18n-sr@kde.org>\n"
@@ -28,117 +28,96 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "caslav.ilic@gmx.net"
 
-#: sddmauthhelper.cpp:160 sddmauthhelper.cpp:180 sddmauthhelper.cpp:187
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "Loš paket teme"
 
-#: sddmauthhelper.cpp:165
+#: sddmauthhelper.cpp:346
 #, fuzzy, kde-format
 #| msgid "Could not decompress archive"
 msgid "Could not open file"
 msgstr "Ne mogu da raspakujem arhivu"
 
-#: sddmauthhelper.cpp:195
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "Ne mogu da raspakujem arhivu"
 
-#: sddmthemeinstaller.cpp:41
+#: sddmthemeinstaller.cpp:40
 #, kde-format
 msgid "SDDM theme installer"
 msgstr "Instalator tema za SDDM"
 
-#: sddmthemeinstaller.cpp:48
+#: sddmthemeinstaller.cpp:47
 #, kde-format
 msgid "Install a theme."
 msgstr "Instaliraj temu."
 
-#: sddmthemeinstaller.cpp:49
+#: sddmthemeinstaller.cpp:48
 #, kde-format
 msgid "Uninstall a theme."
 msgstr "Deinstaliraj temu."
 
-#: sddmthemeinstaller.cpp:51
+#: sddmthemeinstaller.cpp:50
 #, kde-format
 msgid "The theme to install, must be an existing archive file."
 msgstr "Tema za instaliranje, mora da bude postojeći fajl arhive."
 
-#: sddmthemeinstaller.cpp:75
+#: sddmthemeinstaller.cpp:76
 #, kde-format
 msgid "Unable to install theme"
 msgstr "Ne mogu da instaliram temu"
 
-#: src/configwidgets/selectimagebutton.cpp:43
+#: src/configwidgets/selectimagebutton.cpp:41
 #, kde-format
 msgid "Load from file..."
 msgstr "Učitaj iz fajla..."
 
-#: src/configwidgets/selectimagebutton.cpp:44
+#: src/configwidgets/selectimagebutton.cpp:42
 #, kde-format
 msgid "Clear Image"
 msgstr "Očisti sliku"
 
-#: src/configwidgets/selectimagebutton.cpp:77
+#: src/configwidgets/selectimagebutton.cpp:75
 #, kde-format
 msgctxt "@title:window"
 msgid "Select Image"
 msgstr "Izbor slike"
 
-#: src/cursortheme/dummytheme.cpp:26
-#, kde-format
-msgid "Default"
-msgstr "Podrazumevana"
-
-#: src/cursortheme/dummytheme.cpp:26
-#, kde-format
-msgid "The default cursor theme in SDDM"
-msgstr "Podrazumevana tema pokazivača u SDDM‑u"
-
-# >> @title:column
-#: src/cursortheme/thememodel.cpp:74
-#, kde-format
-msgid "Name"
-msgstr "ime"
-
-# >> @title:column
-#: src/cursortheme/thememodel.cpp:77
+#: src/qml/main.qml:91 src/themesdelegate.cpp:67
 #, kde-format
-msgid "Description"
-msgstr "opis"
+msgid "No preview available"
+msgstr "Pregled nije dostupan."
 
-# >> @item:intext
-#: src/cursortheme/xcursortheme.cpp:74
+#: src/qml/main.qml:116
 #, kde-format
-msgctxt ""
-"@info The argument is the list of available sizes (in pixel). Example: "
-"'Available sizes: 24' or 'Available sizes: 24, 36, 48'"
-msgid "(Available sizes: %1)"
-msgstr "(dostupne veličine: %1)"
+msgid ", by "
+msgstr ""
 
-#: src/sddmkcm.cpp:48
+#: src/sddmkcm.cpp:43
 #, kde-format
 msgid "SDDM KDE Config"
 msgstr "KDE podešavanje SDDM‑a"
 
-#: src/sddmkcm.cpp:50
+#: src/sddmkcm.cpp:45
 #, kde-format
 msgid "Login screen using the SDDM"
 msgstr "Prijavni ekran preko SDDM‑a"
 
-#: src/sddmkcm.cpp:54 src/sddmkcm.cpp:55
+#: src/sddmkcm.cpp:49 src/sddmkcm.cpp:50
 #, kde-format
 msgid "Author"
 msgstr "Autor"
 
 # >> @title:tab
-#: src/sddmkcm.cpp:123
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Tema"
 
 # >> @title:tab
-#: src/sddmkcm.cpp:128
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Napredno"
@@ -150,97 +129,109 @@ msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
 # >> @title:window
-#: src/themeconfig.cpp:192
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Preuzimanje novih tema za SDDM"
 
-#: src/themesdelegate.cpp:66
-#, kde-format
-msgid "No preview available"
-msgstr "Pregled nije dostupan."
-
-#. i18n: ectx: property (title), widget (QGroupBox, groupBox_2)
-#: src/ui/advanceconfig.ui:17
-#, kde-format
-msgid "General"
-msgstr "Opšte"
-
-#. i18n: ectx: property (text), widget (QLabel, label_4)
-#: src/ui/advanceconfig.ui:23
-#, kde-format
-msgid "Cursor Theme:"
-msgstr "Tema pokazivača:"
-
-#. i18n: ectx: property (title), widget (QGroupBox, autoLogin)
-#: src/ui/advanceconfig.ui:36
+#. i18n: ectx: property (text), widget (QLabel, label_3)
+#: src/ui/advancedconfig.ui:25
 #, kde-format
-msgid "Auto &Login"
-msgstr "Automatsko &prijavljivanje"
+msgid "Automatically log in:"
+msgstr ""
 
-#. i18n: ectx: property (text), widget (QLabel, label_7)
-#: src/ui/advanceconfig.ui:51
-#, kde-format
-msgid "User:"
+#. i18n: ectx: property (text), widget (QCheckBox, autoLogin)
+#: src/ui/advancedconfig.ui:34
+#, fuzzy, kde-format
+#| msgid "User:"
+msgid "as user:"
 msgstr "Korisnik:"
 
-#. i18n: ectx: property (text), widget (QLabel, label_3)
-#: src/ui/advanceconfig.ui:61
-#, kde-format
-msgid "Session:"
+#. i18n: ectx: property (text), widget (QLabel, label_4)
+#: src/ui/advancedconfig.ui:51
+#, fuzzy, kde-format
+#| msgid "Session:"
+msgid "with session:"
 msgstr "Sesija:"
 
 #. i18n: ectx: property (text), widget (QCheckBox, reloginAfterQuit)
-#: src/ui/advanceconfig.ui:74
-#, kde-format
-msgid "Relogin after quit"
-msgstr "Ponovno prijavljivanje po napuštanju"
-
-#. i18n: ectx: property (title), widget (QGroupBox, groupBox_3)
-#: src/ui/advanceconfig.ui:93
+#: src/ui/advancedconfig.ui:76
 #, kde-format
-msgid "User"
-msgstr "Korisnik"
+msgid "Log in again immediately after logging off"
+msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advanceconfig.ui:99
-#, kde-format
-msgid "Minimum UID:"
+#: src/ui/advancedconfig.ui:99
+#, fuzzy, kde-format
+#| msgid "Minimum UID:"
+msgid "Minimum user UID:"
 msgstr "Najmanji UID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advanceconfig.ui:119
-#, kde-format
-msgid "Maximum UID:"
+#: src/ui/advancedconfig.ui:119
+#, fuzzy, kde-format
+#| msgid "Maximum UID:"
+msgid "Maximum user UID:"
 msgstr "Najveći UID:"
 
-#. i18n: ectx: property (title), widget (QGroupBox, groupBox)
-#: src/ui/advanceconfig.ui:148
-#, kde-format
-msgid "Commands"
-msgstr "Naredbe"
-
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advanceconfig.ui:154
-#, kde-format
-msgid "Halt Command:"
+#: src/ui/advancedconfig.ui:155
+#, fuzzy, kde-format
+#| msgid "Halt Command:"
+msgid "Halt command:"
 msgstr "Naredba gašenja:"
 
 # rewrite-msgid: /Reboot/Reset/
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advanceconfig.ui:164
-#, kde-format
-msgid "Reboot Command:"
+#: src/ui/advancedconfig.ui:172
+#, fuzzy, kde-format
+#| msgid "Reboot Command:"
+msgid "Reboot command:"
 msgstr "Naredba resetovanja:"
 
+#. i18n: ectx: property (text), widget (QLabel, label_8)
+#: src/ui/advancedconfig.ui:205
+#, kde-format
+msgid "Settings synchronization:"
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QPushButton, syncSettings)
+#: src/ui/advancedconfig.ui:214
+#, kde-format
+msgid "Sync"
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QPushButton, resetSettings)
+#: src/ui/advancedconfig.ui:224
+#, kde-format
+msgid "Reset"
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QLabel, syncExplanation)
+#: src/ui/advancedconfig.ui:242
+#, kde-format
+msgid ""
+"Settings synchronization allows you to transfer the following Plasma "
+"settings to SDDM: color scheme, cursor theme, font, font rendering, NumLock "
+"preference, Plasma theme, and scaling DPI."
+msgstr ""
+
+#. i18n: ectx: property (text), widget (QLabel, syncWarning)
+#: src/ui/advancedconfig.ui:255
+#, kde-format
+msgid ""
+"Please note that theme files must be installed globally for settings "
+"synchronization to work."
+msgstr ""
+
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Pozadina:"
diff -pruN 4:5.17.5-2/po/sv/kcm_sddm.po 4:5.19.2-0ubuntu1/po/sv/kcm_sddm.po
--- 4:5.17.5-2/po/sv/kcm_sddm.po	2020-01-07 15:51:23.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/sv/kcm_sddm.po	2020-06-23 12:24:49.000000000 +0000
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
 "PO-Revision-Date: 2019-09-03 17:39+0100\n"
 "Last-Translator: Stefan Asserhäll <stefan.asserhall@bredband.net>\n"
 "Language-Team: Swedish <kde-i18n-doc@kde.org>\n"
@@ -27,17 +27,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "stefan.asserhall@bredband.net"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "Ogiltigt temapaket"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr "Kunde inte öppna fil"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "Kunde inte packa upp arkiv"
@@ -108,23 +108,23 @@ msgstr "Inloggningsfönster som använde
 msgid "Author"
 msgstr "Upphovsman"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Tema"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Avancerat"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Ladda ner nya SDDM-teman"
@@ -154,49 +154,49 @@ msgid "Log in again immediately after lo
 msgstr "Logga in omedelbart igen efter att ha loggat ut"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr "Minimalt användar-id:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr "Maximalt användar-id:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
 msgstr "Stoppkommando:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr "Omstartskommando:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr "Synkronisering av inställningar:"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr "Synkronisera"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr "Nollställ"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -209,7 +209,7 @@ msgstr ""
 "tum."
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -219,13 +219,13 @@ msgstr ""
 "inställningar ska fungera."
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Bakgrund:"
diff -pruN 4:5.17.5-2/po/tr/kcm_sddm.po 4:5.19.2-0ubuntu1/po/tr/kcm_sddm.po
--- 4:5.17.5-2/po/tr/kcm_sddm.po	2020-01-07 15:51:24.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/tr/kcm_sddm.po	2020-06-23 12:24:49.000000000 +0000
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
 "PO-Revision-Date: 2017-10-23 11:20+0000\n"
 "Last-Translator: İşbaran <isbaran@gmail.com>\n"
 "Language-Team: Turkish <kde-l10n-tr@kde.org>\n"
@@ -27,18 +27,18 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "volkangezer@gmail.com"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "Geçersiz tema paketi"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, fuzzy, kde-format
 #| msgid "Could not decompress archive"
 msgid "Could not open file"
 msgstr "Arşiv sıkıştırması çözülemedi"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "Arşiv sıkıştırması çözülemedi"
@@ -109,23 +109,23 @@ msgstr "SDDM kullanan oturum ekranı"
 msgid "Author"
 msgstr "Yazar"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Tema"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Gelişmiş"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Yeni SDDM Temalarını İndirin"
@@ -157,53 +157,53 @@ msgid "Log in again immediately after lo
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, fuzzy, kde-format
 #| msgid "Minimum UID:"
 msgid "Minimum user UID:"
 msgstr "Asgari Kullanıcı Kimliği:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, fuzzy, kde-format
 #| msgid "Maximum UID:"
 msgid "Maximum user UID:"
 msgstr "Azami Kullanıcı Kimliği:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, fuzzy, kde-format
 #| msgid "Halt Command:"
 msgid "Halt command:"
 msgstr "Askıya Alma Komutu:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, fuzzy, kde-format
 #| msgid "Reboot Command:"
 msgid "Reboot command:"
 msgstr "Yeniden Başlatma Komutu:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -212,7 +212,7 @@ msgid ""
 msgstr ""
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -220,13 +220,13 @@ msgid ""
 msgstr ""
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Arkaplan:"
diff -pruN 4:5.17.5-2/po/uk/kcm_sddm.po 4:5.19.2-0ubuntu1/po/uk/kcm_sddm.po
--- 4:5.17.5-2/po/uk/kcm_sddm.po	2020-01-07 15:51:25.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/uk/kcm_sddm.po	2020-06-23 12:24:50.000000000 +0000
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: kcm_sddm\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
 "PO-Revision-Date: 2019-09-03 07:40+0300\n"
 "Last-Translator: Yuri Chornoivan <yurchor@ukr.net>\n"
 "Language-Team: Ukrainian <kde-i18n-uk@kde.org>\n"
@@ -30,17 +30,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "yurchor@ukr.net"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "Некоректний пакунок теми"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr "Не вдалося відкрити файл"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "Не вдалося розпакувати архів"
@@ -111,23 +111,23 @@ msgstr "Вікно вітання з в
 msgid "Author"
 msgstr "Автор"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "Тема"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "Додатково"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "Отримати нові теми SDDM"
@@ -157,49 +157,49 @@ msgid "Log in again immediately after lo
 msgstr "Знову увійти одразу після виходу"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr "Мінімальний UUID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr "Максимальний UUID:"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
 msgstr "Команда зупинення роботи:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr "Команда перезавантаження:"
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr "Синхронізація параметрів:"
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr "Синхронізувати"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr "Скинути"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -212,7 +212,7 @@ msgstr ""
 "роздільної здатності."
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -222,13 +222,13 @@ msgstr ""
 "загальносистемному рівні, щоб запрацювала синхронізація параметрів."
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "…"
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "Тло:"
diff -pruN 4:5.17.5-2/po/zh_CN/kcm_sddm.po 4:5.19.2-0ubuntu1/po/zh_CN/kcm_sddm.po
--- 4:5.17.5-2/po/zh_CN/kcm_sddm.po	2020-01-07 15:51:26.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/zh_CN/kcm_sddm.po	2020-06-23 12:24:51.000000000 +0000
@@ -8,9 +8,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: kdeorg\n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
-"PO-Revision-Date: 2020-01-04 21:46\n"
-"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
+"PO-Revision-Date: 2020-06-21 18:48\n"
+"Last-Translator: \n"
 "Language-Team: Chinese Simplified\n"
 "Language: zh_CN\n"
 "MIME-Version: 1.0\n"
@@ -18,8 +18,10 @@ msgstr ""
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 "X-Crowdin-Project: kdeorg\n"
+"X-Crowdin-Project-ID: 269464\n"
 "X-Crowdin-Language: zh-CN\n"
-"X-Crowdin-File: /kf5-stable/messages/kde-workspace/kcm_sddm.pot\n"
+"X-Crowdin-File: /kf5-stable/messages/sddm-kcm/kcm_sddm.pot\n"
+"X-Crowdin-File-ID: 2501\n"
 
 #, kde-format
 msgctxt "NAME OF TRANSLATORS"
@@ -31,17 +33,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "kde-china@kde.org"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "无效的主题包"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr "无法打开文件"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "无法解压归档"
@@ -112,23 +114,23 @@ msgstr "SDDM 登录屏幕 "
 msgid "Author"
 msgstr "作者"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "主题"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "高级"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "下载新的 SDDM 主题"
@@ -158,49 +160,49 @@ msgid "Log in again immediately after lo
 msgstr "注销后立即登录"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr "最小用户 UID："
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr "最大用户 UID："
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
 msgstr "关机命令："
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr "重启命令："
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr "设置同步："
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr "同步"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr "重置"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
@@ -211,7 +213,7 @@ msgstr ""
 "染、数字锁偏好、Plasma 主题以及缩放DPI。"
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -219,13 +221,13 @@ msgid ""
 msgstr "请注意，主题文件必须全局安装，以便设置同步生效。"
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "背景："
diff -pruN 4:5.17.5-2/po/zh_TW/kcm_sddm.po 4:5.19.2-0ubuntu1/po/zh_TW/kcm_sddm.po
--- 4:5.17.5-2/po/zh_TW/kcm_sddm.po	2020-01-07 15:51:26.000000000 +0000
+++ 4:5.19.2-0ubuntu1/po/zh_TW/kcm_sddm.po	2020-06-23 12:24:51.000000000 +0000
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: https://bugs.kde.org\n"
-"POT-Creation-Date: 2019-12-15 08:21+0100\n"
+"POT-Creation-Date: 2020-03-10 03:50+0100\n"
 "PO-Revision-Date: 2019-09-08 23:57+0800\n"
 "Last-Translator: pan93412 <pan93412@gmail.com>\n"
 "Language-Team: Chinese <zh-l10n@lists.linux.org.tw>\n"
@@ -29,17 +29,17 @@ msgctxt "EMAIL OF TRANSLATORS"
 msgid "Your emails"
 msgstr "franklin@goodhorse.idv.tw, s8321414@gmail.com"
 
-#: sddmauthhelper.cpp:329 sddmauthhelper.cpp:349 sddmauthhelper.cpp:356
+#: sddmauthhelper.cpp:341 sddmauthhelper.cpp:361 sddmauthhelper.cpp:368
 #, kde-format
 msgid "Invalid theme package"
 msgstr "無效的主題包"
 
-#: sddmauthhelper.cpp:334
+#: sddmauthhelper.cpp:346
 #, kde-format
 msgid "Could not open file"
 msgstr "無法開啟檔案"
 
-#: sddmauthhelper.cpp:364
+#: sddmauthhelper.cpp:376
 #, kde-format
 msgid "Could not decompress archive"
 msgstr "無法解壓縮封存檔"
@@ -110,23 +110,23 @@ msgstr "SDDM 登入畫面"
 msgid "Author"
 msgstr "作者"
 
-#: src/sddmkcm.cpp:122
+#: src/sddmkcm.cpp:116
 #, kde-format
 msgid "Theme"
 msgstr "主題"
 
-#: src/sddmkcm.cpp:127
+#: src/sddmkcm.cpp:121
 #, kde-format
 msgid "Advanced"
 msgstr "進階"
 
-#: src/sessionmodel.cpp:87
+#: src/sessionmodel.cpp:89
 #, kde-format
 msgctxt "%1 is the name of a session"
 msgid "%1 (Wayland)"
 msgstr "%1 (Wayland)"
 
-#: src/themeconfig.cpp:191
+#: src/themeconfig.cpp:188
 #, kde-format
 msgid "Download New SDDM Themes"
 msgstr "下載新的 SDDM 主題"
@@ -156,60 +156,60 @@ msgid "Log in again immediately after lo
 msgstr "永遠在登出後重新登入"
 
 #. i18n: ectx: property (text), widget (QLabel, label_6)
-#: src/ui/advancedconfig.ui:96
+#: src/ui/advancedconfig.ui:99
 #, kde-format
 msgid "Minimum user UID:"
 msgstr "最小使用者 UID："
 
 #. i18n: ectx: property (text), widget (QLabel, label_5)
-#: src/ui/advancedconfig.ui:116
+#: src/ui/advancedconfig.ui:119
 #, kde-format
 msgid "Maximum user UID:"
 msgstr "最大使用者 UID："
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/advancedconfig.ui:149
+#: src/ui/advancedconfig.ui:155
 #, kde-format
 msgid "Halt command:"
 msgstr "中止指令："
 
 #. i18n: ectx: property (text), widget (QLabel, label_2)
-#: src/ui/advancedconfig.ui:166
+#: src/ui/advancedconfig.ui:172
 #, kde-format
 msgid "Reboot command:"
 msgstr "重新啟動指令："
 
 #. i18n: ectx: property (text), widget (QLabel, label_8)
-#: src/ui/advancedconfig.ui:196
+#: src/ui/advancedconfig.ui:205
 #, kde-format
 msgid "Settings synchronization:"
 msgstr "同步設定："
 
 #. i18n: ectx: property (text), widget (QPushButton, syncSettings)
-#: src/ui/advancedconfig.ui:205
+#: src/ui/advancedconfig.ui:214
 #, kde-format
 msgid "Sync"
 msgstr "同步"
 
 #. i18n: ectx: property (text), widget (QPushButton, resetSettings)
-#: src/ui/advancedconfig.ui:215
+#: src/ui/advancedconfig.ui:224
 #, kde-format
 msgid "Reset"
 msgstr "重設"
 
 #. i18n: ectx: property (text), widget (QLabel, syncExplanation)
-#: src/ui/advancedconfig.ui:233
+#: src/ui/advancedconfig.ui:242
 #, kde-format
 msgid ""
 "Settings synchronization allows you to transfer the following Plasma "
 "settings to SDDM: color scheme, cursor theme, font, font rendering, NumLock "
 "preference, Plasma theme, and scaling DPI."
 msgstr ""
-"「同步設定」讓你能將下述的設定轉移到 SDDM：顏色機制、游標主題、字型、字型繪製"
-"方式、NumLock 偏好設定、Plasma 主題及 DPI 縮放。"
+"「同步設定」讓你能將下述的設定轉移到 SDDM：配色、游標主題、字型、字型繪製方"
+"式、NumLock 偏好設定、Plasma 主題及 DPI 縮放。"
 
 #. i18n: ectx: property (text), widget (QLabel, syncWarning)
-#: src/ui/advancedconfig.ui:246
+#: src/ui/advancedconfig.ui:255
 #, kde-format
 msgid ""
 "Please note that theme files must be installed globally for settings "
@@ -217,13 +217,13 @@ msgid ""
 msgstr "註：主題檔案必須在全域安裝，這樣同步設定才能運作。"
 
 #. i18n: ectx: property (text), widget (SelectImageButton, selectBackgroundButton)
-#: src/ui/themeconfig.ui:101
+#: src/ui/themeconfig.ui:127
 #, kde-format
 msgid "..."
 msgstr "..."
 
 #. i18n: ectx: property (text), widget (QLabel, label)
-#: src/ui/themeconfig.ui:108
+#: src/ui/themeconfig.ui:134
 #, kde-format
 msgid "Background:"
 msgstr "背景顏色："
diff -pruN 4:5.17.5-2/README 4:5.19.2-0ubuntu1/README
--- 4:5.17.5-2/README	2020-01-07 15:50:54.000000000 +0000
+++ 4:5.19.2-0ubuntu1/README	1970-01-01 00:00:00.000000000 +0000
@@ -1,4 +0,0 @@
-mkdir build
-cd build
-cmake .. -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix`
-make install
diff -pruN 4:5.17.5-2/README.md 4:5.19.2-0ubuntu1/README.md
--- 4:5.17.5-2/README.md	1970-01-01 00:00:00.000000000 +0000
+++ 4:5.19.2-0ubuntu1/README.md	2020-06-23 12:24:30.000000000 +0000
@@ -0,0 +1,53 @@
+# sddm-kcm - Login Screen (SDDM) System Settings Module
+
+`sddm-kcm` is a KConfig Module (KCM) that integrates itself into KDE's System Settings and serves the purpose of configuring the Simple Desktop Display Manager (SDDM) - the recommended display manager for KDE Plasma.
+
+The main features are the selection of an SDDM theme and setting/modifying its wallpaper. The KCM also supports KDE's Get Hot New Stuff (GHNS) feature, which  means it is possible to install (and remove) user-created SDDM themes hosted on [the KDE Store](https://store.kde.org/browse/cat/101/).
+
+The remainder of the options is geared towards affecting the login screen's behavior, such as enabling or disabling auto-login or setting the default session.
+
+Certain visual and behavioral discrepancies between the login screen and the desktop — which may present themselves due to the login screen's inability to access user files — can be alleviated with the use of the settings synchronization feature. The feature currently allows users to sync the Plasma color scheme, cursor theme, font, font rendering, NumLock preference, Plasma theme, and scaling DPI.
+
+# Installation
+
+Most of the time your distribution should already include this settings module. If it doesn't, the module should exist as an installable standalone `sddm-kcm` package.
+
+## Dependencies
+* Qt5
+* CMake (with extra modules)
+* SDDM
+* KDE Frameworks 5
+
+## Compiling from source
+Installing system-wide:
+
+```
+git clone https://anongit.kde.org/sddm-kcm.git
+cd sddm-kcm
+mkdir build && cd build
+cmake .. \
+    -DCMAKE_BUILD_TYPE=Release \
+    -DCMAKE_INSTALL_PREFIX=/usr
+make
+sudo make install
+```
+
+# Support
+## Reporting bugs
+Bugs should be reported to the KDE bug tracking system:
+
+* https://bugs.kde.org/ (product `systemsettings`, component `sddm-kcm`)
+
+The following community page can help explain the bug reporting process:
+
+* https://community.kde.org/Get_Involved/Issue_Reporting
+
+## Contributing
+Developers are appreciative of potential contributions and will gladly help out with them. For contributors new to KDE there are guidelines which may be of assistance:
+
+* https://community.kde.org/Get_Involved/development
+
+If there is something you would like to discuss, you can either use [the main KDE developer mailing list](plasma-devel@kde.org) or contact the community via instant messaging. The most appropriate groups would be #plasma or #kde-vdg.
+
+## End user
+Some distributions use their own SDDM themes. If it's evident that a particular issue with the login screen stems from the theme please contact the support channels of your Linux distribution for user support.
diff -pruN 4:5.17.5-2/sddmauthhelper.cpp 4:5.19.2-0ubuntu1/sddmauthhelper.cpp
--- 4:5.17.5-2/sddmauthhelper.cpp	2020-01-07 15:50:54.000000000 +0000
+++ 4:5.19.2-0ubuntu1/sddmauthhelper.cpp	2020-06-23 12:24:30.000000000 +0000
@@ -17,6 +17,7 @@
     along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #include "sddmauthhelper.h"
+#include "src/config.h"
 
 #include <unistd.h>
 
@@ -38,6 +39,12 @@
 
 static QSharedPointer<KConfig> openConfig(const QString &filePath)
 {
+    // if the sddm.conf.d folder doesn't exist we fail to set the right permissions for kde_settings.conf
+    QFileInfo fileLocation(filePath);
+    QDir dir(fileLocation.absolutePath());
+    if (!dir.exists()) {
+        QDir().mkpath(dir.path());
+    }
     QFile file(filePath);
     if(!file.exists()) {
         // If we are creating the config file, ensure it is world-readable: if
@@ -47,6 +54,11 @@ static QSharedPointer<KConfig> openConfi
         file.close();
         file.setPermissions(QFile::ReadOwner | QFile::WriteOwner | QFile::ReadGroup | QFile::ReadOther);
     }
+    // in case the file has already been created with wrong permissions
+    else if (!(file.permissions() & QFile::ReadOwner & QFile::WriteOwner & QFile::ReadGroup & QFile::ReadOther)) {
+        file.setPermissions(QFile::ReadOwner | QFile::WriteOwner | QFile::ReadGroup | QFile::ReadOther);
+    }
+
     return QSharedPointer<KConfig>(new KConfig(file.fileName(), KConfig::SimpleConfig));
 }
 
@@ -212,8 +224,8 @@ ActionReply SddmAuthHelper::reset(const
 ActionReply SddmAuthHelper::save(const QVariantMap &args)
 {
     ActionReply reply = ActionReply::HelperErrorReply();
-    QSharedPointer<KConfig> sddmConfig = openConfig(args[QStringLiteral("kde_settings.conf")].toString());
-    QSharedPointer<KConfig> sddmOldConfig = openConfig(args[QStringLiteral("sddm.conf")].toString());
+    QSharedPointer<KConfig> sddmConfig = openConfig(QString {QLatin1String(SDDM_CONFIG_DIR "/") + QStringLiteral("kde_settings.conf")});
+    QSharedPointer<KConfig> sddmOldConfig = openConfig(QLatin1String(SDDM_CONFIG_FILE));
     QSharedPointer<KConfig> themeConfig;
     QString themeConfigFile = args[QStringLiteral("theme.conf.user")].toString();
 
diff -pruN 4:5.17.5-2/sddmtheme.knsrc 4:5.19.2-0ubuntu1/sddmtheme.knsrc
--- 4:5.17.5-2/sddmtheme.knsrc	2020-01-07 15:50:54.000000000 +0000
+++ 4:5.19.2-0ubuntu1/sddmtheme.knsrc	2020-06-23 12:24:30.000000000 +0000
@@ -8,22 +8,26 @@ Name[da]=Login-skærm
 Name[de]=Anmeldebildschirm
 Name[en_GB]=Login Screen
 Name[es]=Pantalla de inicio de sesión
+Name[et]=Sisselogimisekraan
 Name[eu]=Saio-irekitzeko pantaila
 Name[fi]=Kirjautumisruutu
 Name[fr]=Écran de connexion
 Name[gl]=Pantalla de identificación
 Name[hu]=Bejelentkező képernyő
+Name[ia]=Schermo de accesso
 Name[id]=Layar Login
 Name[it]=Schermata di accesso
 Name[ko]=로그인 화면
 Name[lt]=Prisijungimo langas
 Name[nl]=Aanmeldscherm
 Name[nn]=Innloggingsbilete
+Name[pa]=ਲਾਗਇਨ ਸਕਰੀਨ
 Name[pl]=Ekran logowania
 Name[pt]=Ecrã de Autenticação
 Name[pt_BR]=Tela de autenticação
 Name[ru]=Вход в систему
 Name[sk]=Prihlasovacia obrazovka (SDDM)
+Name[sl]=Prijavni zaslon
 Name[sv]=Inloggningsfönster
 Name[uk]=Вікно входу
 Name[x-test]=xxLogin Screenxx
diff -pruN 4:5.17.5-2/src/advancedconfig.cpp 4:5.19.2-0ubuntu1/src/advancedconfig.cpp
--- 4:5.17.5-2/src/advancedconfig.cpp	2020-01-07 15:50:54.000000000 +0000
+++ 4:5.19.2-0ubuntu1/src/advancedconfig.cpp	2020-06-23 12:24:30.000000000 +0000
@@ -103,10 +103,8 @@ void AdvancedConfig::load()
     configUi->rebootCommand->setUrl(QUrl::fromLocalFile(mConfig->group("General").readEntry("RebootCommand")));
 }
 
-QVariantMap AdvancedConfig::save()
+void AdvancedConfig::save(QVariantMap &args)
 {
-    QVariantMap args;
-
     args[QStringLiteral("kde_settings.conf/Autologin/User")] = ( configUi->autoLogin->isChecked() ) ? configUi->userList->currentText() : QString();
     args[QStringLiteral("kde_settings.conf/Autologin/Session")] = ( configUi->autoLogin->isChecked() ) ? configUi->sessionList->currentData() : QString();
 
@@ -122,8 +120,6 @@ QVariantMap AdvancedConfig::save()
 
     args[QStringLiteral("kde_settings.conf/General/HaltCommand")] = configUi->haltCommand->url().toLocalFile();
     args[QStringLiteral("kde_settings.conf/General/RebootCommand")] = configUi->rebootCommand->url().toLocalFile();
-
-    return args;
 }
 
 void AdvancedConfig::slotUidRangeChanged()
diff -pruN 4:5.17.5-2/src/advancedconfig.h 4:5.19.2-0ubuntu1/src/advancedconfig.h
--- 4:5.17.5-2/src/advancedconfig.h	2020-01-07 15:50:54.000000000 +0000
+++ 4:5.19.2-0ubuntu1/src/advancedconfig.h	2020-06-23 12:24:30.000000000 +0000
@@ -37,7 +37,7 @@ public:
     explicit AdvancedConfig(const KSharedConfigPtr &config, QWidget *parent = nullptr);
     ~AdvancedConfig();
 
-    QVariantMap save();
+    void save(QVariantMap &args);
 
 Q_SIGNALS:
     void changed(bool changed=true);
diff -pruN 4:5.17.5-2/src/sddmkcm.cpp 4:5.19.2-0ubuntu1/src/sddmkcm.cpp
--- 4:5.17.5-2/src/sddmkcm.cpp	2020-01-07 15:50:54.000000000 +0000
+++ 4:5.19.2-0ubuntu1/src/sddmkcm.cpp	2020-06-23 12:24:30.000000000 +0000
@@ -54,8 +54,6 @@ SddmKcm::SddmKcm(QWidget *parent, const
 
     mSddmConfig = KSharedConfig::openConfig(QStringLiteral(SDDM_CONFIG_FILE), KConfig::CascadeConfig);
 
-    mSddmOldConfig = KSharedConfig::openConfig(QStringLiteral("sddm.conf"), KConfig::CascadeConfig);
-
     // This does not listen for new config files in the directory.
     QStringList configFiles = QDir(QLatin1String(SDDM_CONFIG_DIR)).entryList(QDir::Files | QDir::NoDotAndDotDot, QDir::LocaleAware),
                 systemConfigFiles = QDir(QLatin1String(SDDM_SYSTEM_CONFIG_DIR)).entryList(QDir::Files | QDir::NoDotAndDotDot, QDir::LocaleAware);
@@ -67,7 +65,6 @@ SddmKcm::SddmKcm(QWidget *parent, const
                     [](const QString &filename) -> QString { return QStringLiteral(SDDM_CONFIG_DIR "/") + filename; });
 
     mSddmConfig->addConfigSources(systemConfigFiles + configFiles);
-    mSddmOldConfig->addConfigSources(systemConfigFiles + configFiles);
 
     prepareUi();
 }
@@ -80,16 +77,13 @@ void SddmKcm::save()
 {
     QVariantMap args;
 
-    args[QStringLiteral("kde_settings.conf")] = QString {QLatin1String(SDDM_CONFIG_DIR "/") + QStringLiteral("kde_settings.conf")};
-    args[QStringLiteral("sddm.conf")] = QLatin1String(SDDM_CONFIG_FILE);
-
     if (!mThemeConfig->themeConfigPath().isEmpty()) {
         args[QStringLiteral("theme.conf.user")] = QString(mThemeConfig->themeConfigPath() + QLatin1String(".user"));
     }
 
     qDebug() << "Ovr:" << args[QStringLiteral("theme.conf.user")].toString();
-    args.unite(mThemeConfig->save());
-    args.unite(mAdvancedConfig->save());
+    mThemeConfig->save(args);
+    mAdvancedConfig->save(args);
 
     KAuth::Action saveAction = authAction();
 
diff -pruN 4:5.17.5-2/src/sddmkcm.h 4:5.19.2-0ubuntu1/src/sddmkcm.h
--- 4:5.17.5-2/src/sddmkcm.h	2020-01-07 15:50:54.000000000 +0000
+++ 4:5.19.2-0ubuntu1/src/sddmkcm.h	2020-06-23 12:24:30.000000000 +0000
@@ -38,7 +38,6 @@ private:
 
 private:
     KSharedConfigPtr mSddmConfig;
-    KSharedConfigPtr mSddmOldConfig;
     ThemeConfig *mThemeConfig;
     AdvancedConfig *mAdvancedConfig;
 };
diff -pruN 4:5.17.5-2/src/sessionmodel.cpp 4:5.19.2-0ubuntu1/src/sessionmodel.cpp
--- 4:5.17.5-2/src/sessionmodel.cpp	2020-01-07 15:50:54.000000000 +0000
+++ 4:5.19.2-0ubuntu1/src/sessionmodel.cpp	2020-06-23 12:24:30.000000000 +0000
@@ -83,8 +83,11 @@ void SessionModel::loadDir(const QString
             if (line.startsWith(QLatin1String("Name="))) {
                 si->name = line.mid(5);
                 if (type == SessionTypeWayland) {
-                    //we want to exactly match the SDDM prompt which is formatted in this way
-                    si->name = i18nc("%1 is the name of a session", "%1 (Wayland)", si->name);
+                    // we want to exactly match the SDDM prompt which is formatted in this way
+                    // with the exact same check
+                    if (!si->name.endsWith(QLatin1String(" (Wayland)"))) {
+                        si->name = i18nc("%1 is the name of a session", "%1 (Wayland)", si->name);
+                    }
                 }
             }
             if (line.startsWith(QLatin1String("Exec=")))
diff -pruN 4:5.17.5-2/src/themeconfig.cpp 4:5.19.2-0ubuntu1/src/themeconfig.cpp
--- 4:5.17.5-2/src/themeconfig.cpp	2020-01-07 15:50:54.000000000 +0000
+++ 4:5.19.2-0ubuntu1/src/themeconfig.cpp	2020-06-23 12:24:30.000000000 +0000
@@ -70,15 +70,13 @@ ThemeConfig::~ThemeConfig()
     delete configUi;
 }
 
-QVariantMap ThemeConfig::save()
+void ThemeConfig::save(QVariantMap &args)
 {
     QModelIndex index = configUi->themesListView->currentIndex();
     if (!index.isValid()) {
-        return QVariantMap();
+        return;
     }
 
-    QVariantMap args;
-
     args[QStringLiteral("kde_settings.conf/Theme/Current")] = index.data(ThemesModel::IdRole);
 
     if (!mThemeConfigPath.isEmpty()) {
@@ -89,7 +87,6 @@ QVariantMap ThemeConfig::save()
             args[QStringLiteral("theme.conf.user/General/type")] = QStringLiteral("color");
         }
     }
-    return args;
 }
 
 QString ThemeConfig::themeConfigPath() const
diff -pruN 4:5.17.5-2/src/themeconfig.h 4:5.19.2-0ubuntu1/src/themeconfig.h
--- 4:5.17.5-2/src/themeconfig.h	2020-01-07 15:50:54.000000000 +0000
+++ 4:5.19.2-0ubuntu1/src/themeconfig.h	2020-06-23 12:24:30.000000000 +0000
@@ -34,7 +34,7 @@ public:
     explicit ThemeConfig(const KSharedConfigPtr &config, QWidget *parent = nullptr);
     ~ThemeConfig();
 
-    QVariantMap save();
+    void save(QVariantMap &args);
     QString themeConfigPath() const;
 
 Q_SIGNALS:
diff -pruN 4:5.17.5-2/src/ui/advancedconfig.ui 4:5.19.2-0ubuntu1/src/ui/advancedconfig.ui
--- 4:5.17.5-2/src/ui/advancedconfig.ui	2020-01-07 15:50:54.000000000 +0000
+++ 4:5.19.2-0ubuntu1/src/ui/advancedconfig.ui	2020-06-23 12:24:30.000000000 +0000
@@ -82,6 +82,9 @@
        <property name="orientation">
         <enum>Qt::Vertical</enum>
        </property>
+       <property name="sizeType">
+        <enum>QSizePolicy::Preferred</enum>
+       </property>
        <property name="sizeHint" stdset="0">
         <size>
          <width>8</width>
@@ -135,6 +138,9 @@
        <property name="orientation">
         <enum>Qt::Vertical</enum>
        </property>
+       <property name="sizeType">
+        <enum>QSizePolicy::Preferred</enum>
+       </property>
        <property name="sizeHint" stdset="0">
         <size>
          <width>8</width>
@@ -182,6 +188,9 @@
        <property name="orientation">
         <enum>Qt::Vertical</enum>
        </property>
+       <property name="sizeType">
+        <enum>QSizePolicy::Preferred</enum>
+       </property>
        <property name="sizeHint" stdset="0">
         <size>
          <width>8</width>
diff -pruN 4:5.17.5-2/src/ui/themeconfig.ui 4:5.19.2-0ubuntu1/src/ui/themeconfig.ui
--- 4:5.17.5-2/src/ui/themeconfig.ui	2020-01-07 15:50:54.000000000 +0000
+++ 4:5.19.2-0ubuntu1/src/ui/themeconfig.ui	2020-06-23 12:24:30.000000000 +0000
@@ -85,6 +85,19 @@
          </widget>
         </item>
         <item>
+         <spacer name="verticalSpacer">
+          <property name="orientation">
+           <enum>Qt::Vertical</enum>
+          </property>
+          <property name="sizeHint" stdset="0">
+           <size>
+            <width>20</width>
+            <height>40</height>
+           </size>
+          </property>
+         </spacer>
+        </item>
+        <item>
          <layout class="QGridLayout" name="gridLayout">
           <property name="leftMargin">
            <number>6</number>
@@ -95,6 +108,19 @@
           <property name="bottomMargin">
            <number>6</number>
           </property>
+          <item row="0" column="1">
+           <spacer name="horizontalSpacer_2">
+            <property name="orientation">
+             <enum>Qt::Horizontal</enum>
+            </property>
+            <property name="sizeHint" stdset="0">
+             <size>
+              <width>40</width>
+              <height>20</height>
+             </size>
+            </property>
+           </spacer>
+          </item>
           <item row="1" column="0">
            <widget class="SelectImageButton" name="selectBackgroundButton">
             <property name="text">
@@ -115,34 +141,8 @@
             </property>
            </widget>
           </item>
-          <item row="0" column="1">
-           <spacer name="horizontalSpacer_2">
-            <property name="orientation">
-             <enum>Qt::Horizontal</enum>
-            </property>
-            <property name="sizeHint" stdset="0">
-             <size>
-              <width>40</width>
-              <height>20</height>
-             </size>
-            </property>
-           </spacer>
-          </item>
          </layout>
         </item>
-        <item>
-         <spacer name="verticalSpacer">
-          <property name="orientation">
-           <enum>Qt::Vertical</enum>
-          </property>
-          <property name="sizeHint" stdset="0">
-           <size>
-            <width>20</width>
-            <height>40</height>
-           </size>
-          </property>
-         </spacer>
-        </item>
        </layout>
       </widget>
      </item>
@@ -202,17 +202,17 @@
  </widget>
  <customwidgets>
   <customwidget>
-   <class>QQuickWidget</class>
-   <extends>QWidget</extends>
-   <header location="global">QtQuickWidgets/QQuickWidget</header>
-  </customwidget>
-  <customwidget>
    <class>KMessageWidget</class>
    <extends>QFrame</extends>
    <header>kmessagewidget.h</header>
    <container>1</container>
   </customwidget>
   <customwidget>
+   <class>QQuickWidget</class>
+   <extends>QWidget</extends>
+   <header location="global">QtQuickWidgets/QQuickWidget</header>
+  </customwidget>
+  <customwidget>
    <class>SelectImageButton</class>
    <extends>QToolButton</extends>
    <header>selectimagebutton.h</header>
